<?php
//inclusion des fichiers principaux

//empéche une monté du CPU à 100%
$ESIA_WIDGET_NOTREE=true;
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
session_write_close();
if(isset($_GET['action'])&&!empty($_GET['action']))
{
	$action=$_GET['action'];
}
else 
{
	$action = 'view';
}
if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
{
	$_GET['id'] = $_POST['widgetid'];
}
$smarty->assign('action',$action);
if(!empty($_GET['id']))
{
	$dashboard = model_esia::getWidget($dbconnection,$_GET['id'],$user->getId());
	$dashboard = $dashboard[0];
	$params=$dashboard['option'];
	//print_r($dashboard);
	$smarty->assign('parameter',$params);
	$smarty->assign('widget',$dashboard);
	if($action =='update')
	{
		if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
		{
			try 
			{
				$params=$dashboard['default_option'];
				//CHANGEMENT DES POSITIONS
				$repla = 'text-align: '.$_POST['nameposition'];
				$pattern = '#text\-align:\s+[a-zA-Z]*#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
				$repla = 'text-align: '.$_POST['desciptionposition'];
				$params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
				//CHANGEMENT DES TAILLES DE POLICE
				
				$repla = 'font-size:'.$_POST['namesize'].'px';
				$pattern = '#font\-size:[0-9]*px#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
				$repla = 'font-size:'.$_POST['descriptionsize'].'px';
				$params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
				//remplacement de la couleur
				$repla = 'color:'.$_POST['namecolor'];
				$pattern = '#color:[\#0-9A-Fa-f]*#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
				//Option des noeuds
				$params['service']=$_POST['services'];
				$params['type'] = $_POST['type'];
				Model_esia::updateWidget($dbconnection, $_POST['widgetid'], $_POST['widgetname'], $_POST['widgetdescription'], $_POST['widgetduring'], $params);
				$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
				$dashboard['name']=$_POST['widgetname'];
				$dashboard['description']=$_POST['widgetdescription'];
			}
			catch(Exception $e)
			{
				$smarty->assign('l_error',$e->getMessage());
			}
		}
		$smarty->assign('widget',$dashboard);
		//recupération des styles
		$name['size']=14;
		$name['align']='left';
		$description['size']=12;
		$description['align']='left';
		if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['title']['style'],$regs))
		{
			$name['size']=$regs[2];
			$name['align']=$regs[1];
		}
		if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['description']['style'],$regs))
		{
			$description['size']=$regs[2];
			$description['align']=$regs[1];
		}
		$titlecolor='#575759';
		if(preg_match('#color:([\#0-9A-Fa-f]*)#',$params['title']['style'],$regs))
		{
			$titlecolor=$regs[1];
		}
		$smarty->assign('namecolor',$titlecolor);
		$smarty->assign('namestyle',$name);
		$smarty->assign('descriptionstyle',$description);
		$smarty->assign('type',$params['type']);

		$listnode = array();
		//Récupération des services
		if(!empty($params['service']))
		{
			$services = Model_esia::getServices($dbconnection,null,$params['service']);
			foreach($services as $ser)
			{
				if(!in_array($ser['device_id'],$listnode))
					$listnode[]=$ser['device_id'];
			}
			foreach($services as $ser)
			{
				$listservice[]=$ser['id'];
			}
		}
		$smarty->assign('serviceid',$listservice);
		$nodes = Model_esia::getNodeList($dbconnection,$user->getId(),null,Model_esia::NODE_INSTANCE);
		$list=array();
		foreach($nodes as $node)
		{
			$selected='no';
			if(in_array($node->getId(),$listnode))
			{
				$selected='yes';
			}
			$list[]=array('id'=>$node->getId(),
					'name'=>$node->getGroup().'>'.$node->getName(),
					'selected'=>$selected
					
			);
		}
		$smarty->assign('adm_list_node', $list);
		
		
	}
	elseif($action =="getservice")
	{
		if(isset($_GET['nodeid']))
		{
			$tablenodeid = json_decode($_GET['nodeid']);
			$list=array();
			foreach($tablenodeid as $nodeid)
			{
				$node = Model_esia::InstanceNode($dbconnection, $nodeid);
				if($user->getAccess($dbconnection, "device_view",$node->getName())==1)
				{
					$services = Model_esia::getServices($dbconnection,$node->getId());
					foreach ($services as $service)
					{
						$common_name = Model_esia::getCommonName($lang, $service['name'],$service['check_plugin_name']);
						$list[$service['id']]=$node->getName().' > '.$common_name;
					}
				}
			}
			echo json_encode($list);
			exit(0);
		}
	}
	elseif($action =='getInfo')
	{
		$errors = array();
		foreach($params['service'] as $service)
		{
			$arrerr = model_esia::getServiceByCurrentState($dbconnection,$service,$_GET['status']);
			$i = 0;


			foreach($arrerr as $err)
			{
				$common_name = Model_esia::getCommonName($lang, $err['service'],$err['plugin_name']);
				$arrerr[$i]["common"]= $common_name;
				$i++;
			}
			$errors[]= $arrerr;
		}

		$serviceError=0;
		foreach($errors as $error)
		{
			foreach($error as $service)
			{
				$serviceError++;
			}
		}
		$smarty->assign('serviceError',$serviceError);
		$smarty->assign('errors',$errors);
	}
	elseif($action =='getInfoDonut')
	{
		$errors = array();
		foreach($params['service'] as $service)
		{
			$arrerr = Model_esia::getServiceByCurrentState($dbconnection,$service,$_GET['status']);
			foreach($arrerr as $err)
			{
				$common_name = Model_esia::getCommonName($lang, $err['service'],$err['plugin_name']);
				$errors[]= $common_name;
			}
		}
		$smarty->assign('errors',$errors);
	}
	else 
	{
		//$params = json_decode($params,true);
		$state['OK']=0;
		$state["warning"]=0;
		$state["critical"]=0;
		$state["unknown"]=0;
		$state["pending"]=0;
		
		if(!empty($params['service']))
		{
			$state = model_esia::countServiceAllState($dbconnection,$user->getId(),$params['service']);	
		}

		$ar=array_count_values($state);
		if($ar[0] == count($state))
		{
			$smarty->assign('action','empty');
		}
		else
		{
			$smarty->assign('state',$state);
		}
				
		if($params['type']=='donut')
		{
			$tile = model_esia::getTiles($dbconnection,$dashboard['tile']);
			$tile = array_pop($tile);
			$titlesize=0;
			if(preg_match('#font\-size:([0-9]*)px;#',$params['title']['style'],$regs))
			{
				$titlesize = $regs[1];
				if($titlesize < 42)
				{
					$titlesize = 45;
				}	
			}
			$descsize=0;
			if(preg_match('#font\-size:([0-9]*)px;#',$params['description']['style'],$regs))
			{
				$descsize=$regs[1];
			}
			$height = $tile['height']-$descsize-$titlesize-50;
			$smarty->assign('height',$height);
		}
	}
}
$smarty->display($path.'/dashboard/template/view_4state_service.html');
?>
