<?php
//inclusion des fichiers principaux
//empéche une monté du CPU à 100%
$ESIA_WIDGET_NOTREE=true;
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
session_write_close();
if(isset($_GET['action'])&&!empty($_GET['action']))
{
	$action=$_GET['action'];
}
else
{
	$action = 'view';
}
$smarty->assign('action',$action);

if(!empty($_GET['id']))
{
	$dashboard = model_esia::getWidget($dbconnection,$_GET['id'],$user->getId());
	$dashboard = $dashboard[0];
	$params=$dashboard['option'];	
	//print_r($dashboard);
	$smarty->assign('parameter',$params);
	$smarty->assign('widget',$dashboard);
	if($action =='update')
	{
		if(isset($_GET['type']) && $_GET['type']=='value')
		{
			$smarty->assign('showtype', 'value');
		}
		if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
		{
			try
			{
				$params=$dashboard['default_option'];
				//CHANGEMENT DES POSITIONS
				$repla = 'text-align: '.$_POST['nameposition'];
				$pattern = '#text\-align:\s+[a-zA-Z]*#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
				$repla = 'text-align: '.$_POST['desciptionposition'];
				$params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
				//CHANGEMENT DES TAILLES DE POLICE
	
				$repla = 'font-size:'.$_POST['namesize'].'px';
				$pattern = '#font\-size:[0-9]*px#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
				$repla = 'font-size:'.$_POST['descriptionsize'].'px';
				$params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
				//remplacement de la couleur
				$repla = 'color:'.$_POST['namecolor'];
				$pattern = '#color:[\#0-9A-Fa-f]*#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
				
				//Option des noeuds
				$params['service']=$_POST['services'];
				$params['start']='-'.$_POST['startgraph'].'m';
				if(isset($_GET['type']))
				{
					$params['unity']=$_POST['unity'];
					$params['rrd']=$_POST['rrdname'];
				}
				Model_esia::updateWidget($dbconnection, $_POST['widgetid'], $_POST['widgetname'], $_POST['widgetdescription'], $_POST['widgetduring'], $params);
				$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
				$smarty->assign('parameter',$params);
				$dashboard['name']=$_POST['widgetname'];
				$dashboard['description']=$_POST['widgetdescription'];
				$smarty->assign('widget',$dashboard);
				$smarty->assign('parameter',$params);

			}
			catch(Exception $e)
			{
				$smarty->assign('l_error',$e->getMessage());
			}
		}
		//recupération des styles
		$name['size']=14;
		$name['align']='left';
		$description['size']=12;
		$description['align']='left';
		if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['title']['style'],$regs))
		{
			$name['size']=$regs[2];
			$name['align']=$regs[1];
		}
		if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['description']['style'],$regs))
		{
			$description['size']=$regs[2];
			$description['align']=$regs[1];
		}
		if(preg_match('#([0-9]*)m#',$params['start'],$regs))
		{
			$smarty->assign('rrdperiod',$regs[1]);
		}
		else
		{
			$smarty->assign('rrdperiod',60);
		}
		$titlecolor='#575759';
		if(preg_match('#color:([\#0-9A-Fa-f]*)#',$params['title']['style'],$regs))
		{
			$titlecolor=$regs[1];
		}
		$smarty->assign('namecolor',$titlecolor);
		$smarty->assign('namestyle',$name);
		$smarty->assign('descriptionstyle',$description);
		$smarty->assign('type',$params['type']);
		$smarty->assign('serviceid',$params['service']);
		//Récupération des noeuds
		if(!empty($params['service']))
		{
			$service = Model_esia::getServices($dbconnection,null,$params['service']);
			$service = $service[0];
		}
		$nodes = Model_esia::getNodeList($dbconnection,$user->getId(),null,Model_esia::NODE_INSTANCE);
		$list=array();
		foreach($nodes as $node)
		{
			$selected='no';
			if($node->getId() == $service['device_id'])
			{
				$selected='yes';
			}
			$list[]=array('id'=>$node->getId(),
					'name'=>$node->getGroup().'>'.$node->getName(),
					'selected'=>$selected
						
			);
		}
		$smarty->assign('adm_list_node', $list);
	}
	elseif($action =="getservice")
	{
		if(isset($_GET['nodeid'])&& is_numeric($_GET['nodeid']))
		{
			$node = Model_esia::InstanceNode($dbconnection, $_GET['nodeid']);
			if($user->getAccess($dbconnection, "device_view",$node->getName())==1)
			{
				$services = Model_esia::getServices($dbconnection,$node->getId());
				$list=array();
				foreach ($services as $service)
				{
					$common_name = Model_esia::getCommonName($lang, $service['name'],$service['check_plugin_name']);
					$list[$service['id']]=$common_name;
				}
				echo json_encode($list,true);
				exit(0);
			}
		}
	}
	elseif($action =="getRRDservice")
	{
		if(isset($_GET['nodeid'])&& is_numeric($_GET['nodeid']))
		{
			$node = Model_esia::InstanceNode($dbconnection, $_GET['nodeid']);
			if($user->getAccess($dbconnection, "device_view",$node->getName())==1)
			{
				$services = Model_esia::getServices($dbconnection,$node->getId(),$_GET['serviceid']);
				$services = array_pop($services);				
				echo json_encode($services['value'],true);
				exit(0);
			}
		}
	}
	if(isset($_GET['type']) && $_GET['type']=='value')
	{
		$smarty->assign('showtype', 'value');	
		if(!empty($params['service']))
		{
			$service = Model_esia::getServices($dbconnection,null,$params['service']);
			$service = $service[0];
			$smarty->assign('service',$service);
		}
		else
		{
			$smarty->assign($action,'empty');
		}
	}
}
$smarty->display($path.'/dashboard/template/graph.html');
?>
