<?php
//inclusion des fichiers principaux
//empéche une monté du CPU à 100%
$ESIA_WIDGET_NOTREE=true;
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
session_write_close();
if(isset($_GET['action'])&&!empty($_GET['action']))
{
	$action=$_GET['action'];
}
else
{
	$action = 'view';
}
$smarty->assign('action',$action);
$plan=array();
if(!empty($_GET['id']))
{
	$dashboard = model_esia::getWidget($dbconnection,$_GET['id'],$user->getId());
	$dashboard = $dashboard[0];
	$params=$dashboard['option'];
	//$_GET['floor_id'] = $params['floorid'];
	$smarty->assign('view_type',$_GET['type']);
	$smarty->assign('parameter',$params);
	$smarty->assign('widget',$dashboard);
	if($action =='update')
	{
		if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
		{
			try
			{
				$params=$dashboard['default_option'];
				//CHANGEMENT DES POSITIONS
				$repla = 'text-align: '.$_POST['nameposition'];
				$pattern = '#text\-align:\s+[a-zA-Z]*#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
				$repla = 'text-align: '.$_POST['desciptionposition'];
				$params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
				//CHANGEMENT DES TAILLES DE POLICE
				$repla = 'font-size:'.$_POST['namesize'].'px';
				$pattern = '#font\-size:[0-9]*px#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
				$repla = 'font-size:'.$_POST['descriptionsize'].'px';
				$params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
				//remplacement de la couleur
				$repla = 'color:'.$_POST['namecolor'];
				$pattern = '#color:[\#0-9A-Fa-f]*#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);

				if($_GET['type']=='plan')
				{
					$params['plan'] = $_POST['plan'];
					$plan['id'] = $_POST['plan'];
				}
				Model_esia::updateWidget($dbconnection, $_POST['widgetid'], $_POST['widgetname'], $_POST['widgetdescription'], $_POST['widgetduring'], $params);
				$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
			}
			catch(Exception $e)
			{
				$smarty->assign('l_error',$e->getMessage());
			}
		}
		//recupération des styles
		$name['size']=14;
		$name['align']='left';
		$description['size']=12;
		$description['align']='left';
		if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['title']['style'],$regs))
		{
			$name['size']=$regs[2];
			$name['align']=$regs[1];
		}
		if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['description']['style'],$regs))
		{
			$description['size']=$regs[2];
			$description['align']=$regs[1];
		}
		$titlecolor='#575759';
		if(preg_match('#color:([\#0-9A-Fa-f]*)#',$params['title']['style'],$regs))
		{
			$titlecolor=$regs[1];
		}
		$smarty->assign('titlecolor',$titlecolor);
		$smarty->assign('namestyle',$name);
		$smarty->assign('descriptionstyle',$description);
		if($_GET['type']=='plan')
		{
			$smarty->assign('type_map','plan');
			//chemin d'accès au repertoire du plugin contenant les templates
			$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_PLAN');
			$tpluginpath= $path.$arr[0]['apache_path'];
			include_once $tpluginpath.'/Model_plan.php';
			$plans = Model_plan::getPlan($dbconnection, null, $user->getId());
			$listplan = array();
			foreach ($plans as $plan)
			{
			    if($plan['name'] !='.ACCESS')
			    {
				    $listplan[] = array('id'=> $plan['id'],
    						'name'=>$plan['name'],
    				    );
			    }
			}
			$smarty->assign('plans',$listplan);
			$smarty->assign('selectplan',$params['plan']);
		}
		$smarty->assign('plan',$plan);
		$smarty->display($path.'/dashboard/template/plan.html');
	}
	else
	{
		if($_GET['type']=='plan')
		{
            if(!empty($params['plan']) && $params['plan'] != -1 )
            {
				$_GET['id'] = $params['plan'];
				$_GET['action'] = 'dash_plan';
				$arr = Model_esia::getWebPlugin($dbconnection, false, 'WEBP_PLAN');
				// Check if the user still have acces to the plan (acces on plan could be removed after the creation of the dashboard using this plan). If user has acces to the plan display it else display an empty tile.
				$tpluginpath = $path . $arr[0]['apache_path'];
				include_once $tpluginpath . '/Model_plan.php';
				$access = Model_Plan::getPlanPrivilege($dbconnection, $params['plan'], $user->getId());
				if (!empty($access) && $access !== 'NONE') {
					$smarty->display($path . '/dashboard/template/plan.html');
					$planType = Model_Plan::getPlanType($dbconnection, $params['plan'])[0];
					// Include the controller path for this plan type (ex: img_control.php)
					$typeControllerPath = $path . '/plugin/plan/' . explode('?', $planType['controller'])[0];
	    			include $typeControllerPath;
				} else {
					$smarty->assign('actionvide', 'empty');
					$smarty->display($path . '/dashboard/template/plan.html');
				}
            }
            else
            {
		         $smarty->assign('actionvide', 'empty');
		         $smarty->display($path . '/dashboard/template/plan.html');
		    }
		}
		/*else
		{
			$tile = model_esia::getTiles($dbconnection,$dashboard['tile']);
			$tile = array_pop($tile);
			$titlesize=0;
			if(preg_match('#font\-size:([0-9]*)px;#',$params['title']['style'],$regs))
			{
				$titlesize = $regs[1];
				if($titlesize < 42)
				{
					$titlesize = 45;
				}
			}
			$descsize=0;
			if(preg_match('#font\-size:([0-9]*)px;#',$params['description']['style'],$regs))
			{
				$descsize=$regs[1];
			}
			$HEIGHT = $tile['height']-$descsize-$titlesize-10;
			$SIMPLEVIEW=true;
			$smarty->display($path.'/dashboard/template/plan.html');
			$_GET['action'] = 'dash_plan';
			include $path.'/plugin/plan/plan_control.php';
		}*/
	}
}
?>
