<?php
//inclusion des fichiers principaux
//empéche une monté du CPU à 100%
$ESIA_WIDGET_NOTREE=true;
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
include_once $path.'/Model_adm.php';
session_write_close();

if(isset($_GET['action'])&&!empty($_GET['action']))
{
    $action=$_GET['action'];
}
else
{
    $action = 'view';
}
if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
{
    $_GET['id'] = $_POST['widgetid'];
}
$smarty->assign('action',$action);
if(!empty($_GET['id']))
{
    $dashboard = model_esia::getWidget($dbconnection,$_GET['id'],$user->getId());
    $dashboard = $dashboard[0];
    $params=$dashboard['option'];
    $smarty->assign('parameter',$params);
    
    $smarty->assign('widget',$dashboard);
    if($action =='update')
    {
        if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
        {
            try
            {
                $params=$dashboard['default_option'];
                //CHANGEMENT DES POSITIONS
                $repla = 'text-align: '.$_POST['nameposition'];
                $pattern = '#text\-align:\s+[a-zA-Z]*#';
                $params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
                $repla = 'text-align: '.$_POST['desciptionposition'];
                $params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
                //CHANGEMENT DES TAILLES DE POLICE
                
                $repla = 'font-size:'.$_POST['namesize'].'px';
                $pattern = '#font\-size:[0-9]*px#';
                $params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
                $repla = 'font-size:'.$_POST['descriptionsize'].'px';
                $params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
                //remplacement de la couleur
                $repla = 'color:'.$_POST['namecolor'];
                $pattern = '#color:[\#0-9A-Fa-f]*#';
                $params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
                //Checkbox
                if(isset($_POST['check_warning']))
                {
                    $params['warning']=1;
                }
                else
                {
                    $params['warning']=0;
                }
                if(isset($_POST['check_critical']))
                {
                    $params['critical']=1;
                }
                else
                {
                    $params['critical']=0;
                }
                if(isset($_POST['check_unknown']))
                {
                    $params['unknown']=1;
                }
                else
                {
                    $params['unknown']=0;
                }
                if(isset($_POST['check_statusonly']))
                {
                    $params['statusonly']=1;
                }
                else
                {
                    $params['statusonly']=0;
                }
                //Option des noeuds
                $order = $_POST['inputordernodetype'];
                $order = json_decode($order);
                $params['order'] =$order;
                
                Model_esia::updateWidget($dbconnection, $_POST['widgetid'], $_POST['widgetname'], $_POST['widgetdescription'], $_POST['widgetduring'], $params);
                $smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
                $dashboard['name']=$_POST['widgetname'];
                $dashboard['description']=$_POST['widgetdescription'];
                $smarty->assign('widget',$dashboard);
                $smarty->assign('parameter',$params);
            }
            catch(Exception $e)
            {
                $smarty->assign('l_error',$e->getMessage());
            }
        }
        //recupération des styles
        $name['size']=14;
        $name['align']='left';
        $description['size']=12;
        $description['align']='left';
        if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['title']['style'],$regs))
        {
            $name['size']=$regs[2];
            $name['align']=$regs[1];
        }
        if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['description']['style'],$regs))
        {
            $description['size']=$regs[2];
            $description['align']=$regs[1];
        }
        $titlecolor='#575759';
        if(preg_match('#color:([\#0-9A-Fa-f]*)#',$params['title']['style'],$regs))
        {
            $titlecolor=$regs[1];
        }
        $smarty->assign('namecolor',$titlecolor);
        $smarty->assign('namestyle',$name);
        $smarty->assign('descriptionstyle',$description);
        //on va rechercher les différents type de noeud enregistré
        $rows = Model_esia::getDeviceType($dbconnection);
        $list_type=array();
        foreach($rows as $row)
        {
            $list_type[$row['id']]=array('id'=>$row['id'],'name'=>ucfirst($row['name']));
        }
        $smarty->assign('list_typenode',$list_type);
        $order=array();
        foreach($params['order'] as $row)
        {
            $order[]=array('id'=>$row,'name'=>ucfirst($list_type[$row]['name']));
        }
        $smarty->assign('list_order',$order);
        
    }
    else
    {
        //AFFICHAGE DES DONNEES
        //on va rechercher les différents type de noeud enregistré
        $rows = Model_esia::getDeviceType($dbconnection);
        $list_type=array();
        foreach($rows as $row)
        {
            $list_type[$row['id']]=$row['name'];
        }
        //AFFICHAGE DES DONNEES
        $arr = Model_esia::countNodeType($dbconnection,$user->getId(), Model_esia::NODE_COUNT_SERVICE_STATE);
        $order=array();
        //print_r($arr);
        foreach($params['order'] as $row)
        {
            $name = $list_type[$row];
            $ok = $arr[$name]['ok'];
            $warning = $arr[$name]['warning'];
            $critical = $arr[$name]['critical'];
            $unknown = $arr[$name]['unknown'];
            if(empty($ok))
            {
                $ok=0;
            }
            if(empty($warning))
            {
                $warning=0;
            }
            if(empty($critical))
            {
                $critical=0;
            }
            if(empty($unknown))
            {
                $unknown=0;
            }
            if($params['statusonly'] == 0)
            {
                $order[]=array('name'=>$name,
                                    'ok'=>$ok,
                                    'warning'=>$warning,
                                    'critical'=>$critical,
                                     'unknown'=>$unknown);
            }
            else
            {
                $status = 'none';
                $label="0/0";
                if($critical > 0)
                {
                    $status = 'CRITICAL';
                    $label="$critical/$ok";
                }
                elseif($warning > 0)
                {
                    $status = 'WARNING';
                    $label="$warning/$ok";
                }
                elseif($unknown > 0)
                {
                    $status = 'UNKNOWN';
                    $label="$unknown/$ok";
                }
                elseif($ok > 0)
                {
                    $status = 'OK';
                    $label="$ok/$ok";
                }
                $order[]=array('name'=>$name,
                    'status'=>$status,
                    'label'=>$label);
            }
        }
        $smarty->assign('list_order',$order);
    }
}

$smarty->display($path.'/dashboard/template/view_tab_devicetype.html');
?>
