<?php
$path = rtrim ($_SERVER['DOCUMENT_ROOT'],'/');
include_once $path.'/esia.conf.php';
include_once USR_CLASS;
include_once MVCMODEL;
//connection à la base de donnée
session_start();
try
{
    $dbconnection = new PDO('pgsql:host='.DB_HOST.';port='.DB_PORT.';dbname='.DB_NAME, DB_USERNAME, DB_PWD);
    $dbconnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
    $user = new User($dbconnection);
    $user->sessionIDisValid(Model_esia::getDuringSession($dbconnection));
    session_write_close();
    $widget = 'no';
    if(isset($_GET['widget']) && !empty($_GET['widget']))
    {
    	$widget = $_GET['widget'];
    }
    switch($widget)
    {
    	case'statenode':
    		$arr = Model_esia::countStateAllNode($dbconnection,$user->getId());
    		echo json_encode($arr);
    		break; 
    	case'stateservice':
    		//Calcul du nombre de service "actifs" (tableau en haut à droite)		
    		$arr_error['OK']=0;
    		$arr_error["warning"]=0;
    		$arr_error["critical"]=0;
    		$arr_error["unknown"]=0;
    		$arr_error["pending"]=0; //En maintenance (historical reasons name)
    		$arr_error["waiting"]=0; //En attente	
    		
    		$li=Model_esia::countServiceAllState($dbconnection,$user->getId(),null,true);
    		$totser = 0;
    		foreach($li as $k => $v)
    		{
    			$arr_error[$k]= $v;
    		}
    		
    		//$arr_error["pending"]+=count(Model_esia::getAcquitteError($dbconnection,$user->getId()));
    		
    		echo json_encode($arr_error);
    		break; 
    	default:echo 'bad request'; break;
    }
}
catch(UserException $e)	//Il n'est pas connecté
{
    session_write_close();
    exit(0);
}
catch(Exception $e)
{
    echo 'PDO SQL ERROR: '.$e->getMessage().'<br />';
    echo 'N° : '.$e->getCode();
}
?>
