<?php
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
		'CONFIG_TEST_BUTTON' => 'Test',
		'HELLO'		=> 'Bonjour',
		'NODE_LIST'		=> 'Groupes de noeuds',
		'NODE_VISUAL_VIEW'		=> 'Représentation visuelle',
		'NODE_GENERAL_INFO'		=> 'Informations générales',
		'NODE_REDUCE_PANEL'		=> 'Réduire le panneau',
		'NODE_BIG_PANEL'		=> 'Déplier le panneau',
		'NODE_CHARGES'		=> 'Charges',
		'NODE_STATE'	=> 'État de',
		'NODE_LIST_VIEW'=> 'Voir la liste complète des noeuds',
		'PROFIL'		=> 'Mon compte',
		'REFRESH'		=> 'Rafraichir',
		'INDEX'         =>'Accueil',
		'ADMIN'         =>'Administration',
		'DEVICE'        =>'Noeud',
		'USERS'         =>'Utilisateurs',
		'ACCESS'        =>'Droits',
		'GROUPS'        =>'Groupes',
		'GROUP'			=> 'Groupe',
		'HIERARCH'	=> 'Hiérarchisation',
		'HIERARCH_DESC'	=> 'Hiérarchisation des services par noeuds',
		'PLUGINS'     =>'Plugins',
		'PLUGIN'     =>'Plugin',
		'SEARCH'        =>'Rechercher',
		'RETURN'		=>'Retour',
		'DATA_BASE'  =>'Base de données',
		'NEXT'		=>'Suivant',
		'ADD'           =>'Ajouter',
		'APPLY'           =>'Appliquer',
		'HELP'           =>'Aide',
		'FAQ'           =>'Foire aux questions',
		'WIKI'           =>'Wiki',
		'ESIADROID'           =>'Esiadroid',
		'DELETE'        =>'Supprimer',
		'MODIF'         =>'Modifier',
		'CHANGE'         =>'Modifier',
		'CANCEL'        =>'Annuler',
		'YES'           =>'Oui',
		'NO'            =>'Non',
		'LOGIN'         =>'Utilisateur',
		'PASSWORD'      =>'Mot de passe',
		'NODE'      	  =>'Noeud',
		'NODES'      	  =>'Noeuds',
		'NAME'      	  =>'Nom',
		'NAME_DISK'		  =>'Nom du disque',
		'ACCOUNT'      	  =>'Mon compte',
		'LAST_UPDATE'      	  =>'Heure du dernier rafraîchissement',
		'INFORMATIONS'   =>'Informations',
		'PERM'   =>'Permissions',
		'MORE_INFORMATION'   =>'Plus d\'informations',
		'INFORMATION_NODE'=>'Information',
		'DASHBOARD'   =>'Tableau de bord',
		'ABOUT'=>'A propos',
		'ACQUIT'=>'Acquitter',
		'ACQUIT_CANCEL'=>'Annuler l\'acquittement',
		'TOTAL'=>'Total',
		'STATISTIC'=>'Statistiques',
		'SERVICE_STATE'=>'Etat des services',
		'NODES_STATE'=>'Etat des noeuds',
		'SERVICE_STATE_CHECK_PASSIF'=>'Etat des services (check + passif)',
		'CONNECTION'    =>'Connexion',
		'LOGOUT'        =>'Déconnexion',
		'LOGIN_SUCCESS' =>'Authentification reussie, vous serez redirigé dans quelques secondes.',
		'LOGIN_FAILED' =>'Utilisateur ou mot de passe érroné',
		'ALERT_MENU' => 'Alertes',
		'ALERTS'	=> 'Alertes',
		'LGD_TITLE'      =>'Légende',
		'LGD_OK'         =>'OK',
		'LGD_DOWN'       =>'Eteinte',
		'LGD_UNKNOWN'    =>'Inconnu',
		'LGD_WARN'       =>'Alerte',
		'LGD_CRI'        =>'Critique',
		'LGD_HOST'        =>'Hôte',
		'LGD_PORT'        =>'Port',
		'LGD_COMMUNITY'        =>'Communauté SNMP',
		'LGD_PENDING'	 =>'En attente de traitement',
		'LGD_WAR_MEM'		=> 'Alerte Memoire',
		'LGD_CRI_MEM'		=> 'Critique Memoire',
		'LGD_WAR_LOAD'		=> 'Alerte CPU',
		'LGD_CRI_LOAD'		=> 'Critique CPU',
		'LGD_WAR_LAT'		=> 'Latence Alerte',
		'LGD_CRI_LAT'		=> 'Latence Critique',
		'LGD_WAR_LOST'		=> 'Perte Alerte',
		'LGD_CRI_LOST'		=> 'Perte Critique',
		'LGD_DISK'			=> 'Nom du disque',
		'LGD_STOCK'			=> 'Stockage',
		'LGD_PROCESS'		=> 'Nom du processus',
		'LEVEL'            =>'Niveau',
		'DAY'            =>'jour',
		'DAYS'            =>'jours',
		'HOUR'           =>'heures',
        'WEEK'           =>'semaine',
		'MINUTE'         =>'minutes',
		'SECOND'         =>'secondes',
        'MONTH'         =>'mois',
		'NODE_NUMBER'=>'Nombre d\'équipements ',
		'NODE_NUMBER_DIFFERENT'=>'Types d\'équipements différents ',
		'NUMBER_TOTAL_SERVICE'=>'Nombre total de services ',
		'HISTORIC'=>'Historique',
		'CONFIG_MAIL'=>'Paramètres Mail',
		'ERROR'=>'Erreur',
		'DATE'=>'Date',
		'DATE_START'=>'Date de début',
		'DATE_END'=>'Date de fin',
		'DURATION'=>'Durée',
		'MESSAGE'=>'Message',
		'MESSAGES'=>'Messages',
		'SERVICE'=>'Service',
		'SERVICES'=>'Services',
		'SERVICE_INVOICE'=>'Services activés',
		'STATUS'=>'Status',
		'LAST_EXEC'=>'Dernière exécution',
		'ACTION'=>'Action',
		'BACK_HOME'=>'Retour à l\'accueil',
		'SEARCH_NO_FOUND'=>'Aucun résultat trouvé',
		'SHOW_POURCENT_AVAILABLE'=>'Afficher le % de disponibilité depuis le ',
		'SHOW_HISTORIC_SERVICE'=>'Historique du service',
		'SYSDESCRIPTION'=>'sysDescription',
		'SYSNAME'=>'sysName',
		'SYSUPTIME'=>'sysUptime',
		'SYSLOCATION'=>'sysLocation',
		'SYSCONTACT'=>'sysContact',
		'ACTION_GROUPED'=> 'Actions groupées',
		'SHOW_SERVICE'=>'Etats des services',
		'SERVICE_AVAILABILITY'=>'Disponibillité du service',
		'SHOW_GRAPH'=>'Graphiques',
		'SHOW_HIDE_GRAPH'=>'Charger ce graphique',
		'SHOW_HISTORIC'=>'Historique',
		'NO_GRAPH'=>'Pas de graphique pour ce noeud',
		'NO_ACCES'=>'Vous n\'avez pas les droits d\' accès à ce noeud',
		'BAD_ACCES'=>'Vous n\'avez pas les droits d\'accès. Contactez votre administrateur système.',
		'DASHBOARD'=>'Tableau de bord',
		'CACTI_SRV_ACCESS'=>'Aller sur le serveur Cacti',
		'GRAPH_UP'=>'Retour en haut de la page',
		'GRAPH_PAGE'=>'Pages',
		'SEARCH_DESC'           =>'Prise/description',
		'SEARCH_INFO_DESC'			=> 'Exemple: &lt;br /> B138: recherche une prise nommée B138 &lt;br />',
		'SEARCH_IP'             =>'Mac adresse/IP',
		'SEARCH_INFO_IP'			  => 'Exemple mac adresse: &lt;br />0019 &lt;br />00:19:BB:49:8A:EB &lt;br />00:19:bb:49:8a:eb &lt;br />0019.BB49.8AEB &lt;br />0019BB498AEB &lt;br />&lt;br />Exemple IP: &lt;br />192.168.1.1 &lt;br/> 192.1',
		'SEARCH_PERSON'         =>'Personne',
		'SEARCH_INFO_PERSON'	  => 'Recherche sur le nom, le prénom ou le login',
		'NETWORK_STATE'         =>'Etat du réseau',
		'LAST_EVENT'           =>'Derniers événements',
		'NO_ACCESS'             => 'Vous ne disposez pas des droits nécessaires pour accéder à cette page. <br />Contactez votre administrateur réseau pour avoir les droits d\'accès.',
		'ADM_WELCOME_MESSAGE'=>'Bienvenue dans l\'interface d\'administration d\'ESIA',
		'ADM_LAST_EXEC_PLUGIN'=>'Derniers plugins exécutés',
		'ADM_LAST_DAEMON_MESSAGE'=>'Derniers messages du moteur ordonnancement',
		'ADM_LAST_TRAPD_MESSAGE'=>'Derniers messages du dispatcher de trap',
		'ADM_INVALID_ACTION'       =>'Action invalide ',
		'ADM_PLUGIN_PATTERN'      =>'Plugins',
		'ADM_PATTERN'      =>'Patterns',
		'ADM_PATTERN_NAME'      =>'Nom du pattern de service',
		'ADM_PATTERN_DESCRIPTION'      =>'Description du pattern',
		'ADM_PATTERN_ADD_SERVICE'      =>'Ajouter un service',
		'ADM_PATTERN_SERVICE_ADD'      =>'Ajouter un pattern',
		'ADM_PATTERN_SERVICE_UPDATE'      =>'Modification du pattern',
		'ADM_PATTERN_SERVICE_LIST'     =>'Lister les patterns',
		'ADM_PATTERN_SERVICE'      =>'Pattern de services',
		'ADM_PATTERN_AVAILABLE'=>'Pattern de services disponibles',
		'ADM_PATTERN_APPLIED'=>'Pattern appliqué',
		'ADM_PATTERN_UNASSIGN_CONFIRMED_1'=>'Voulez-vous vraiment dissocier le pattern ',
		'ADM_PATTERN_UNASSIGN_CONFIRMED_2'=>' du noeud (Les services seront supprimés!!!)?',
		'ADM_PATTERN_NODE_ASSIGN_SUCCESS'=>'Pattern appliqué avec succès',
		'ADM_PATTERN_NODE_UNASSIGN_SUCCESS'=>'Pattern dissocié avec succès',
        'ADM_PATTERN_UNLINK'      =>'Délier',
		'ADM_PATTERN_UNLINK_CONFIRMED_1'=>'Voulez-vous vraiment délier le pattern ',
		'ADM_PATTERN_UNLINK_CONFIRMED_2'=>' du noeud (les services ne seront pas supprimés)?',
		'ADM_PATTERN_UNLINK_SUCCESS'=>'Pattern délié avec succès',
		'ADM_PATTERN_DELETE'=>'Supprimer le pattern',
		'ADM_PATTERN_DELETE_SUCCESS'=>'Pattern supprimé avec succès',
		'ADM_PATTERN_DELETE_SERVICE_MESSAGE1'=>'Voulez-vous vraiment supprimer le service',
		'ADM_PATTERN_DELETE_SERVICE_MESSAGE2' =>'du pattern ?',
		'ADM_PATTERN_DELETE_SERVICE_MESSAGE3' =>'Tous les services liés seront supprimés',
		'ADM_PATTERN_DELETE_MESSAGE1'=>'Voulez-vous vraiment supprimer le pattern ?',
		'ADM_PATTERN_DELETE_MESSAGE2' =>'Tous les services liés seront supprimés',
		'ADM_PATTERN_UPDATE_SUCCESS' =>'Le pattern de service a été mis à jour avec succès',
		'ADM_PATTERN_ADD_SUCCESS' =>'Le pattern de service a été ajouté avec succès',
		'ADM_DESCRIPTION'          =>'Description',
		'ADM_USERNAME'             =>'Nom d\'utilisateur',
		'ADM_USER_UPDATE'          =>'Modification de l\'utilisateur',
		'ADM_DELETE_USER'          =>'Supprimer l\'utilisateur',
		'ADM_LIST_USER'            =>'Lister les utilisateurs',
		'ADM_CREATE_USER'          =>'Ajouter un utilisateur',
		'ADM_DEFAULT_GROUP'        =>'Groupe par défaut',
		'ADM_INSCRIPTION_TIME'     =>'Date d\'inscription',
		'ADM_EMAIL'                =>'Adresse e-mail',
		'ADM_BAD_EMAIL'            =>'Adresse e-mail invalide',
		'ADM_PASSWORD'             =>'Mot de passe',
		'ADM_CONFIRMED_PASSWORD'   =>'Confirmer le mot de passe',
		'ADM_BAD_PASSWORD'         =>'Les mots de passe doivent être identique',
		'ADM_EMPTY_USER'           =>'Veuillez choisir un identifiant, svp.',
		'ADM_EMPTY_GROUP'		   =>'Veuillez choisir un nom pour le groupe, svp.',
		'ADM_LANG'                 =>'Langue par défaut',
		'ADM_CREATE_USER_SUCCESS'  =>'Utilisateur créé avec succès',
		'ADM_CREATE_USER_FAIL'     =>'Erreur lors de la création de l\'utilisateur',
		'ADM_DEL_USER'             =>'Voulez-vous supprimer l\'utilisateur ?',
		'ADM_DEL_USER_SUCCESS'     =>'Utilisateur supprimé avec succès',
		'ADM_USER_ADD_GRP'         =>'Ajouter l\'utilisateur dans un groupe',
		'ADM_USER_ADD_GRP_SUCCESS' =>'Utilisateur ajouté au groupe ',
		'ADM_USER_DEL_GRP_1'       =>'Voulez-vous retirer l\'utilisateur',
		'ADM_USER_DEL_GRP_2'       =>'du groupe ?',
		'ADM_USER_DEL_GRP_SUCESS'  =>'Utilisateur retiré du groupe avec succès',
		'ADM_GROUPNAME'                   =>'Nom du groupe',
		'ADM_CREATE_GROUP'                =>'Créer un groupe',
		'ADM_CREATE_GROUP_SUCCESS'        =>'Groupe créé avec succès',
		'ADM_UPDATE_GROUP_ACCESS_SUCCESS' =>'Mise à jour des privilèges réussie',
		'ADM_UPDATE_GROUP_SUCCESS'		=> 'Mise à jour des droits et matériels réussie',
		'ADM_UPDATE_GROUP_DEV_SUCCESS'     =>'Mise à jour de l\'accès au matériel réussie',
		'ADM_LIST_GROUP'                  =>'Lister les groupes',
		'ADM_DEL_GROUP'                   =>'Supprimer groupe',
		'ADM_DEL_GROUP_CONFIRM'           =>'Voulez-vous supprimer le groupe',
		'ADM_DEL_GROUP_SUCCESS'           =>'Groupe supprimé avec succès',
		'ADM_GROUP_ACCESS_AVAILABLE'      =>'Droits disponibles',
		'ADM_GROUP_DELETE'      =>'Supprimer le groupe',
		'ADM_GROUP_ACCESS_AUTH'           =>'Droits affectés au groupe',
		'ADM_GROUP_ACCESS_UPDATE'         =>'Mise à jour des autorisations',
		'ADM_GROUP_DEV_AVAILABLE'         =>'Matériels disponibles',
		'ADM_GROUP_DEV_AUTH'              =>'Matériels affectés au groupe',
		'ADM_ACCESSNAME'             =>'Nom du droit',
		'ADM_ACCESS_SITE'            =>'Droit sur le site',
		'ADM_CREATE_ACCESS'          =>'Créer un droit d\'accès',
		'ADM_CREATE_ACCESS_SUCCESS'  =>'Droit créé avec succès',
		'ADM_LIST_ACCESS'            =>'Voir les droits',
		'ADM_ACCESS_DEL'             =>'Voulez-vous supprimer le droit ',
		'ADM_USER_UPDATE_SUCCESS'    =>'Mise à jour réussie',
		'ADM_USER_NO_GROUP'    =>'Pas de groupe par défaut ',
		'ADM_USER_RESET_PASSWORD'    =>'Réinitialiser le mot de passe de l\'utilisateur ',
		'ADM_USER_RESET_PASSWORD_CONF'=>'Voulez-vous réinitialiser le mot de passe de l\'utilisateur ',
		'ADM_USER_INSERT_FAILED'     =>'insertion de l\'utilisateur ratée',
		'ADM_USER_EMAIL_SUBJECT'     =>'Nouveau mot de passe',
		'ADM_USER_EMAIL_MESSAGE'     =>'Voici votre nouveau mot de passe: ',
		'ADM_ADD_DEV'         =>'Ajouter un noeud',
		'ADM_ADD_GESA'         =>'Ajouter une Unity',
		'ADM_UPDATE_SUCCESS'    =>'Mise à jour réussie',
		'ADM_LIST_DEV'        =>'Lister les noeuds',
		'ADM_ADD_PLUGIN'      =>'Ajouter un service',
		'ADM_LIST_PLUGIN'      =>'Lister les services',
		'ADM_GRAPHIC'      =>'Graphique',
		'ADM_GRAPHIC_EXEMPLE'  =>'Exemple d\'url: <br /> pour cacti: http://cacti.esia.local/cacti/graph_view.php?action=tree&amp;tree_id=1&amp;leaf_id=8 <br /> pour munin: http://munin.esia.local/munin/esia.local/munin.esia.local/index.html' ,
		'ADM_GRAPHIC_URL'      =>'URL',
		'ADM_NODE_ADD'       =>'Ajouter un noeud',
		'ADM_NAME'            =>'Nom du noeud',
		'ADM_NODE_TYPE'       =>'Type de noeud',
		'ADM_ADDR_IP'         =>'Adresse IP',
		'ADM_NODE_SERVICE'		=>'Nombre de services',
		'ADM_LOGIN'           =>'Login',
		'ADM_PWD'             =>'Mot de passe',
		'ADM_SNMP_VERSION'    =>'Version SNMP',
		'ADM_SNMP_TIMEOUT'    =>'Timeout SNMP (en ms) ',
		'ADM_COMMUNITY_V1'    =>'Communauté snmp v1-v2c',
		'ADM_SNMP3_USER'      =>'SNMP v3 utilisateur',
		'ADM_SNMP3_SEC_LVL'   =>'Niveau de sécurité',
		'ADM_SNMP3_AUTH_PROT' =>'Protocole d\'authentification',
		'ADM_SNMP3_AUTH_KEY'  =>'Mot de passe ou clé d\'authentification',
		'ADM_SNMP3_PRIV_KEY'  =>'Clé de chiffrement',
		'ADM_SNMP3_PRIV_PROT' =>'Protocol de chiffrement',
		'ADM_CONNECTION_TYPE' =>'Protocol de connexion',
		'ADM_GRP'             =>'Groupe',
		'ADM_IP_VERSION'      =>'Version du protocol IP',
		'ADM_NODE_GROUP'       =>'Groupes de noeuds',
		'ADM_NODE_GROUP_ADD'       =>'Ajouter un groupe de noeuds',
		'ADM_NODE_GROUP_SELECT_TIPS'       =>'Sélectionner le(s) groupe(s) au(x)quel(s) ce noeud appartient',
		'ADM_NODE_PATTERN_SELECT_TIPS'       =>'Sélectionner le(s) patterns(s) à ajouter',
		'ADM_NODE_GROUP_SEARCH_NOFOUND'    =>'Aucun résultat',
		'ADM_NODE_GROUP_UPDATE'       =>'Modification du groupe de noeuds',
		'ADM_NODE_GROUP_PARENT'       =>'Groupe parent',
		'ADM_NODE_GROUP_UPDATE_SUCCESS'       =>'Groupe mis à jour avec succès',
		'ADM_NODE_COMPLEXE' => 'Noeuds complexes',
		'ADM_NODE_SIMPLE'=>'Noeuds simples',
		'ADM_NODE_UNITY'=>'Unity',
		'ADM_NODE_CONSUMPTION' =>'CONSOMMATION NOEUD',
        'ADM_NODE_MODIF_ADVANCE'=> 'Paramètres avancés',
		'ADM_CONFIRM_DEL'     =>'Voulez-vous supprimer: ',
		'ADM_ERR_EMPTY_FORM'  =>'Les champs en rouge sont obligatoires',
		'ADM_ERR_PING_FAILED' =>'Noeud injoignable en ping',
		'ADM_ERR_SNMP_FAILED' =>'Noeud injoignable en SNMP',
		'ADM_ERR_NAME_FAILED' =>'Pas de correspondance (soit le nom entré est mauvais ou il y a un problème DNS) pour nslookup',
		'ADM_ERR_INSERT_FAILED'  =>'Erreur lors de l\'insertion dans la base de donnée',
		'ADM_INSERT_SUCCESS'  =>'Ajout du noeud reussi',
		'ADM_DELETE_SUCCESS'  =>'Suppression du noeud reussi',
		'ADM_NODE_UPDATE_SUCCESS'  =>'Mise à jour du noeud reussie',
		'ADM_NODE_MODIF' => 'Modification du noeud',
		'ADM_PLUGIN_TITLE'    =>'Ajout d\'un service pour ',
		'ADM_PLUGIN_SERVICE'  =>'Nom du service',
		'ADM_PLUGIN_NAME'     =>'Nom du plugin',
		'ADM_PLUGIN_PARAMETER'=>'Paramètres',
		'ADM_PLUGIN_PARAMETER_PATTERN'=>'Paramètres du service',
		'ADM_PLUGIN_ADVANCED_SETTING'=>'Paramètres avancés',
		'ADM_PLUGIN_DEFAULT_PARAMETER'=>'Paramètres',
		'ADM_PLUGIN_PATH' =>'Chemin d\'accès',
		'ADM_PLUGIN_PATH_MESSAGE' =>'L\'exécutable doit se trouver dans le répertoire /usr/local/esia/plugins/ (vérifiez que le fichier est exécutable)',
		'ADM_PLUGIN_INTERVAL'=>'Intervalle entre 2 exécutions (en millisecondes)',
		'ADM_PLUGIN_PRIORITY' => 'Priorité',
		'ADM_INTERVAL'=>'Intervalle',
		'ADM_PLUGIN_DEFAULT_INTERVAL'=>'Intervalle par défaut entre 2 exécutions (en millisecondes)',
		'ADM_PLUGIN_OID' =>'OID de la trap SNMP',
		'ADM_PLUGIN_ADD_SUCCESS'=>'Service ajouté',
		'ADM_PLUGIN_UPDATE_SUCCESS'=>'Service mis à jour avec succès',
		'ADM_PLUGIN_DEL_SUCCESS'=>'Service retiré',
		'ADM_PLUGIN_SOFTWARE_ALERTING' => 'Programme d\'alerte',
		'ADM_PLUGIN_PARAM_ALERTING' => 'Paramètres d\'alerte',
		'ADM_PLUGIN_LIST' => 'Lister les plugins',
		'ADM_PLUGIN_ADD' => 'Ajouter un plugin',
		'ADM_PLUGIN_TYPE' => 'Type',
		'ADM_PLUGIN_INTERVALL_MESSAGE' => 'L\'intervalle doit être un nombre entier >0',
		'ADM_PLUGIN_DELETE_MESSAGE1' =>'Voulez-vous vraiment supprimer le plugin',
		'ADM_PLUGIN_DELETE_MESSAGE2' =>'Il y a encore  ',
		'ADM_PLUGIN_DELETE_MESSAGE3' =>'service(s) qui l\'utilise(nt) encore ',
		'ADM_PLUGIN_DELETE_SUCCESS' =>'plugin supprimé ',
		'ADM_PLUGIN_ADD_SUCCESS'=>'Plugin ajouté',
		'ADM_PLUGIN_UPDATE_SUCCESSD'=>'Plugin modifié avec succès',
		'ADM_NODE_GOTO'=>"Se rendre sur la page du noeud.",
		'NODE_NO_ACCESS'   =>'Vous n\'avez pas le droit d\'accéder au noeud (',
		'NODE_NO_ACCESS_1'   =>') Contactez votre administrateur réseau.',
		'PAGE_EXE'   =>'Page executée en',
		'PAGE_EXE_TI'=>'secondes',
		'ERROR_ESIA_NOT_START'=>'Erreur le programme Esia n\'est pas démarré',
		'ERROR_ESIA_MUST_RELOAD'=>'Il est nécessaire de recharger le démon esia<br /> /etc/init.d/esia reload',
		'ERROR_ESIA_MUST_RESTART'=>'Il est nécessaire de rédémarrer le démon esia<br /> /etc/init.d/esia restart',
		'GESA_INFO'=>'ATTENTION, le nom du noeud doit-être égal soit à l\'adresse IPv4 ou au nom DNS (Dynamic DNS compatible) <br /> Sinon le mot-clé $NRPE_HOST ne sera pas traité et la liaison ne sera pas effective.',
		'GESA_CONNECTED_TO'=>'Connecté derrière la Unity: ',
		'WEBP_REPORT'  =>'Rapport',
		'REPORT'  =>'Rapport',
		'REPORTS'  =>'Rapports',
		'WEBP_LOCATION'=>'Localisation',
		'WEBP_IMPORT'=>'Importation',
		'LOCATION'=>'Localisation',
		'IMPORT'=>'Importation',
		'AVAILABILITY_MONTH'  =>'Disponibilité durant le mois de ',
		'AVAILABILITY_YEAR'  =>'Disponibilité durant les 12 derniers mois ',
		'LOADING'  =>'Chargement',
		'ADM_ADD_CONTAINER' => 'Ajouter un container',
		'ADM_CONFIGURATION'=>'Configuration',
		'ADM_CONFIGURATION_SEND_MAIL_TEST_SUBJECT'=>'ESIA : Email de test',
		'ADM_CONFIGURATION_SEND_TEST_MAIL'=>'Envoyer mail de test',
		'ADM_CONFIGURATION_SEND_MAIL_SUCCES'=>'Mail envoyé avec succes',
		'ADM_CONFIGURATION_NAME'=>'Nom',
		'ADM_CONFIGURATION_VALUE'=>'Valeur',
		'ADM_CONFIGURATION_DESCRIPTION'=>'Description',
		'EXPORT_IMG'=>'Exporter au format image png',
		'EXPORT_CSV'=>'Exporter au format csv',
		'EXPORT'=>'Exporter',
		'REPORT_GRAPH_LABEL'=>'Disponibilité en %',
		'REPORT_TIPS'=>'Astuce',
		'REPORT_TIPS1'=>'Cliquez sur le nom du service, situé dans la légende en dessous du graphique pour faire disparaître la ligne correspondante',
		'REPORT_TIPS2'=>'Vous pouvez "zoomer" en sélectionnant une zone précise avec la souris. Pour revenir à l\'état initial, double-cliquez sur le centre du graphique',
		'REPORT_TIPS3'=>'Une fois le rapport formaté comme vous le souhaitez, vous pouvez l\'exporter à l\'aide des boutons "exporter" en csv ou png',
		'REPORT_TOOLS'=>'Outils',
		'REPORT_ZOOMOUT'=>'Remise à zéro du zoom',
		'REPORT_SELECTALL'=>'Sélectionner toutes les données',
		'REPORT_UNSELECTALL'=>'Désélectionner toutes les données',
		'REPORT_WIKI'=>'Explication du système d\'exportation',
		'SEARCH_NODE'=>'Noeuds',
		'ACQUITTE_ERROR'=>'Erreurs acquittées',
		'CONNECTED'=>'Connecté à ',
		'MACADDRESS'=>'MAC adresse',
		'VIEW_ALL_CONNECTION'=>'Voir les autres connexions',
		'GESA_UNITY'=> 'UNITY' ,
		'GESA_LAST_PARAMETER'=> 'Derniers paramètres' ,
		'GESA_CONFIGURE'=> 'Configuration de' ,
		'GESA_NEW_CONNECTION'=> 'Il y a $HERE nouveau(x) boitier(s) Unity connecté(s)',
		'GESA_HERE' => 'ici',
		'GESA_LIST_NEW_CONNECTION'=> 'Quelle Unity souhaitez-vous installer ?',
		'GESA_BAD_NODENAME'=> 'Le nom entré est déjà utilisé',
		'GESA_CHANGE_IP'=> 'Si vous le souhaitez, vous pouvez changer l\'adresse IP du boitier Unity en cliquant $HERE (Attention ne fonctionne que dans le même réseau local (LAN)',
		'GESA_ADD_UNITYSUCCESS'=> 'Le système Unity est bien connecté au système.<br /> Vous pouvez maintenant ajouter un noeud ou effectuer un scan SNMP.',
		'GESA_ADD_CONGRATULATIONS'=> 'Félicitations !',
		'GESA_SELECT_PLUGIN'=> 'Vous avez sélectionné un plugin Unity alors que le noeud n\'est pas lié à un boitier. ',
		'ADM_RELOAD_NODE'=> 'Recharger les services' ,
		'SAVE'        =>'Sauver',
		'NAME'        =>'Nom',
		'DESCRIPTION' =>'Description',
		'ADD_TILE'    =>'Ajouter une tuile',
		'MY_DASHBOARD'   		   =>'Mes tableaux de bords',
		'DASH_GENERAL_INFOS'   		   =>'Modifications générales',
		'ADD_DASHBOARD'   		   =>'Ajouter un tableau de bord',
		'ADD_WIDGET'   		   =>'Ajouter un widget',
		'DELETE_DASHBOARD'   		   =>'Supprimer',
		'WIDGET_ADMIN'    =>'Gestion des widgets',
		'WIDGET_ADDED'    =>'Widgets présents',
		'ADD_DASHBOARD_SUCCESS'    =>'Tableau de bord créé',
		'UPDATE_DASHBOARD_SUCCESS' =>'Sauvegarde réussie',
		'FONT_SIZE' =>'Taille de la police',
		'FONT_ALIGN' =>'Aligner',
		'FONT_ALIGN_LEFT' =>'gauche',
		'FONT_ALIGN_CENTER' =>'centre',
		'FONT_ALIGN_RIGHT' =>'droite',
		'DONUTS' =>'Donuts',
		'TABLE' =>'5 carrés',
		'ABREVIATION' =>'Abreviation',
		'TOKEN' =>'Jeton',
		'GRAPH' => 'Graphique',
		'RECTANGLE' =>'rectangle',
		'GAUGE'=>'Jauge',
		'FONT_ALIGN_RIGHT' =>'droite',
		'FONT_COLOR' =>'Couleur de la police',
		'NODES'      	  =>'Noeuds',
		'WIDGET_DURING'   =>'Durée d\'affichage du widget',
		'WIDGET_DURING_UNITY'=>'(en secondes)',
		'GESA_FAST_SCAN'=> 'Scan rapide' ,
		'ABOUT_INFO_VERSION' => 'Information sur la version',
		'ABOUT_MAIL_ADDRESS' => 'Adresse e-mail',
		'ABOUT_ONLINE_DATE' => 'Date de mise en ligne : ',
		'ABOUT_GENERAL_INFORMATION' => 'Informations générales',
		'ADM_ADD_NODE_SNMP' => 'Informations SNMP',
		'ADM_ADD_NODE_CONNEXION' => 'Informations de connexion',
		'ABOUT_COMPANY' => 'Société : ',
		'ABOUT_WEB_SITE' => 'Site web : ',
		'ABOUT_LOCATION' => 'Adresse : ',
		'PLUS_BUTTON_ZONE' => 'Afficher/Cacher la liste des zones',
		'PLUS_BUTTON_NODE' => 'Afficher/Cacher la liste des noeuds',
		'INPROGRESS' => 'En cours',
		'GESA_ADVANCED_SCAN'=> 'Scan avancé' ,
		'SEARCH_INT_DESCRIPTION' => 'Description de l\'interface',
		'SEARCH_INT_MAC_ADDRESS' => 'MAC adresse',
		'SEARCH_INT_PLUG' => 'Prise réseau',
		'SEARCH_PLACEHOLDER' => 'Que recherchez-vous ?',
		'SEARCH_NEW' => 'Effectuer une nouvelle recherche',
		'SEARCH_RESULTS' => 'Résultat de votre recherche',
		'REPORT_CANEVAS'	=> 'Canevas',
		'GRAPH_DAY' => '1 jour',
		'GRAPH_WEEK' => '1 semaine',
		'GRAPH_MONTH' => '1 mois',
		'GRAPH_YEAR' => '1 an',
		'EXAMPLE' => 'Exemple',
		'DASHBOARD_DELETE'=>'Voulez-vous vraiment supprimer le tableau de bord:',
		'DELETE_DASHBOARD_SUCCESS'=>'Tableau de bord supprimé avec succès',
		'DASHBOARD_OK'         =>'OK',
		'DASHBOARD_UNKNOWN'    =>'INC',
		'DASHBOARD_WARN'       =>'ALR',
		'DASHBOARD_CRI'        =>'CRIT',
		'DASHBOARD_PENDING'	 =>'ATT',
		'SEARCH_NONE'	 =>'Pas de résultat',
		'DASHBOARD_SELECT_NODE'	 =>'Sélectionner le(s) noeud(s)',
		'DASHBOARD_SELECT_GROUP_NODE'	 =>'Sélectionner le(s) groupe(s) de noeuds',
		'DASHBOARD_SELECT_ONE_GROUP_NODE'	 =>'Sélectionner le groupe de noeuds',
		'DASHBOARD_SELECT_PLAN' => 'Sélectionner un plan',
		'DASHBOARD_RRD_SELECT_NODE'	 =>'Sélectionner le noeud',
		'DASHBOARD_RRD_PERIOD'	 =>'Période',
		'DASHBOARD_RRD_PERIOD_UNITY'=>'(en minute)',
		'DASHBOARD_RRD_SELECT_SERVICE'	 =>'Sélectionner le service',
		'DASHBOARD_RRD_SELECT_PLUGIN'	=> 'Sélectionner le plugin',
		'DASHBOARD_NODE_STATE' =>'Vue liée à des noeuds',
		'DASHBOARD_GROUPNODE_STATE'=>'Vue liée à des groupes de noeuds',
		'DASHBOARD_SERV_STATE' =>'Vue liée à des services',
		'DASHBOARD_PLUGIN_STATE' =>'Vue liée à des plugins',
		'DASHBOARD_VIEW_VALUE' =>'Vue valeur d\'un service',
		'DASHBOARD_LINK_IMPACT' =>'Quel est l\'impact ?',
		'DASHBOARD_LINK_IMG' =>'Choisissez une illustration',
		'DASHBOARD_APPLICATIVE_VIEW' => 'Chaîne applicative',
		'DASHBOARD_GRAPHIC_SE'=>'Graphique de service',
		'DASHBOARD_GOOGLEMAP'=>'Google MAP',
		'DASHBOARD_ALARM'=>'Alertes en cours',
		'DASHBOARD_MAP_FLOOR' =>'Images des localisations',
		'DASHBOARD_PLAN' => 'Vue liée à un plan',
		'DASHBOARD_SELECT_VIEW' =>'Choisissez une vue',
		'DASHBOARD_UPDATE_TILE' =>'Modifier une tuile',
		'DASHBOARD_DELETE_TILE' =>'Supprimer une tuile',
		'DASHBOARD_TILE_DELETE'=>'Voulez-vous vraiment supprimer la tuile ?',
		'DASHBOARD_WIDGET_DELETE'=>'Voulez-vous vraiment supprimer le widget:',
		'DASHBOARD_WIDGET_EMPTY'=>'Le widget est vide',
		'DASHBOARD_WIDGET_EMPTY_APPLICATIVE'=>'Un élément manquant',
		'DASHBOARD_TILE_INVALID'=>'Tuile invalide',
		'DASHBOARD_TILE_DELETE_SUCCESS'=>'Tuile supprimée avec succès',
		'DASHBOARD_WIDGET_DELETE_SUCCESS'=>'Widget supprimé avec succès',
		'DASHBOARD_TITLE_WIDGET' =>'Titre',
		'DASHBOARD_DESC_WIDGET' =>'Description',
		'DASHBOARD_NODE_LINKED' =>'Noeuds liés',
		'DASHBOARD_GROUP_NODE_LINKED' =>'Groupe de noeuds liés',
		'DASHBOARD_LINK' =>'Élément de la chaine',
		'DASHBOARD_UNITY' =>'Unité',
		'DASHBOARD_REDUCE' =>'Réduire',
		'DASHBOARD_SHARE_WITH' =>'Partager le tableau de bord avec (lecture)',
		'DASHBOARD_SELECT_USER' =>'Sélectionner des utilisateurs',
		'DASHBOARD_SHARE' =>'Partagés',
		'DASHBOARD_RRD_SELECT' =>'Valeur à afficher',
		'DASHBOARD_WIDGET_ORDER' =>'Sauver l\'ordre d\'affichage',
		'DASHBOARD_WIDGET_ORDER_SUCCESS' =>'Ordre des widgets sauvé avec succès',
		'SERVICE_TECHNICAL_NAME' =>'Nom technique',
		'HELP_HOME_MENU' => "Naviguez dans l'application grâce à la barre latérale",
		'HELP_HOME_NODE_OVERVIEW' => "Ayez un oeil sur l'ensemble de vos noeuds et de vos services",
		'HELP_SEARCH' => "Recherchez facilement des données dans ESIA.",
		'HELP_MENU_DASH' => "Utilisez nos tableaux de bords pour une vue globale rapide.",
		'HELP_MENU_TREEVIEW' => "Naviguez dans vos noeuds via l'arborescence.",
		'HELP_UNITY_PLUGGED' => "Commencez par ajouter votre boitier Unity en cliquant ici",
		'HELP_UNITY_NOT_PLUGGED' => "Aucun boitier Unity n'a été détecté. Branchez-le et vous aurez la possibilité de scanner votre réseau.",
		'HELP_UNITY_LIST' => "Retrouvez ici la liste des boitiers Unity détectés. Choisissez-en une pour la configurer.",
		'HELP_UNITY_NAME' => "Vous pouvez donner un nom à votre boitier pour l'identifier plus facilement.",
		'HELP_UNITY_ADD_GROUP' => "Ajoutez un groupe de noeud pour structurer vos noeuds. (Exemple : Client 1 / Client 2 / etc.)",
		'HELP_SCAN_FORM' => "Utilisez ce formulaire pour lancer un scan de votre réseau.",
		'HELP_SCAN_LINE' => "Vos scans apparaissent ici. Vous pouvez vérifier le status et effectuer des actions.",
		'HELP_SCAN_BUTTON' => "Le bouton tourne et vous indique que vous avez un ou plusieurs scans en cours. Vous serez notifiés lorsque des scans sont terminés.",
		'HELP_SCAN_RESULT_FILTERS' => "Ce cadre vous permet d'appliquer des paramètres à plusieurs noeuds en une fois.",
		'HELP_SCAN_RESULT_A_NODE' => "Chaque noeud est représenté par un cadre avec les infos qu'Esia a trouvé.",
		'HELP_SCAN_RESULT_A_NODE_PARAMETER' => "Cliquez sur paramètres pour configurer votre noeud comme vous le souhaitez",
		'HELP_SCAN_RESULT_SEND' => "Sélectionnez un ou plusieurs noeuds et vous pourrez les ajouter via ce bouton.",
		'HELP_DASHBOARD_EDIT' => "Vous pouvez renommer ou partager le tableau de bord en cliquant ici.",
		'HELP_DASHBOARD_ADD_TILE' => "Ajoutez autant de tuile que vous souhaitez. Chaque tuile peut contenir plusieurs blocs.",
		'HELP_DASHBOARD_ADD_DASH' => "Vous pouvez créer autant de tableau de bord que vous souhaitez.",
		'HELP_REPORT_CANEVAS' => "Gérez vos modèles de rapport. Définissez les blocs ainsi que les clients et la fréquence.",
		'HELP_REPORT_HISTORIC' => "Retrouvez, affichez, exportez l'ensemble de vos anciens rapports.",
		'HELP_REPORT_CREATE_CANEVAS' => "Pour commencer, créez un canevas et définissez vos préférences.",
		'RESET_TUTORIAL' => "Recommencer les tutoriels",
		'FIRST_FIVE_ERRORS'	=> '5 premières erreurs',
		'ADM_DEFAULT_BANNER' => "Bannière par défaut",
		'ADM_DEFAULT_SESSION_TIME' => "Temps max d'une session",
		'ADM_IMG_DIRECTORY' => "Répertoire des images",
		'ADM_IMG_MAX_SIZE' => "Taille max des images",
		'ADM_MAIL_FORMAT_MESSAGE' => "Template des mails",
		'ADM_MAIL_FORMAT_SUBJECT' => "Template des sujets",
		'ADM_MAIL_SMTP_PORT' => "Port SMTP",
		'MAP_IMG_TAILLE_MAX' => "Taille max des images du plugin MAP",
		'ADM_SMS_HOUR_START' => "Heure d'envoi des SMS",
		'ADM_SMS_HOUR_STOP' => "Heure d'arrêt d'envoi des SMS",
		'ADM_SMS_MAX_PER_DAY' => "Nombre de SMS par jour",
		'ADM_DEFAULT_BANNER_FONTCOLOR' => "Couleur de fond (bannière)",
		'ADM_SRV_CPU_LOAD' => "Plugins CPU",
		'ADM_SRV_HDD_LOAD' => "Plugins DISK",
		'ADM_SRV_INT_LOAD' => "Plugins INTERFACE",
		'ADM_SRV_RAM_LOAD' => "Plugins MEM",
		'ADM_USER_KEY'	   => "Mot de passe de chiffrement",
		'ADM_USER_KEY_TOO_SMALL' => 'Le mot de passe de chiffrement doit faire au moins de 4 caractères',
		'ADM_NODE_PATTERN_DETECTED' =>'AJOUTER LE PATTERN DÉTECTÉ',
		'ADM_NODE_ADD_PATTERN' =>'Ajouter un pattern',
		'ADM_NODE_ADD_SERVICE' =>'Ajouter un service',
		'ADM_NODE_SUCCESS_REDIRECT' =>'Souhaitez-vous ajouter un pattern (ensemble de services préconfigurés) à ce noeud ou ajouter un service particulier.<br /> Cliquez sur un des boutons pour être redirigé.',
		'ADM_MAP_SELECT_NODE' => "Ajouter un noeud ou un container",
		'ADM_MAP_NODE_ADDED' => "Noeuds déjà ajoutés",
		'ADM_DEVICE_GROUP_ERROR_TOOLONG'=>"Erreur : Nom de groupe dépassant 25 caractères",
		'EVENT_NUMBER'	=> "Nombre d'évènements",
		'LOG_NAME'	=> "Nom du log",
		'LOG_SEVERITY' =>"Sévérité",
		'ADM_INSERT_DEVICE_FAILED_DUPLICATE_NAME' => "Impossible d'ajouter ce noeud car son nom est déjà utilisé",
		'MAIL_SUBJECT' => 'Sujet du mail',
		'MAIL_CONTENT' => 'Contenu du mail',
		'MAIL_SENDER' => 'Expéditeur',
		'MAIL_SINCE' => 'Depuis',
		'MAIL_MATCH_OK' => 'mot(s) à matcher en cas de réussite ',
		'MAIL_MATCH_WARN' => 'mot(s) à matcher en cas de warning ',
		'MAIL_MATCH_CRI' => 'mot(s) à matcher en cas d\'échec ',
		'MAIL_EMPTY_MAX' => '(vide = max)',
		'MAIL_ANALYZE' => 'Analyse',
		'MAIL_ERROR_TYPE' => 'Type d\'erreur si aucun match',
		'MAIL_DIRECTORY' => 'Dossier',
		'MAIL_DIRECTORY_INFO' => 'Dossier à consulter (default : inbox)',
		'TAB'=>'Tableau',
		'ACTIVE_NODES' => 'Noeuds actifs',
		'DEAD_NODES' => 'Noeuds DOWN',
		'DOWN_LINKS' => 'Liens DOWN',
        'STATUS_OK' => 'Statuts OK',
		'STATUS_WARN' => 'Statut warning',
		'STATUS_CRI' => 'Statut critique',
		'STATUS_UKN' => 'Statut inconnu',
		'STATUS_IGN' => 'Statut ignoré',
		'SEPARETED_COMA' => '(séparés par des ",")',
		'CREATE_VIRTUAL_NODE' => 'Créer un noeud virtuel',
		'GESA_SPEEDTEST_UPLOAD'=>'Upload',
		'GESA_SPEEDTEST_DOWNLOAD'=>'Download',
		'ADM_PRINT_BOARD'=>'Imprimer ce tableau',
		'ADM_SHOW_HIDDEN_COLUMN'=>'Afficher/masquer des colonnes',
		'RDP' => 'Prise en main à distance',
		'RDP_NOW' => 'Prendre en main à distance',
		'RDP_CONTROL_CHOSEN' => 'Logiciel de prise en main à distance',
		'RDP_INFO' => 'INFORMATIONS PRISE EN MAIN A DISTANCE',
		'RDP_SOFTWARE' => 'Logiciel',
		'RDP_ID'=>'Identifiant',
		'RDP_VERIFY_INPUT'=>'Veuillez remplir le champ',
		'RDP_ID_URL'=>'ID / URL',
		'RDP_VALIDATE'=>'Valider',
		'RDP_UNAVAILABLE_LINUX'=>'Fonctionnalité non disponible depuis un OS Linux',
		'LGD_MAINTENANCE'=>'Maintenance',
        'MAINTENANCE'=>'Mise en maintenance',
		'MAINTENANCE_INTERVAL'=>'Intervalle de temps entre les maintenances',
        'MAINTENANCE_MODE'=>'Configurer le mode maintenance',
        'MAINTENANCE_TYPE'=>'Type de maintenance',
        'MAINTENANCE_TYPE_EXPLAIN'=>'NOEXECUTION: coupe l\'exécution du service durant la période<br />NOALERT: Exécute le service mais bloque la remontée d\'alerte (le service reste en OK).<br />FIRSTERROR: Le service entre en maintenance NOALERT à la première erreur qui est remontée pour la durée spécifiée.',
        'MAINTENANCE_MENU_PLAN'=>'Planifier une maintenance',
        'MAINTENANCE_DATE_START'=>'Date & Heure de début de maintenance',
        'MAINTENANCE_DURING'=>'Durée de la maintenance',
        'MAINTENANCE_CYCLIC'=>'Maintenance cyclique?',
        'MAINTENANCE_PLAN'=>'Planifier la maintenance',
        'MAINTENANCE_PLAN_SUCCESS'=>'Maintenance planifée avec succès',
		'MAINTENANCE_PLAN_DELETE_SUCCESS'=>'Maintenance supprimée avec succès',
		'MAINTENANCE_CYCLIC_DELETE_SUCCESS'=>'Maintenance cyclique supprimée avec succès',
		'MAINTENANCE_CYCLIC_NEXT_SUCCESS'=>'Maintenance cyclique déplacée avec succès',
        'MAINTENANCE_PLAN_FUTUR'=>'Prochaine maintenance',
        'MAINTENANCE_PLAN_EXPLAIN'=>'Les maintenances cycliques sont planifiées 1h avant l\'heure prévue. <br />Il n\'est pas possible de supprimer une maintenance 10 minutes avant sa date de début car le démon a déjà pris les paramètres',
        'MAINTENANCE_TECHNICAL_NAME'=>'Nom technique',
        'MAINTENANCE_SELECT_SERVICE'=>'Sélectionner les services à mettre en maintenance',
        'MAINTENANCE_SELECT_ALL'=>'Sélectionner tout',
        'MAINTENANCE_CYCLIC_TABLE'=>'Maintenance cyclique',
		'MAINTENANCE_PASS'=>'Passer la prochaine maintenance',
        'MAINTENANCE_FIRSTERROR_DURING'=>'Durée de l\'erreur',
		'REPLACE_UNITY'=>'Remplacer Unity',
		'FILTERS'=>'Filtres',
		'SEND_MAIL'=>'Mail',
		'SEND_SMS'=>'SMS & Mail',
		'EXAMPLE_PROGR_ALERT_MAIL'=>"Exemple : adresse1@mail.com,adresse2@mail.com",
        'EXAMPLE_PROGR_ALERT_SMS'=>"Exemple : 0032XXXXXX,0032XXXXXX",
		'EXAMPLE_PROGR_ALERT'=>'Message explication',
		'TELEPHONE_NUMBER'=>'Numéro de télèphone',
		'WARNING_SEUIL'=>'Seuil d\'alerte',
		'CRITICAL_SEUIL'=>'Seuil de critique',
		'CUSTOMIZATION' => 'Personnalisation du bloc',
		'CUSTOMIZATION_COL' => 'Quelles colonnes supplémentaires souhaitez-vous afficher ?',
		'EXECUTE_SERVICE' => 'Exécution du service',
		'EXECUTE_NOW' => 'Exécuter maintenant',
		'ADM_MAP_IMG_TAILLE_MAX' => 'Taille max image localisation',
		'ADD_SERVICES' => 'Ajouter service(s)',
		'GRAPH_NO_DATA' => 'Pas de données à grapher pour ce service',
		'DASHBOARD_SHARE_WRITE' =>'Partager le tableau de bord avec (écriture)',
		'ALL_NODES'=>'Tous les noeuds',
		'ALL_SERVICES'=>'Tous les services',
		'ADM_NODE_PRINTER'=>'imprimante(s)',
		'ADM_ESIA_CONSUMPTION'=>'Consommation',
		'HOME_PAGE'=>'Page d\'accueil',
		'ESIA_ADM_DEFAULT'=>'Par défaut',
		'SELECT_DASHBOARD'=>'Sélectionner un tableau de bord',
		'URL_EXEMPLE_USER'=>'Exemple : /plugin/enterprise/enterprise_control.php?id=152',
		'ADM_LG_FRENCH'=>'Français',
		'ADM_LG_ENGLISH'=>'Anglais',
		'ADM_DELETE_GROUP_NODE'=>'Supprimer uniquement le groupe de noeud.',
		'ADM_DELETE_GROUP_NODE_ALL'=>'Supprimer le groupe de noeud ainsi que tout ce qu\'il contient (noeud et groupe de noeud)',
		'ADM_DELETE_GESA_NODE_ALL'=>'Supprimer également tous les noeuds liés à cette unity ?',
		'DASHBOARD_MESSAGE'=>'Message communication',
		'DASHBOARD_MESSAGE_SELECTED'=>'Type de message',
		'DASHBOARD_MESSAGE_NO_READ'=>'Le nombre de message non lu',
		'READ'=>'Message lu',
		'MSG_NOT_READ'=>'Message(s) non lu(s)',
		'ADM_MSG_DELETE'=>'Supprimer message',
		'ADM_MSG_DELETE2'=>'Voulez vous supprimer ce message ?',
		'ADM_MSG_DELETE_RIGHT'=>'Droit admin requis',
		'ADM_MSG_DELETE_OK'=>'Message supprimé avec succes',
		'ADM_MSG_READ_MSG'=>'Marquer comme lu',
		'DASHBOARD_MESSAGE_TAB'=>'Tableau des messages',
		'DASHBOARD_IMAGE'=>'Logo',
		'DASHBOARD_UPL_IMG' => 'Charger nouvelle image',
		'DASHBOARD_ASK_DELETE_IMAGE_TEXT'=>'Voulez vous supprimer cette image ?',
		'DASHBOARD_DELETE_IMAGE_TEXT'=>'Image supprimée avec succes',
        'ALERT'=>'Alertes',
        'ADM_ADVANCE_NODE_ADD'=>'Ajouter une configuration avancée',
        'ADM_ADVANCE_NODE_ADD_SUCCESS'=> 'Configuration ajoutée avec succès',
        'ADM_ADVANCE_NODE_ADD_FAILED'=> 'Echec de l\'ajout de la configuration avancée',
        'ADM_ADVANCE_NODE_DELETE'=> 'Voulez-vous vraiment supprimer la configuration avancée suivante: ',
        'ADM_ADVANCE_NODE_DELETE_SUCCESS'=> 'Configuration supprimée avec succès',
        'ADM_ADVANCE_NODE_DELETE_FAILED'=> 'Suppression de la configuration échouée : ',
		'ADM_PLUGIN_SOFTWARE_ALERTING_SIMPLE'=>'Nom simple',
		'ADM_PLUGIN_SOFTWARE_ALERTING_ACTION_GROUPED'=>'Action groupée, selectionnez les services et ensuite modifier les paramètres si contre',
		'ADM_PLUGIN_SOFTWARE_ALERTING_SELECT_ALL'=>'Sélectionner tout',
		'ADM_PLUGIN_SOFTWARE_ALERTING_UPGRADE'	=> 'Mettre à jour',
		'ADM_PLUGIN_SOFTWARE_ALERTING_UPDATE_FAILED'=> 'Mise à jour des programmes d\'alerte échouée' ,
        'TYPE'=> 'Type' ,
        'TAG'=> 'Tag' ,
        'ADM_NODE_ADD_SERVICE_BYNAME'=>'Par nom',
        'ADM_NODE_ADD_SERVICE_BYTYPE'=>'Par type de plugin',
        'ADM_NODE_ADD_SERVICE_BYMANUFACTURER'=>'Par fabricant',
         'ADM_NODE_ADD_SERVICE_BYTAG'=>'Par tag',
        'ADM_NODE_ADD_SERVICE_CHECKBOX_GESA'=>'Unity (gesa)',
        'ADM_NODE_ADD_SERVICE_CHECKBOX_SRV'=>'test direct (check)',
        'ADM_NODE_ADD_SERVICE_CHECKBOX_TRAP'=>'trap SNMP',
        'ADM_NODE_ADD_SERVICE_CHECKBOX_MAN'=>'Management',
        'ADM_NODE_ADD_SERVICE_CHECKBOX_CORR'=>'Corrélation',
        'ADM_NODE_ADD_SERVICE_TIPS'=>'Utiliser les champs de recherche pour trouver les plugins associés ) votre noeuds. <br /> Par exemple: taper "windows" pour afficher les plugins liés à Microsoft Windows ou selectionner HP dans les fabricants.  ',
        'ADM_NODE_ADD_SERVICE_FAST'=>'Ajout rapide',
        'ADM_NODE_ADD_SERVICE_CONFIGURE'=>'Configurer',
        'ADM_NODE_ADD_SERVICE_FAILED'=>'Ajout de service échoué',
        'ADM_RELOAD_NODE_SUCCESS'=> 'Rechargement des services reussi' ,
        'ADM_NODE_ADD_SERVICE_EXECUTE_SERVICE'=> 'Tester les paramètres' ,
        'ADM_NODE_ADD_SERVICE_EXECUTE_OUTPUT'=> 'Sortie du service' ,
        'ADM_NODE_UPDATE_SERVICE'=> 'Modification du service' ,
        'ADM_NODE_UPDATE_SERVICE_GENERAL'=> 'Information générale' ,
		'GIVE_A_NAME' => 'Veuillez donner un nom',
		'PLAN_DISPLAY_ICONS' => 'Afficher les icônes',
		'RDP_CONF' => 'Configuration de la prise en main à distance',
		'LOG' => 'Journaux',
		'GDPR_REGISTER' => 'Registre GDPR',
		'GDPR_ADD_NODE' => 'Ajout du noeud: ',
		'GDPR_ADD_USER' => 'Ajout de l\'utilisateur: ',
		'GDPR_ADD_NODE_FINALITY' => 'Assurer la supervision et l\'état du matériel et des applications présents.',
		'GDPR_ADD_USER_FINALITY' => 'Créer le compte d\'accès permettant à l\'utilisateur de se connecter dans le futur',
		'GDPR_DELETE_USER' => 'Suppression de l\'utilisateur: ',
		'GDPR_DELETE_USER_FINALITY' => 'Supprimer les accès de l\'utilisateur et l\'empécher de se connecter dans le futur',
		'GDPR_ADD_SERVICE' => 'Ajout du service de supervision: ',
		'GDPR_ADD_SERVICE_FINALITY' => 'Supervision du service afin d\'avoir des données de performance et de l\'état du service a des fins de diagnostique technique',
		'GDPR_DELETE_SERVICE' => 'Suppression du service de supervision: ',
		'GDPR_DELETE_SERVICE_FINALITY' => 'Les données de performances et l\'historique des erreurs ont été supprimé',
		'GDPR_ACTION' => 'Action',
		'GDPR_TYPE' => 'Type de donnée',
		'GDPR_DESCRIPTION' => 'Description',
		'GDPR_FINALITY' => 'Finalité du traitement',
		'GDPR_REGISTER_ID' => 'Identifiant',
		'GDPR_DELETE_NODE'=>'Suppression du noeud: ',
		'GDPR_DELETE_NODE_FINALITY'=>'Suppression de toutes les données relatives au services,erreurs,graphique, localisation et accès au noeuds identifié',
		'DASHBOARD_SELECT_SERVER'=>'Serveur Esia',
		'REALTIME_START'=>'Démarer l\'exécution temps réel',
		'REALTIME_NEXTEXEC'=>'Prochaine exécution dans',
		'REALTIME_STOP'=>'Stop',
		'REALTIME_TOOLTIP'=>'Il faut parfois 2 à 3 executions avant que le graphique n\'apparaisse',
		'REALTIME_SNMP_COUNTER_ALERT'=>'Attention, en dessous de 20 secondes certaines valeurs SNMP peuvent être incorrectes',
        'REALTIME_START_VALUE'=>'Valeur toutes les ',
        'GROUPNODE_ROOT'=>'Racine',
		'ADM_NODE_RDP_ADVISE'=>'Attention, n\'oubliez pas le http:// ou https:// si vous choississez l\'URL.',
        'DASHBOARD_WIDGET_GROUP_OTHER'=>'Autre',
        'DASHBOARD_WIDGET_GROUP_STATE'=>'4 status',
        'DASHBOARD_WIDGET_GROUP_APPLICATIVE'=>'Applicatifs',
        'DASHBOARD_WIDGET_GROUP_SERVICE'=>'Service',
        'DASHBOARD_WIDGET_GROUP_TAB'=>'Tableau',
        'DASHBOARD_WIDGET_NODE_TYPE_4STATUS'=>'Afficher les états suivants,',
        'DASHBOARD_WIDGET_NODE_TYPE_OTHER'=>'Autre affichage',
        'DASHBOARD_WIDGET_NODE_TYPE_STATUS'=>'Afficher uniquement le status',
        'DASHBOARD_NODE_TYPE_TAB'=>'Status - type de noeuds',
        'DASHBOARD_API_ALARM'=>'Esia API - Alerte',
        'NETWORK_GIGUE'=>'Réseau IP de la MAC adresse',
        'GIGUE_WARNING'=>'Gigue Alerte',
        'GIGUE_CRITICAL'=>'Gigue Critique',
		'SENSOR'=>'Capteur',
		'CONTACT_NORMAL_STATE'=>'Contact normalement',
		'OPEN'=>'Ouvert',
		'CLOSED'=>'Fermé',
		'ALERT_TYPE'=>'Type d\'alerte',
		'WARNING_LOW'=>'Alerte basse',
		'WARNING_HIGH'=>'Alerte haute',
		'CRITICAL_LOW'=>'Critique bas',
		'CRITICAL_HIGH'=>'Critique haut',
        'FORM_RESET'=>'Remise à zéro',
        'DASHBOARD_WIDGET_ALERT_SHOW_COLUMN'=>'Afficher les colonnes:',
		'SUB_PORT'=>'Sous-port',
		'MODULE'=>'Module',
        'PIE'=>'Camenbert',
        'ERROR_LICENCE'=> 'Licence non trouvée. cliquez $HERE$ pour ajouter un fichier licence',
        'ERROR_LICENCE_OTHER'=> 'Cliquez $HERE$ pour ajouter un fichier licence',
        'ERROR_LICENCE_HERE'=> 'ici',
        'UPLOAD_LICENCE_FILE'=> 'Charger le fichier de licence',
        'UPLOAD_LICENCE_FILE_ERR'=> 'Erreur de chargement dans le fichier licence',
        'UPLOAD_LICENCE_FILE_EXPIRED'=> 'Fichier de licence expiré',
        'UPLOAD_LICENCE_NOT_FOUND'=> 'Pas de fichier licence',
        'UPLOAD_LICENCE_UPLOAD_SUCCESS'=> 'Licence chargée et activée avec succès.<br /> Le système va démarrer dans 5 minutes.',
        'LICENCE_WILL_EXPIRE'=> 'Votre licence va expirer le ',
        'LICENCE_EXPIRED'=> 'Licence expirée',
        'LICENCE_ID'=> 'ID de la licence',
        'LICENCE_TYPE'=> 'Type de la licence',
        'LICENCE_NODE_NUMBER'=> 'Nombre de noeuds',
        'LICENCE_PARTNERS'=> 'Partenaire revendeurs',
        'LICENCE_EXPIRE'=> 'Date d\'expiration',
        'LICENCE_INFORMATION'=> 'Information sur la licence',
        'LICENCE_ACTIVATED_FAILED'=> 'La licence n\'a pus être activée',
        'LICENCE_INSTALL_CORRUPT'=> 'L\'installation de votre serveur n\'est pas conforme contacter le support.',
        'LICENCE_MAXIMUN'=> 'Limite de noeuds supervisable pratiquement atteinte.',
        'LICENCE_MAXIMUN_EXCEEDED'=> 'Limite de noeuds supervisable dépassée.',
        'GESA_STATUS'=>'Status',
        'GESA_CONNECTED'=>'Connectée',
        'GESA_DISCONNECTED'=>'Déconnectée',
	'DEFAULT_TIME_FORMAT' => 'H:i:s',
	'DEFAULT_DATE_FORMAT' => 'd/m/Y',
	'DEFAULT_DATETIME_fORMAT' => 'd/m/Y H:i:s',
			'PROCESS' => 'Processus',
		'LIMIT' => 'limite',
		'THREADS_SETTINGS_NUMBER' => 'Nombre de threads configurés',
		'ROUTER' => 'Routeur',
		'LAST_SEND' => 'Date dernier envoi',
		'TASK_CLEAN' => 'Tâches à nettoyer',
		'TASK_SIZE' => 'Nombre de tâches',
		'CONNECTED_UNITY' => 'Unitys connectées',
		'UNITY_LIST' => 'Liste des unitys',
		'ECATP_SYSTEM' => 'Système ECATP',
		'SERVICE_TASKS' => 'Tâches du service',
		'NEW_UNITY'     => 'Nouvelle',
		'RUNNING'     => 'Démarré',
		'HALTED'     => 'Stoppé',
));
?>
