<?php
/**
 * @name node_index
 * @description page principal du repport des erreurs sur les noeuds
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 19/11/2012
 */
$temps = microtime();
$temps = explode(' ', $temps);
$debut = $temps[1] + $temps[0];
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
include_once $path.'/Model_adm.php';
include_once $path.'/Model_gesaStat.php';
$list_node_grp=array();
$nodegroup = null;

//ajout d'un lien pour la navbar
if(isset($_GET['nodegroup'])&&is_numeric($_GET['nodegroup']))
{
	$nodegroup=$_GET['nodegroup'];
	$navbar->addNodeGroups($nodegroup);
	$tgroup =Model_adm::getGroupDeviceIn($dbconnection,$nodegroup);
		$navbar->addElement($tgroup[0]['name'] ,'node_index.php?nodegroup='.$nodegroup,$ICONS['groupNode']);
    $smarty->assign('idgroupnode', $_GET['nodegroup']);
}
else
{
	$navbar->addElement($lang['NODES'],'/node_index.php',$ICONS['groupNode']);
}

//
//on récupère l'état de chaque groupe de noeud
//

//liste les noeuds dans le groupe
if($nodegroup==null)
{
	$NodeList = Model_esia::newgetNodeList($dbconnection,$user->getId(),'noGroup',Model_esia::NODE_INSTANCE);
}
else
{
	$NodeList = Model_esia::newgetNodeList($dbconnection,$user->getId(),$nodegroup,Model_esia::NODE_INSTANCE);
}
foreach($NodeList as $node)
{
	//on récupère l'état du noeud
	$NodeState = Model_esia::countNodeState($dbconnection, $node->getId());
	//page de contrôle du noeud
	$page_control = Model_esia::getPageControl($dbconnection, $node->getType() );
	if($page_control!=null)
	{
		$page_control = Model_esia::replacePageControlVariable($page_control,$node);
	}
	else
	{
		$page_control = '/node_view.php?name='.$node->getId();
	}
	$list_node_grp[]=array(
			'id'=>$node->getId(),
			'name'=>$node->getName(),
			'type'=>$node->getType(),
			'type_img'=>$ICONS[$node->getType()],
			'description'=>preg_replace('#\n#','<br />',$node->getDescription() ),
			'ip_address'=>$node->getIPv4Adress(),
			'link'=>$page_control,
			'ok'=>$NodeState['OK'],'warning'=>$NodeState['warning'],'critical'=>$NodeState['critical'],'unknown'=>$NodeState['unknown']);
}
//On récupérer l'arborescence des groupes
//si nodeGroup est différents de null. On liste le groupe demandé ainsi que les sous-groupes

$arrs = model_esia::getGroupNodeStates($dbconnection,$user->getId(),$nodegroup,true,$NODEGOUPNOTSHOWSTATE);
$GROUP_NODE_STATE = $arrs;
//prepare la resquete pour les GroupNodeStat
foreach($GROUP_NODE_STATE as $top)
{
		$tmp=null;
		$state='null';
		if(array_key_exists('ok', $top))
		{
			$state = array('ok'=>$top['ok'],'warning'=>$top['warning'],'critical'=>$top['critical'],'unknown'=>$top['unknown']);
		}
		else
		{
			$state = $top['status'];
		}
		//si le groupe est vide on ne l'affiche pas
		if(!is_groupServiceEmpty($state))
		{
			//lien vers le sous groupe
			$page_control="/node_index.php?nodegroup=".$top['id'];
			$list_node_grp[]=array('id'=>$top['id'],
									'name'=>$top['name'],
									'type'=>'aa_groupNode',
									'type_img'=>$ICONS['groupNode'],
									'description'=>'',
									'ip_address'=>'',
									'link'=>$page_control,
									'ok'=>$state['ok'],
									'warning'=>$state['warning'],
									'critical'=>$state['critical'],
									'unknown'=>$state['unknown']);
		}
}

usort($list_node_grp,"cmptree");





$smarty->assign('node_list_grp',$list_node_grp );

//variable de langue
$smarty->assign('l_service_invoice', $lang['SERVICE_INVOICE']);
$smarty->assign('l_dashboard', $lang['DASHBOARD']);
$smarty->assign('l_ctrl_lgd_ok', $lang['LGD_OK']);
$smarty->assign('l_ctrl_lgd_unknown', $lang['LGD_UNKNOWN']);
$smarty->assign('l_ctrl_lgd_warn', $lang['LGD_WARN']);
$smarty->assign('l_ctrl_lgd_cri', $lang['LGD_CRI']);
$smarty->assign('l_total', $lang['TOTAL']);
$smarty->assign('l_groupname', $lang['ADM_GROUPNAME']);
$temps = microtime();
$temps = explode(' ', $temps);
$fin = $temps[1] + $temps[0];
$smarty->assign('l_page_exe', $lang['PAGE_EXE']);
$smarty->assign('l_page_exe_time', $lang['PAGE_EXE_TI']);
// On affiche la différence entre des deux valeurs
$smarty->assign('execute_time',round(($fin - $debut),6) );
$smarty->display('node_index.html');
function tree_search_node_group($tree,$selectgroup)
{
	$arr = array();
	foreach($tree as $child)
	{
		if($child['id']==$selectgroup)
		{

			return $child;
		}
		if(isset($child['child']))
		{
			$tmps = tree_search_node_group($child['child'],$selectgroup);
			if(isset($tmps)&&!empty($tmps))
			{
				return $tmps;
			}
		}
	}

	return $arr;
}
?>
