<?php
/**
 * @name sw_control.php
 * @description Fichier principal du plugin serveur
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 3/11/2014
 */

//inclusion des fichiers principaux
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
//include_once $path.'/Model_adm.php';
//include_once '../gesa/gesa_config.php';
include_once './lang/fr.php';
include_once './model_switch.php';
$temps = microtime();
$temps = explode(' ', $temps);
$debut = $temps[1] + $temps[0];
//on récupère le nom du serveur
$node =  Model_esia::InstanceNode($dbconnection, $_GET['id']);
//chemin d'accès au repertoire du plugin contenant les templates
$arr = Model_esia::getWebPlugin($dbconnection,false,'Switch');
$template_path= $path.$arr[0]['apache_path'].'template/';
if(!isset($_GET['action'])&&empty($_GET['action']))
{
	$_GET['action']='';
	$smarty->assign('sw_action', '');
}
//on test si on a les autorisation d'accès
if($user->getDroits($dbconnection,"device_view",$node->getName()) ==1)
{
	//NAVBAR
	$navbar->addNode($node, $ICONS[$node->getType()]);
	$pagecontrol = Model_esia::getPageControl($dbconnection,$node->getType());
	$pagecontrol = Model_esia::replacePageControlVariable($pagecontrol,(array) $node);

	$smarty->assign('sw_control_id',$node->getId());
	$smarty->assign('sw_control_name',$node->getName());
	//affichage de quelques informations général sur le noeud
	$smarty->assign('action',$_GET['action']);
	//Etats des services
	$listState = Model_esia::countNodeState($dbconnection, $node->getId());
	$nbr_error=0;
	//on additionne les erreurs et les services OK (on a ainsi le total des services check et des services passifs)
	$nbr_error=$nbr_error+$listState['critical']+$listState['warning']+$listState['unknown'];
	$smt_status = array('nbr_error'=>$nbr_error,
			'nbr_service'=>$nbr_error + $listState['OK']);
	$smt_status = array_merge ($smt_status,$listState);
	$smt_node = array('name'=>$node->getName(),
			'ip'=>$node->getIPv4Adress(),
			'id'=>$node->getId(),
			'description'=>$node->getDescription(),
			'group'=>$node->getGroup()
	);
	$smarty->assign('node_status',$smt_status);
	$smarty->assign('node',$smt_node);
	if(@get_class($node)!='RemoteSwitch' && @get_class($node)!='RemoteDevice')
	{

		//print_r($dbinfo);
		if($user->getDroits($dbconnection,"switch_interface_view")){
			$smarty->assign('USL','yes');
		}
	}
	if(isset($_GET['interface'])&&!empty($_GET['interface']))
	{
		$smarty->assign('searchinterface',$_GET['interface']);
		$arr = Model_switch::getInterfaceInformation($dbconnection,$node->getId(),$_GET['interface']);
		$inter = reset ($arr);
		$smarty->assign('inter',$inter);
	}
}
//variable de langue
$smarty->assign('l_information', $lang['INFORMATION_NODE']);
$smarty->assign('l_state_service', $lang['SERVICE_STATE']);
$smarty->assign('l_state_service_passifcheck', $lang['SERVICE_STATE_CHECK_PASSIF']);
$smarty->assign('l_show_service', $lang['SHOW_SERVICE']);
$smarty->assign('l_show_historic', $lang['SHOW_HISTORIC']);
$smarty->assign('l_show_graph', $lang['SHOW_GRAPH']);
$smarty->assign('l_report', $lang['REPORT']);
$smarty->assign('l_sw_page_exe', $lang['SRV_PAGE_EXE']);
$smarty->assign('l_sw_page_exe_time', $lang['SRV_PAGE_EXE_TI']);
$smarty->assign('l_sw_ctrl_lgd_title', $lang['SW_CTRL_SW_LGD_TITLE']);
$smarty->assign('l_sw_ctrl_lgd_ok', $lang['SW_CTRL_SW_LGD_OK']);
$smarty->assign('l_sw_ctrl_lgd_down', $lang['SW_CTRL_SW_LGD_DOWN']);
$smarty->assign('l_sw_ctrl_lgd_warn', $lang['SW_CTRL_SW_LGD_WARN']);
$smarty->assign('l_sw_ctrl_lgd_cri', $lang['SW_CTRL_SW_LGD_CRI']);
$smarty->assign('l_type_node', $lang['ADM_NODE_TYPE']);
$smarty->assign('l_description', $lang['ADM_DESCRIPTION']);
$smarty->assign('l_address_ip', $lang['ADM_ADDR_IP']);
$smarty->assign('l_group', $lang['ADM_GRP']);
$smarty->assign('l_device', $lang['DEVICE']);
$smarty->assign('l_interface', $lang['ADM_SW_ADD_INTERFACE']);
$smarty->assign('l_loading', $lang['LOADING']);
$smarty->assign('l_sw_intloading', $lang['SW_INT_LOAD']);
$smarty->assign('l_modification', $lang['MODIF']);
//affichage de la page
$temps = microtime();
$temps = explode(' ', $temps);
$fin = $temps[1] + $temps[0];
// On affiche la différence entre des deux valeurs

$smarty->assign('execute_time',round(($fin - $debut),6) );
$smarty->display($template_path.'sw_control.html');
?>
