<?php
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
		'PLUGIN_MAP_NAME'   				=>'Localisation',
		'MAP_FLOOR'   				=>'Etage',
		'MAP_AREA'   					=>'Zone',
		'MAP_AREA_COORDINATED'			=>'Coordonnées de la zone',
		'MAP_AREA_CREATED'   				=>'Définition d\'une nouvelle zone',
		'MAP_AREA_CHANGE'   				=>'Modification d\'une zone',
		'MAP_AREA_SHOW'   				=>'Afficher toutes les zones',
		'MAP_AREA_HIDDEN'   				=>'Cacher les zones',
		'MAP_AREA_SAVE_SUCCESS'   		=>'Zone ajoutée avec succès',
		'MAP_AREA_UPDATE_SUCCESS'   		=>'Mise à jour effectuée',
		'MAP_AREA_DELETE_SUCCESS'   		=>'Zone supprimée avec succès',
		'MAP_CLEAR'   				=>'Remise à 0',
		'MAP_BUILDING'   				=>'Bâtiment',
		'MAP_BUILDING_CREATE'   			=>'Ajouter un bâtiment',
		'MAP_BUILDING_ADD'   				=>'Ajout d\'un bâtiment',
		'MAP_BUILDING_MODIFY'   			=>'Modification d\'un bâtiment',
		'MAP_BUILDING_SHOW'   			=>'Afficher les bâtiments de la zone',
		'MAP_BUILDING_NAME'   			=>'Nom du bâtiment',
		'MAP_BUILDING_ADD_MAP'   			=>'Ajouter un plan',
		'MAP_BUILDING_DESCRIPTION'   			=>'Description du bâtiment',
		'MAP_BUILDING_COORDINATED'   			=>'Coordonnées',
		'MAP_BUILDING_SAVE_SUCCESS'   		=>'Sauvegarde réussie',
		'MAP_BUILDING_DELETE_SUCCESS'   		=>'Suppression réussie',
		'MAP_BUILDING_SAVE_FAILED'   			=>'Sauvegarde échouée',
		'MAP_BUILDING_SAVE_FAILED_NAME'   		=>'Sauvegarde échouée. Le nom ne peut-être vide',
		'MAP_BUILDING_MAX_SIZE_IMAGE'   	=>'Taille maximum de l\'image: ',
		'MAP_BUILDING_MAX_SIZE_IMAGE_UNIT'   	=>'Mo',
		'MAP_FIRST_SELECT_NODE'				=> "Sélectionnez d'abord un noeud ou un container.",
		'ADM_FLOOR_DELETE_CONFIRM' 			=>'Voulez-vous vraiment supprimer le plan',
		'ADM_FLOOR_DELETE_SUCCESS' 			=>'Plan supprimé avec succès',
		'ADM_FLOOR_DELETE_FAILED' 			=>'Suppression du plan échouée',
		'ADM_FLOOR_ADD_SUCCES' 				=>'Ajouté avec succès',
		'MAP_LOCALIZATION'   				=>'Localisation',
		'MAP_CONFIGURATION'   			=>'Configuration',
		'MAP_CONFIGURATION_AREA'   			=>'Gestion des zones',
		'MAP_CONFIGURATION_BUILDING'   		=>'Gestion des bâtiments',
		'MAP_ACTION'   				=>'Action',
		'MAP_GROUP_NAME'   					=>'Groupe de noeud',
		'MAP_DESCRIPTION'   			=>'Description',
		'MAP_NODE_AVAILABLE'   			=>'Noeud disponible',
		'MAP_NODE_CONTAINER'   			=>'Noeud dans le container',
		'MAP_STATE'   			=>'Etat',
		'MAP_PATH'   			=>'Chemin d\'accès',
		'MAP_DATE'   					=>'Date',
		'MAP_NODE'   					=>'Noeud',
		'MAP_NODE_TYPE'   					=>'Type',
		'MAP_NODE_GROUP'   					=>'Groupe',
		'MAP_CONTAINER'   					=>'container',
		'MAP_CONTAINER_TYPE'   					=>'Type de container',
		'MAP_NAME'   					=>'Nom',
		'MAP_ABREVIATION'   				=>'Abréviation',
		'MAP_ERRORS'   				=>'Erreur',
		'MAP_NODE'   					=>'Noeud',
		'MAP_FILE'   					=>'Fichier',
		'MAP_SERVICE'   					=>'Service',
		'MAP_MESSAGE'   				=>'Message',
		'MAP_IMAGE'   				=>'Image',
		'MAP_SAVE'   					=>'Sauvegarder',
		'MAP_DELETE'   					=>'Supprimer',
		'MAP_RESIZE'   					=>'Redimensionner',
		'MAP_MOVE'   					=>'Déplacer',
		'MAP_ZONE_CREATE'   				=>'Ajouter une zone',
		'ADM_MAP_SAVE_SUCCESS'   		=>'Configuration sauvegardée',
		'ADM_MAP_ADD'      			 	=>'Ajouter',
		'ADM_MAP_PREVIOUS_PAGE'      			=>'Retour page précédente',
		'ADM_MAP_FLOOR'     				=>'Plan',
		'ADM_CONFIRMED_DEL_BUILDING'     		=>'Voulez-vous supprimer le bâtiment et tous ses étages (les informations de localisation seront perdues)',
		'ADM_CONFIRMED_DEL_ZONE'			=>'Voulez-vous supprimer la zone et tous ses bâtiments/étages (les informations de localisation seront perdues)',
		'MAP_CONFIGURE_GOOGLE_MAP'   			=>'Configuration de la Google Map',
		'MAP_CONFIGURE_CENTER_COORDINATED'   		=>'Coordonnées du centre de la carte',
		'MAP_CONFIGURE_DEFAULT_ZOOM'   		=>'Zoom par défaut (entre 0 et 19)',
		'MAP_CONFIGURE_CHANGED_ZOOM'   		=>'Zoom de changement (entre 1 et 20)',
		'MAP_CONFIGURE_TYPE'   			=>'Type de carte',
		'MAP_BAD_ACCESS'				=> 'Vous n\'avez pas le droit d\'accéder à la géolocalisation',
		'DASHBOARD_SELECT_FLOOR'		=>'Sélectionnez l\'image',
		'DASHBOARD_SELECT_FLOOR_LABEL'		=>'Images',
		'DASHBOARD_IMG_FLOOR'		=>'Attention: image seule et non réactive',
));
?>