<?php
/**
 * @name map.php
 * @description page principal du plugin de géolocalisation
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 27/11/2012
 */
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
if(isset($SIMPLEVIEW) && $SIMPLEVIEW==true)
{
	$smarty->assign('map_simple_view',true);
	$smarty->assign('map_height',$HEIGHT);
}
else
{
	$smarty->assign('map_height','600');
}
$navbar->addElement($lang['PLUGIN_MAP_NAME'], '/map.php',$ICONS['warning']);
//chemin d'accès au repertoire du plugin contenant les templates
$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_LOCATION');
$template_path= $path.$arr[0]['apache_path'].'template/';
$smarty->assign('map_template_directory',$template_path);
include_once  $path.$arr[0]['apache_path'].'/map_model.php';
//vérification des accès
if($user->getDroits($dbconnection,"map_view") ==1)
{
	
	//récupérationd es information par défaut
	$conf = MapModel::GetMapConfiguration($dbconnection);
	$smarty->assign('map_center_lat',$conf['CENTER_LATITUDE']);
	$smarty->assign('map_center_long',$conf['CENTER_LONGITUDE']);
	$smarty->assign('map_type',$conf['TYPE']);
	$smarty->assign('map_zoom',$conf['ZOOM']);
	$smarty->assign('map_zoom_changed',$conf['ZOOM_CHANGED']);
	
	if($_GET['action']=='showzone')
	{
		if(isset($_GET['id'])&&!empty($_GET['id']))
		{
			$zone = MapModel::GetZone($dbconnection,$_GET['id'],false);
			$smarty->assign('map_zone',$zone[$_GET['id']]);
		}
		$smarty->display($template_path.'map.html');
	}
	else
	{
		$smarty->display($template_path.'map_google.html');
	}
}
else
{
	$smarty->assign('l_map_bad_access','bad');
	$smarty->display($template_path.'map.html');
}
?>
