<?php
/**
 * @name map_menu.inc.php
* @description fichier générant le menu de la géolocalisation
* @author Nicolas Biersart <n.biersart@esia-network.com>
* @contributor
* @copyright Nicolas Biersart 2012
* @license
* @esia 1.00
* @version 1.0.0
* @date 26/06/2013
*/
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
//chemin d'accès au repertoire du plugin contenant les templates
$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_LOCATION');
$path = $path.$arr[0]['apache_path'];
$template_path= $path.'template/';

include_once $path.'map_model.php';
$path = $arr[0]['apache_path'];
//vérification des accès
$user = new User($dbconnection);
$user->sessionIDisValid();
if($user->getAccess($dbconnection,"map_view") ==1)
{
	$arrlinks = array();
	//état de chaque zone
	$arr = MapModel::getZoneState($dbconnection,null,$user->getId());
	foreach($arr as $zone => $row)
	{	
		$html = 'EventOK';
		if ($row['critical'] != 0) 
		{
			$html = 'EventCritical';
		} 
		else if ($row['warning'] != 0) 
		{
			$html = 'EventWarning';
		} 
		else if ($row['unknown'] != 0) 
		{
			$html = 'EventUnknown';
		}
		$arrlinks[]=array('url'=>$path.'map.php?action=showzone&id='.$zone,'name'=>$row['name'],'html'=>$html);
	}
	return $arrlinks;
}
?>
