<?php
//inclusion des fichiers principaux
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';

if(isset($_GET['action'])&&!empty($_GET['action']))
{
	$action=$_GET['action'];
}
else 
{
	$action = 'view';
}
if(isset($_GET['createsuccess']))
{
	$smarty->assign('l_success',$lang['ADD_DASHBOARD_SUCCESS']);
	if(!$user->isFinishingTutoriel(6)) {
		$smarty->assign('seeTutos',6);
	}
}
elseif(isset($_GET['deletesuccess']))
{
	$smarty->assign('l_success',$lang['DELETE_DASHBOARD_SUCCESS']);
}
elseif(isset($_GET['updatesuccess']))
{
	$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);;
}
session_write_close();
$smarty->assign('action',$action);
if($action =="addTile")
{
	$dashboard = model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
	$dashboard = array_pop($dashboard);
	//Si il n'est pas partagé. J'ai le droit de le modifié
	if(empty($dashboard['share']) && isset($dashboard['id']))
	{	
		include_once $path.'/Model_adm.php';
		$tile = json_decode($_GET['dashjson']);
		$id = Model_adm::insertTileDashboard($dbconnection, $tile->position, $tile->heigh,$tile->width, $dashboard['id']);
		echo json_encode($id,true);
		exit(0);
	}
}
elseif($action =="addWidget")
{
	$dashboard = model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
	//$dashboard = array_pop($dashboard);
	//Si il n'est pas partagé. J'ai le droit de le modifié
	if(!empty($_POST['view']) && isset($_POST['view']))
	{
		include_once $path.'/Model_adm.php';
		$tile = json_decode($_GET['dashjson']);
		$dashboard = model_esia::getdasboardView($dbconnection,$_POST['view']);
		$dashboard = array_pop($dashboard);
		$id = Model_adm::insertWidget($dbconnection, $_GET['id'],$dashboard['id'],$lang[$dashboard['name']]);		
	}
	$action='updatetitle';
}
elseif($action=='savewidgetorder')
{
	if(isset($_POST['idtile']) && is_numeric($_POST['idtile']) )
	{
		try 
		{
			include_once $path.'/Model_adm.php';
			Model_adm::updateWidgetOrder($dbconnection, json_decode($_POST['widgetjson'],true));
			$smarty->assign('l_success',$lang['DASHBOARD_WIDGET_ORDER_SUCCESS']);
			$smarty->assign('action','updatetitle');
		}
		catch (EsiaDbException $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}	
	}
	$action='updatetitle';
}
elseif($action =="deleteWidget")
{
	$smarty->assign('adm_tile','yes');
	$widget = model_esia::getWidget($dbconnection,$_GET['id'],$user->getId());
	$widget = $widget[0];
	$smarty->assign('adm_widget',$widget);
	//$dashboard = array_pop($dashboard);
	//Si il n'est pas partagé. J'ai le droit de le modifié
	if(!empty($_POST['id']) && isset($_POST['id']))
	{
		try 
		{
			include_once $path.'/Model_adm.php';
			$_GET['id'] = $widget['tile'];
			$tile = json_decode($_GET['dashjson']);
			$id = Model_adm::deleteWidgetDashboard($dbconnection, $_POST['id']);	
			$smarty->assign('l_success',$lang['DASHBOARD_WIDGET_DELETE_SUCCESS']);
			$smarty->assign('action','updatetitle');	
			
		}
		catch (EsiaDbException $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}	
	}
	
	$action='updatetitle';
}
elseif($action =="create")
{

	include_once $path.'/Model_adm.php';
	try 
	{
		$dashid = Model_adm::insertDashboard($dbconnection, $lang['DASHBOARD'],'', '/dashboard/default.php?id=:dashid', $user->getId());
		$url = '/dashboard/default.php?action=edit&createsuccess=1&id='.$dashid;
		header("Location: $url");      
	}
	catch (EsiaDbException $e)
	{
		$smarty->assign('l_error',$e->getMessage());
	}
}
elseif($action=='delete')
{
	if(isset($_POST['id']) && is_numeric($_POST['id']))
	{
		include_once $path.'/Model_adm.php';
		try
		{
			Model_adm::deleteDashboard($dbconnection, $_POST['id']);
			header("Location: /dashboard/default.php?deletesuccess=1");      
		}
		catch (EsiaDbException $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
	}
	elseif(isset($_GET['id']) && is_numeric($_GET['id']))
	{
		$dashboard = model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
		if(!empty($dashboard))
		{
			$dashboard = array_pop($dashboard);
			$smarty->assign('dashboard',$dashboard);
		}
	}
}
elseif($action =="deletetile")
{
	$smarty->assign('adm_tile','yes');
	if(isset($_POST['id']) && is_numeric($_POST['id']))
	{
		include_once $path.'/Model_adm.php';
		try
		{
			Model_adm::deleteTileDashboard($dbconnection, $_POST['id']);
			$_GET['id']=null;

			$smarty->assign('action','deletetile');
			$smarty->assign('l_success',$lang['DASHBOARD_TILE_DELETE_SUCCESS']);
		}
		catch (EsiaDbException $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}		
	}
	else 
	{
		$widgets = model_esia::getTiles($dbconnection,$_GET['id']);
		$smarty->assign('deletetile',$_GET['id']);
			//$smarty->assign('l_error',$lang['DASHBOARD_TILE_INVALID']);

	}
}
if($action=="edit")
{
	include_once $path.'/Model_adm.php';
	if(isset($_POST['dashjson'])&&!empty($_POST['dashjson']))
	{
		$tiles = json_decode($_POST['dashjson']); 
		$dashboard = model_esia::getDashboards($dbconnection,$_POST['dashboardid'],$user->getId());
		$dashboard = array_pop($dashboard);
		//Si il n'est pas partagé. J'ai le droit de le modifié
		if(empty($dashboard['share']) && isset($dashboard['id']))
		{
			//Update du dashboard
		    $userRightView =Model_adm::getUserShareDashboard($dbconnection, $dashboard['id']);
		    $userRightWrite =Model_adm::getUserShareDashboard($dbconnection, $dashboard['id'],true);
		    //on ne peut pas se baser le vide ou si la variable est settée car si l'utilisateur n'a pas les droits de partage. Les valeurs ne sont pas initialisée/setté
		    //si l'utilisateur a les drois mais qu'il n'a rien mis on est dans le même cas 
		    if($user->getAccess($dbconnection, 'esia_user_share_dashboard')==1)
		    {
		        $userRightWrite = $_POST["dashshareWrite"];
		        $userRightView = $_POST["dashshare"];
		    }
		    
			if(isset($userRightWrite))
			{
				$userRightView = array_diff($userRightView,$userRightWrite);
			}
			
			model_adm::updateDashboard($dbconnection,$dashboard['id'],$_POST['dashname'],$_POST['dashdescription'],$userRightView,$userRightWrite,$user->getId());
			foreach($tiles as $tile)
			{
				try 
				{
					$tile->heigh =(int) preg_replace('#px#', '', $tile->heigh);
					$tile->width = preg_replace('#\%#', '', $tile->width);
					if($tile->action=='update')
					{
						Model_adm::updateTileDashboard($dbconnection, $tile->id, $tile->position, $tile->heigh,$tile->width, $dashboard['id']);
					}
				}
				catch (EsiaDbException $e)
				{
					$smarty->assign('l_error',$e->getMessage());
				}
			}
			$smarty->assign('action','view');
			if(!isset($_POST["source"])) {
				//$url = '/dashboard/default.php?updatesuccess=1&id='.$dashboard['id'];
				//header("Location: $url");
			} 
		}
		$_GET['id'] = $dashboard['id'];
	}
	if($user->getAccess($dbconnection, 'esia_user_share_dashboard')==1)
	{
		$dashboard = model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
		$dashboard = array_pop($dashboard);
		$list_user=Model_adm::searchUser($dbconnection,null);
		$smarty->assign('list_user',$list_user);
		$smarty->assign('dash_share','yes');
		$shareuser =Model_adm::getUserShareDashboard($dbconnection, $dashboard['id']);
		$smarty->assign('shareuser',$shareuser);
		$writeuser =Model_adm::getUserShareDashboard($dbconnection, $dashboard['id'],true);
		$smarty->assign('writeuser',$writeuser);
	}
	$action = 'view';
}
elseif ($action == 'updatetitle')
{
	
	$widgets = model_esia::getTiles($dbconnection,$_GET['id']);
	$widgets = $widgets[$_GET['id']];
	$tileWidget=array();
	$smarty->assign('adm_tileid',$_GET['id']);
	foreach($widgets['widget'] as $wid)
	{
		$tileWidget[] = array('id'=>$wid['id'],'name'=>$wid['name'], 'path'=>$wid['path'].'&action=update','during'=>$wid['during'],'description'=>$wid['description'],
			'option'=>$wid['option'],
			'view_name'=>$wid['view_name']);
	}
	$views = Model_esia::getdasboardView($dbconnection);
	$listview =array();
	foreach($views as $view)
	{
		if(array_key_exists ( $view['name'],$lang))
		{
			$view['name'] = $lang[$view['name']];
		}
		if(array_key_exists ( 'DASHBOARD_WIDGET_GROUP_'.$view['group_name'],$lang))
		{
		    $view['group_name'] = $lang['DASHBOARD_WIDGET_GROUP_'.$view['group_name']];
		}
		$listview[]=array('id'=>$view['id'],'name'=>$view['name'],'group'=>$view['group_name']);
	}
	
	$smarty->assign('adm_view',$listview);
	$smarty->assign('adm_widgets',$tileWidget);
	$smarty->assign('adm_tile','yes');
}
if($action =='view')
{
	if(isset($_GET['id']) && is_numeric($_GET['id']))
	{
		$dashboard = model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());	
		if(!empty($dashboard))
		{
			$dashboard = array_pop($dashboard);
			$smarty->assign('dashboard',$dashboard);
			$tiledashs = $dashboard['tile'];
			$tileWidget = array();
			foreach($tiledashs as $tile)
			{
				$widgets = model_esia::getTiles($dbconnection,$tile['id']);
				$widgets = $widgets[$tile['id']];			
				foreach($widgets['widget'] as $wid)
				{
					
					$param=json_decode(json_encode($wid['option'], True),true);
					if(!isset($param['groupnodeid']) && !isset($param['nodeid']) && !isset($param['pluginid']) && !isset($param['link']) && !isset($param['order'])) 
					{	
						if(isset($param['service']))
						{
							try
							{		
								if(empty($ar = Model_esia::getServices($dbconnection,null,$param['service'])))
								{
									$wid['path']=$wid['path']."&action=empty";
								}
							}
							catch (EsiaDbException $e)
							{
								$smarty->assign('l_error',$e->getMessage());
								$wid['path']=$wid['path']."&action=empty";
							}
						}
						else
						{
							$wid['path']=$wid['path']."&action=empty";
						}
					}				
					$tileWidget[$tile['id']][] = array('id'=>$wid['id'], 'path'=>$wid['path'],'during'=>$wid['during'],'tileid' =>$tile['id'] );
				}
			}
			$smarty->assign('dash_widget',json_encode($tileWidget,true));
		}
	}
	else
	{
		$smarty->assign('nodash','');
	}
}

$smarty->display($path.'/dashboard/template/default.html');


?>
