<?php 
define("DB_HOST","10.7.0.19");
define("DB_PORT","5432");
define("DB_NAME","esia");
define("DB_USERNAME","admin");
define("DB_PWD","esia2016");

try
{
	$dbconnection = new PDO('pgsql:host='.DB_HOST.';port='.DB_PORT.';dbname='.DB_NAME, DB_USERNAME, DB_PWD);
	$dbconnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
}
catch(Exception $e)
{
	echo 'PDO SQL ERROR: '.$e->getMessage().'<br />';
	echo 'N° : '.$e->getCode();
}


//
//LICENCE PROSPECT ENTERPRISE
//
$query = $dbconnection->prepare("SELECT user_id,vendeur,statut,pourcentage,type,activité,module,client_id,client,date,
									extract('year' from datedeadline) AS annee,
									extract('quarter' from datedeadline) AS trimestre,
									extract('year' from datedeadline)||'-'||extract('quarter' from datedeadline) AS anneeTrim,
									jourprestation,total
								FROM reporting_prospect_enterprise();");
$ret = $query->execute();
echo "vendorid;vendeur;statut;pourcentage;client;type;activité;module;date;annee;trimestre;anneeTrim;jourprestation;total;totalProratisé;joursProratisés<br />";
$previousclient="";
$i=0;
$licence=0;
while($row=$query->fetch(PDO::FETCH_OBJ))
{
	$total = $row->total;
	if($previousclient==$row->client)
	{
		$i++;
		if($i%4==0)
		{
			$total=(($licence/100)*20)+6*910;
		}
	}
	else
	{
		$previousclient=$row->client;
		$i=0;
		$licence=$row->total-($row->jourprestation+5)*910;
	}
	echo $row->user_id.';';
	echo $row->vendeur.';';
	echo $row->statut.';';
	echo $row->pourcentage.';';
	echo $row->client.';';
	echo $row->type.';';
	echo $row->activité.';';
	echo $row->module.';';
//	echo $row->client_id.';';
//	
	echo $row->date.';';
	echo $row->annee.';';
	echo $row->trimestre.';';
	echo $row->anneetrim.';';
	echo $row->jourprestation.';';
	echo $total.';';
	echo ($total/100)*$row->pourcentage.';';
	
	$jourpres = ($row->jourprestation/100)*$row->pourcentage;
	$jourpres = preg_replace('#\.#',',',$jourpres);
	echo $jourpres.';';
	echo '<br />';
}


//
//PROSPECT CLOUD
//
$query = $dbconnection->prepare("SELECT user_id,vendeur,statut,pourcentage,type,activité,module,client_id,client,date,
		extract('year' from datedeadline) AS annee,
		extract('quarter' from datedeadline) AS trimestre,
		extract('year' from datedeadline)||'-'||extract('quarter' from datedeadline) AS anneeTrim,
		jourprestation,total
		FROM reporting_prospect_cloud();");
$ret = $query->execute();

while($row=$query->fetch(PDO::FETCH_OBJ))
{
	$total = $row->total;
	echo $row->user_id.';';
	echo $row->vendeur.';';
	echo $row->statut.';';
	echo $row->pourcentage.';';
	echo $row->client.';';
	echo $row->type.';';
	echo $row->activité.';';
	echo $row->module.';';
//	echo $row->client_id.';';
	echo $row->date.';';
	echo $row->annee.';';
	echo $row->trimestre.';';
	echo $row->anneetrim.';';
	echo $row->jourprestation.';';
	echo $total.';';
	echo ($total/100)*$row->pourcentage.';';
	$jourpres = ($row->jourprestation/100)*$row->pourcentage;
	$jourpres = preg_replace('#\.#',',',$jourpres);
	echo $jourpres.';';
	echo '<br />';
}

//
//FACTURER CLOUD
//
$query = $dbconnection->prepare("SELECT user_id, vendeur,statut,pourcentage,type,activité,module,client_id,client,date,
		extract('year' from datedeadline) AS annee,
		extract('quarter' from datedeadline) AS trimestre,
		extract('year' from datedeadline)||'-'||extract('quarter' from datedeadline) AS anneeTrim,
		jourprestation,total
		FROM reporting_futur_invoice_cloud();");
$ret = $query->execute();

while($row=$query->fetch(PDO::FETCH_OBJ))
{
	$total = $row->total;
	echo $row->user_id.';';
	echo $row->vendeur.';';
	echo $row->statut.';';
	echo $row->pourcentage.';';
	echo $row->client.';';
	echo $row->type.';';
	echo $row->activité.';';
	echo $row->module.';';
//	echo $row->client_id.';';
//	echo $row->client.';';
	echo $row->date.';';
	echo $row->annee.';';
	echo $row->trimestre.';';
	echo $row->anneetrim.';';
	echo $row->jourprestation.';';
	echo $total.';';
	echo ($total/100)*$row->pourcentage.';';
	$jourpres = ($row->jourprestation/100)*$row->pourcentage;
	$jourpres = preg_replace('#\.#',',',$jourpres);
	echo $jourpres.';';
	echo '<br />';
}




?>