<?php
/**
 * @name adm_pattern_service.inc.php
 * @description Page gérant les patterns de service (ajout/suppression et modification).
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2013
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 15/05/2013
 */
$smarty->assign('adm_tpl', 'adm_tpl');
if(isset($_GET['action']))
{
	$action = $_GET['action'];
	
}
else
{
	//action par défaut on liste les patterns présent
	$action="list";
}
//Traitement de l'ajout ou de l'update d'un pattern
if($action=='treatTpl'||$action=='updateTpl')
{
	$listePlu= $_POST['PluginSelected'];
	if(isset($_POST['name'])&&!empty($_POST['name']))
	{
		try
		{
			$description = $_POST['description'];
			$name = $_POST['name'];
			$services=array();
			if(!empty($listePlu))
			{
				//on fait un update
				if($action=='updateTpl')
				{
					foreach($listePlu as $plug)
					{
						//creations du tableau de pattern qui gerera
										//on ajoutou modifie un service
						$warning='FALSE';
						$critical='FALSE';
						$unknown='FALSE';
						$ok='FALSE';
						if(!empty($_POST["unknown$plug"]))
						{
							$unknown='TRUE';
						}
						if(!empty($_POST["warning$plug"]))
							$warning='TRUE';
						if(!empty($_POST["critical$plug"]))
							$critical='TRUE';
						if(!empty($_POST["ok$plug"]))
							$ok='TRUE';
						$_POST["alerting_parameter$plug"] = preg_replace('#\$USERMAIL#',$user->getEmail() ,$_POST["alerting_parameter$plug"]);
                        if($licence['type'] =='universe' || $licence['type'] =='unity')
                        {
                            $_POST['Interval'.$plug]=300000;
                        }
						$services[]=array('id'=>$_POST["id$plug"] ,
								'name'=>$_POST["service$plug"] ,
								'plugin'=>$_POST['select_plugin'.$plug],
								'parameter'=>$_POST['Parameter'.$plug],
								'interval'=>$_POST['Interval'.$plug],
								'priority'=>$_POST['priority'.$plug],
								'alerting_software'=>$_POST['select_alerte'.$plug],
								'alerting_parameter'=>$_POST["alerting_parameter$plug"],
								'unknown'=>$unknown,
								'warning'=>$warning,
								'critical'=>$critical,
								'ok'=>$ok
								);
					}
					//print_r($services);
					Model_adm::updatePatternService($dbconnection,$_POST['patternid'],$name,$description,$services);
					$smarty->assign('l_action_success',$lang['ADM_PATTERN_UPDATE_SUCCESS']);
					$esialog->write('ESIA PATTERN','pattern update success '.$name);
					$_GET['id'] = $_POST['patternid'];
				}
				//on ajout un nouveau pattern
				else
				{
					foreach($listePlu as $plug)
					{
						$warning='FALSE';
						$critical='FALSE';
						$unknown='FALSE';
						if(!empty($_POST["unknown$plug"]))
							$unknown='TRUE';
						if(!empty($_POST["warning$plug"]))
							$warning='TRUE';
						if(!empty($_POST["critical$plug"]))
							$critical='TRUE';
						$_POST["alerting_parameter$plug"] = preg_replace('#\$USERMAIL#',$user->getEmail() ,$_POST["alerting_parameter$plug"]);
                        if($licence['type'] =='universe' || $licence['type'] =='unity')
                        {
                            $_POST['Interval'.$plug]=300000;
                        }
						$services[]=array('name'=>$_POST["service$plug"] ,
								'plugin'=>$_POST['select_plugin'.$plug],
								'parameter'=>$_POST['Parameter'.$plug],
								'interval'=>$_POST['Interval'.$plug],
								'priority'=>$_POST['priority'.$plug],
								'alerting_software'=>$_POST['select_alerte'.$plug],
								'alerting_parameter'=>$_POST["alerting_parameter$plug"],
								'unknown'=>$unknown,
								'warning'=>$warning,
								'critical'=>$critical,
								);
					}

					$_GET['id'] = Model_adm::addPatternService($dbconnection,$name,$description,$services);
					$smarty->assign('l_action_success',$lang['ADM_PATTERN_ADD_SUCCESS']);
					$esialog->write('ESIA PATTERN','pattern add success '.$name);
				}
			}
			else
			{
					//on met à jour un pattern qui n'a pas de service
				if($action=='updateTpl')
				{
					Model_adm::updatePatternService($dbconnection,$_POST['patternid'],$name,$description);
					$smarty->assign('l_action_success',$lang['ADM_PATTERN_UPDATE_SUCCESS']);
					$esialog->write('ESIA PATTERN','pattern update success '.$name);			
					$_GET['id'] = $_POST['patternid'];
				}
				else
				{
					//on ajoute un pattern sans service
					$_GET['id'] = Model_adm::addPatternService($dbconnection,$name,$description);
					$smarty->assign('l_action_success',$lang['ADM_PATTERN_ADD_SUCCESS']);
					$esialog->write('ESIA PATTERN','pattern add success '.$name);
				}
			}
			$action ='update';
		}
		catch(EsiaDbException $e)
		{
			echo $e->getMessage();
			$esialog->write('ESIA PATTERN','ADD/UPDATE SERVICE PATTERN FAILED'.$e->getMessage());
			$ERROR[]=array('name'=>'ADD/UPDATE SERVICE PATTERN FAILED','message'=>$e->getMessage());
		}
	}
}
//si on veut supprimer un service du pattern
elseif($action=='deleteservice')
{
	try
	{
		if(isset($_POST['includedid'])&&is_numeric($_POST['includedid']))
		{
			//on supprime le service du pattern
			Model_adm::deleteServiceOfPattern($dbconnection, $_POST['includedid']);
			//on retourne à la page d'update du pattern
			$action='update';
			$_GET['id'] = $_POST['id'];
			$smarty->assign('l_action_success',$lang['ADM_PLUGIN_DEL_SUCCESS']);
			$esialog->write('ESIA PATTERN','pattern delete service success ');
		}
		else
		{
			$pattern = Model_adm::getPatternService($dbconnection,$_GET['id']);
			$pattern = $pattern[$_GET['id']];
			$smarty->assign('pattern', $pattern);
			foreach($pattern['plugins'] as $plugin)
			{
				if($plugin['id'] == $_GET['includedid'])
				{
					$smarty->assign('pattern_service', $plugin);
					break;
				}
			}
			$smarty->assign('l_message1',$lang['ADM_PATTERN_DELETE_SERVICE_MESSAGE1']);
			$smarty->assign('l_message2',$lang['ADM_PATTERN_DELETE_SERVICE_MESSAGE2']);
			$smarty->assign('l_message3',$lang['ADM_PATTERN_DELETE_SERVICE_MESSAGE3']);
			$smarty->assign('l_cancel',$lang['CANCEL']);
			$smarty->assign('l_yes',$lang['YES']);
			$smarty->assign('adm_tpl', 'deleteservice');
		}
	}
	catch(EsiaDbException $e)
	{
		$esialog->write('ESIA PATTERN','DELETE SERVICE PATTERN FAILED'.$e->getMessage());
		$ERROR[]=array('name'=>'DELETE SERVICE PATTERN','message'=>$e->getMessage());
	}
}
//on veut supprimer le pattern
elseif($action=='deletepattern')
{
	try
	{
		//on supprimer le pattern
		if(isset($_POST['id'])&&is_numeric($_POST['id']))
		{
			Model_adm::deletePatternService($dbconnection,$_POST['id']);
			$smarty->assign('l_action_success',$lang['ADM_PATTERN_DELETE_SUCCESS']);
			$esialog->write('ESIA PATTERN','pattern delete success ');
		}
		else
		{
			$pattern = Model_adm::getPatternService($dbconnection,$_GET['id']);
			$pattern = $pattern[$_GET['id']];
			$smarty->assign('pattern', $pattern);
			$smarty->assign('adm_tpl', 'deletepattern');
			$smarty->assign('l_cancel',$lang['CANCEL']);
			$smarty->assign('l_yes',$lang['YES']);
			$smarty->assign('l_message1',$lang['ADM_PATTERN_DELETE_MESSAGE1']);
			$smarty->assign('l_message2',$lang['ADM_PATTERN_DELETE_MESSAGE2']);
		}
	}
	catch(EsiaDbException $e)
	{
		$esialog->write('ESIA PATTERN','DELETE SERVICE FAILED'.$e->getMessage());
		$ERROR[]=array('name'=>'DELETE SERVICE PATTERN','message'=>$e->getMessage());
	}
}
//On affiche la liste des patterns disponnibles
if($action=='list')
{
	$smarty->assign('adm_tpl', 'listTpl');
	try
	{
		$list = Model_adm::getPatternService($dbconnection);
		$smarty->assign('list_pattern', $list);
		$smarty->assign('adm_tpl', 'list');
	}
	catch(EsiaDbException $e)
	{
		echo  $e->getMessage();
	}
}
//formulaire d'ajout ou modification d'un pattern existant
elseif($action=='createTpl'||$action=='update')
{
	$smarty->assign('adm_tpl', 'createTpl');
	if($action=='update')
	{
		if(isset($_GET['id'])&&is_numeric($_GET['id']))
		{
			$pattern=Model_adm::getPatternService($dbconnection,$_GET['id']);
			$pattern=$pattern[$_GET['id']];
			$nodes=Model_adm::getPatternServiceNodeAssign($dbconnection,$_GET['id']);			
			$smarty->assign('pattern', $pattern);
			$smarty->assign('pattern_node', $nodes);
			//variable de langue
			$smarty->assign('l_name_node', $lang['ADM_NAME']);
			$smarty->assign('l_type_node', $lang['ADM_NODE_TYPE']);
			$smarty->assign('l_description', $lang['ADM_DESCRIPTION']);
			$smarty->assign('l_group', $lang['ADM_GRP']);
		}
	}
	$list=array();
	$rows = Model_esia::getPlugin($dbconnection);
	foreach($rows as $row)
	{
		$list[]=array('id'=>$row['id'],
				'name'=>$row['name'],
				'default_parameter'=>$row['parameter'],
				'default_interval'=>$row['interval_time'],
				'description'=>addslashes(preg_replace('#\n#','<br />',$row['description'])),
				'priority'=>$row['priority'],
		);
	}
	//on récupère les programmes d'alertes
	$alerting = Model_esia::getAlertingSoftware($dbconnection);
	$smarty->assign('list_alerting', $alerting);
	
	$smarty->assign('list_plugin', $list);
	//variable de langue
	$smarty->assign('l_adm_plugin_priority', $lang['ADM_PLUGIN_PRIORITY']);
	$smarty->assign('l_pattern_add_service', $lang['ADM_PATTERN_ADD_SERVICE']);
	$smarty->assign('l_pattern_description_plugin', $lang['ADM_DESCRIPTION']);
	$smarty->assign('l_pattern_service_name', $lang['ADM_PLUGIN_SERVICE']);
	$smarty->assign('l_pattern_parameter', $lang['ADM_PLUGIN_PARAMETER']);
	$smarty->assign('l_pattern_interval', $lang['ADM_INTERVAL']);
	$smarty->assign('l_pattern_plugin', $lang['PLUGIN']);
	$smarty->assign('l_pattern_delete', $lang['ADM_PATTERN_DELETE']);
	$smarty->assign('l_plugin_software_alerting', $lang['ADM_PLUGIN_SOFTWARE_ALERTING']);
	$smarty->assign('l_unknown', $lang['LGD_UNKNOWN']);
	$smarty->assign('l_warning', $lang['LGD_WARN']);
	$smarty->assign('l_critical', $lang['LGD_CRI']);
	$smarty->assign('l_add', $lang['ADD']);
	$smarty->assign('l_cancel',$lang['CANCEL']);
}
//variable de langue
$smarty->assign('l_adm_change', $lang['MODIF']);
$smarty->assign('l_adm_delete', $lang['DELETE']);
$smarty->assign('l_pattern_name', $lang['ADM_PATTERN_NAME']);
$smarty->assign('l_pattern_description', $lang['ADM_PATTERN_DESCRIPTION']);
$smarty->assign('l_adm_action', $lang['ACTION']);
$smarty->assign('l_adm_plugin_list', $lang['ADM_PLUGIN_LIST']);
$smarty->assign('l_adm_plugin_add', $lang['ADM_PLUGIN_ADD']);
$smarty->assign('l_adm_pattern_list', $lang['ADM_PATTERN_SERVICE_LIST']);
$smarty->assign('l_adm_pattern_add', $lang['ADM_PATTERN_SERVICE_ADD']);
?>
