<?php

/**
 * @name node_graph_cacti.inc
 * @description script gérant l'API cacti
 *		page cacti: graph_image.php
 * 		paramètre: action=view&local_graph_id=18&rra_id=5
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 19/11/2012
 */
$smarty->assign('cacti_srv',$graph['url']);

//on veut voir un graph en particulier
if(isset($_GET['action'])&&!empty($_GET['action']))
{
	if($_GET['action']=='view')
	{
		$url=$graph['url'].'graph.php?action=view&local_graph_id='.$_GET['local_graph_id'].'&rra_id=all';
	//	echo $url.'<br />';
		$cactipage = file_get_contents($url);
		$nbr = preg_match_all('#<img\sclass=\'graphimage\'.*src=\'([\w\d:\#\/;$()~_?+-=\\\.&]*)\'.*>#', $cactipage, $matches);
		preg_match_all('#<strong>(.*)</strong>#', $cactipage, $matcheslegend);
		//Si on a trouvé des graphiques
		//echo $nbr;
		if($nbr!==false && $nbr!=0)
		{
			$i=1;
			$graph_array = array();
			foreach($matches[1] as $m)
			{
				//echo $graph['url'].$m.'<br />';
				$m = $graph['url'].$m;
				$graph_array[]= array('url'=>urlencode($m),'legend'=>$matcheslegend[1][$i]);
				$i++;
			}
			$smarty->assign('node_graphs',$graph_array);
			$smarty->assign('action','view');
		}
	}
}
else
{
	//Récupération des graphs global du noeud dans cacti
	//page graph_view.php de cacti
	$url=$graph['url'].'graph_view.php?action=tree&tree_id='.$graph['tree'].'&leaf_id='.$graph['leaf'];
	//si on a spécifié une page précise
	if(isset($_GET ['page']) && is_numeric($_GET ['page']))
	{
		$url.='&page='.$_GET['page'];
	}
	else
	{
		$_GET['page']=1;
	}
	$cactipage = file_get_contents($url);
	//echo $url.'<br />'; 
	$nbr = preg_match_all('#(<a\shref=.*graph\.php.*<img\sclass=\'graphimage\'.*</a>)#', $cactipage, $matches);
	//Si on a trouvé des graphiques
	$graph_array = array();
	$page_array= array();
	//echo $nbr;
	if($nbr!==false && $nbr!=0)
	{
		foreach($matches[1] as $m)
		{
			//echo $m.'<br />';
			//on remplace l'url de cacti par l'url d'esia
			$param='';
			//on prend les paramètres du graphique (action=view&local_graph_id=12&rra_id=all)
			//pour pouvoir récupérer la suite des graphique quand on clique dessus
			if(preg_match('#<a\shref=.graph.php\?([\w\d:\#\/;$()~_+-=\\\.&]*).>#', $m,$regs))
			{
				$param = $regs[1];
			}
			elseif(preg_match('#<a\shref=./cacti/graph.php\?([\w\d:\#\/;$()~_+-=\\\.&]*).>#', $m,$regs))
			{
				$param = $regs[1];
			}
			//URL d'accès à l'image
			if(preg_match('#<img\sclass=.graphimage.*src=.([\w\d:\#\/;$()~_?+-=\\\.&]*).*>#', $m,$regs))
			{
				
				$regs[1] = preg_replace('#/cacti/#','',$regs[1]);
				//echo $graph['url'].$regs[1].'<br />';
				$url = $graph['url'].$regs[1];
			}
			//echo $param.'<br />';
			$graph_array[]= array('param'=>$param,'url'=>$url);
			//echo $m.'<br />';
			//print_r ($m);
		}

	}
	//On regarde si il y a plusieurs page
	$nbr = preg_match_all('#(<a\sclass=\'linkOverDark\' .*>[0-9]*\</a>)#', $cactipage, $matches);
	if($nbr!==false && $nbr!=0)
	{
		//on liste les liens et on regarde cmb il y a de page
		foreach($matches[1] as $m)
		{
			//isole le numéros de page
			//ligne de type (attention tout tiens en 1 seule ligne d'où le preg_match_all
			//<a class='linkOverDark' href='graph_view.php?action=tree&amp;tree_id=1&amp;leaf_id=8&amp;page=1'>1</a>,<strong>
			//<a class='linkOverDark' href='graph_view.php?action=tree&amp;tree_id=1&amp;leaf_id=8&amp;page=2'>2</a></strong>
			if(preg_match_all('#page=([0-9]*)#', $m,$regs))
			{
				$i=0;
				while($i<count($regs[1]))
				{
					$page_array[$regs[1][$i]]=$regs[1][$i];
					$i++;
				}
			}
		}
	}

	$smarty->assign('node_graphs',$graph_array);
	$smarty->assign('page_graphs',$page_array);
	$smarty->assign('page_current',$_GET['page']);
	$smarty->assign('action','node');
}
?>
