function initialize(default_zoom, myLatlng, typecarte, iddiv) {
	var styles = [
    {
        "featureType": "all",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "on"
            },
            {
                "saturation": "0"
            },
            {
                "lightness": "0"
            },
            {
                "hue": "#ffa700"
            },
            {
                "weight": "1"
            }
        ]
    },
    {
        "featureType": "administrative",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "on"
            },
            {
                "hue": "#ff0000"
            }
        ]
    },
    {
        "featureType": "administrative",
        "elementType": "geometry",
        "stylers": [
            {
                "color": "#639d61"
            },
            {
                "saturation": "0"
            },
            {
                "lightness": "0"
            },
            {
                "gamma": "1.00"
            },
            {
                "visibility": "on"
            }
        ]
    },
    {
        "featureType": "administrative",
        "elementType": "geometry.fill",
        "stylers": [
            {
                "visibility": "on"
            },
            {
                "color": "#639d61"
            }
        ]
    },
    {
        "featureType": "administrative",
        "elementType": "geometry.stroke",
        "stylers": [
            {
                "visibility": "on"
            },
            {
                "color": "#639d61"
            }
        ]
    },
    {
        "featureType": "administrative",
        "elementType": "labels",
        "stylers": [
            {
                "color": "#ff0000"
            },
            {
                "visibility": "simplified"
            }
        ]
    },
    {
        "featureType": "administrative",
        "elementType": "labels.text",
        "stylers": [
            {
                "visibility": "simplified"
            }
        ]
    },
    {
        "featureType": "administrative",
        "elementType": "labels.text.fill",
        "stylers": [
            {
                "color": "#444444"
            }
        ]
    },
    {
        "featureType": "administrative",
        "elementType": "labels.icon",
        "stylers": [
            {
                "color": "#639d61"
            },
            {
                "visibility": "off"
            }
        ]
    },
    {
        "featureType": "administrative.country",
        "elementType": "labels",
        "stylers": [
            {
                "visibility": "simplified"
            },
            {
                "weight": "9.44"
            }
        ]
    },
    {
        "featureType": "administrative.locality",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "off"
            }
        ]
    },
    {
        "featureType": "administrative.locality",
        "elementType": "labels",
        "stylers": [
            {
                "visibility": "on"
            }
        ]
    },
    {
        "featureType": "administrative.locality",
        "elementType": "labels.text.fill",
        "stylers": [
            {
                "visibility": "on"
            }
        ]
    },
    {
        "featureType": "administrative.locality",
        "elementType": "labels.text.stroke",
        "stylers": [
            {
                "visibility": "off"
            }
        ]
    },
    {
        "featureType": "landscape",
        "elementType": "all",
        "stylers": [
            {
                "color": "#f2f2f2"
            }
        ]
    },
    {
        "featureType": "landscape",
        "elementType": "geometry",
        "stylers": [
            {
                "visibility": "on"
            },
            {
                "hue": "#e400ff"
            },
            {
                "weight": "1.31"
            }
        ]
    },
    {
        "featureType": "landscape",
        "elementType": "geometry.stroke",
        "stylers": [
            {
                "visibility": "on"
            },
            {
                "color": "#639d61"
            }
        ]
    },
    {
        "featureType": "landscape",
        "elementType": "labels.text",
        "stylers": [
            {
                "visibility": "off"
            },
            {
                "color": "#639d61"
            }
        ]
    },
    {
        "featureType": "landscape.man_made",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "off"
            }
        ]
    },
    {
        "featureType": "poi",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "off"
            }
        ]
    },
    {
        "featureType": "road",
        "elementType": "all",
        "stylers": [
            {
                "saturation": -100
            },
            {
                "lightness": 45
            },
            {
                "visibility": "off"
            }
        ]
    },
    {
        "featureType": "road",
        "elementType": "labels",
        "stylers": [
            {
                "visibility": "simplified"
            }
        ]
    },
    {
        "featureType": "road.highway",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "simplified"
            }
        ]
    },
    {
        "featureType": "road.arterial",
        "elementType": "labels.icon",
        "stylers": [
            {
                "visibility": "off"
            }
        ]
    },
    {
        "featureType": "road.local",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "simplified"
            },
            {
                "hue": "#ff0000"
            }
        ]
    },
    {
        "featureType": "road.local",
        "elementType": "geometry.fill",
        "stylers": [
            {
                "visibility": "on"
            },
            {
                "hue": "#ff0000"
            }
        ]
    },
    {
        "featureType": "road.local",
        "elementType": "labels",
        "stylers": [
            {
                "visibility": "on"
            }
        ]
    },
    {
        "featureType": "transit",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "off"
            }
        ]
    },
    {
        "featureType": "water",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "simplified"
            },
            {
                "color": "#d7f1f9"
            }
        ]
    }
];

	myOptions = {
		zoom : default_zoom,
		center : myLatlng,
      styles: styles
	}
	if (typecarte == 'HYBRID') {
		myOptions['mapTypeId'] = google.maps.MapTypeId.HYBRID;
	} else if (typecarte == 'TERRAIN') {
		myOptions['mapTypeId'] = google.maps.MapTypeId.TERRAIN;
	} else if (typecarte == 'SATELLITE') {
		myOptions['mapTypeId'] = google.maps.MapTypeId.SATELLITE;
	} else {
		myOptions['mapTypeId'] = google.maps.MapTypeId.ROADMAP;
	}
	gmap = new google.maps.Map(document.getElementById(iddiv), myOptions);
	return gmap;
}
function get_marker(map,simple) {
	if(!simple){ simple=0; }
	var xhr = Utils.XHRequest();
	var zoom = map.getZoom();
	xhr.open("GET", "/plugin/map/map_refresh.php?zoom=" + zoom + "&action=map",
			true);
	xhr.onreadystatechange = function() {
		if (xhr.readyState == 4) {
			if (xhr.status == 200) {
				if (markerArray) {
					for (i in markerArray) {
						markerArray[i].setMap(null);
					}
					markerArray.length = 0;
				}
				markerArray = new Array();
				info = null;
				//	alert(xhr.responseText);					//dom = Utils.DOMImplementation();
				//var docXML= xhr.responseXML;
				if (map.getZoom() >= zoom_change) {
					markerArray = paintBuilding(map, xhr.responseXML);
				} else {
					var docXML = xhr.responseXML;
					var items = docXML.getElementsByTagName("zone");
					//on fait juste une boucle sur chaque element "zone"
					for (i = 0; i < items.length; i++) {
						var id = items.item(i).attributes['id'].value;
						var res = paintZone(map, items.item(i));
						if (typeof (res) !== 'undefined') {
							markerArray[id] = res;
							getZoneInfobulle(gmap, res);
						}
					}
				}
				if(simple==0)
				{
					var timer = setTimeout("get_marker(map)", 25000); // rafraichie toute les 25secs
				}
			}
		}
	};
	xhr.send(null);
}
function paintZone(gmap, item) {
	var pol;
	var id = item.attributes['id'].value;
	//alert(id);
	//Récupération de l'état de la zone
	var ok = item.getElementsByTagName("ok")[0].firstChild.data;
	var warning = item.getElementsByTagName("warning")[0].firstChild.data;
	var critical = item.getElementsByTagName("critical")[0].firstChild.data;
	var unknown = item.getElementsByTagName("unknown")[0].firstChild.data;
	//définition de la couleur de la zone
	var color = '#0FF000';
	if (critical != 0) {
		color = '#FF0000';
	} else if (warning != 0) {
		color = '#FFFF00';
	} else if (unknown != 0) {
		color = '#000000';
	}
	//on dessine les contours
	var parcelleHeig = new Array();
	var points = item.getElementsByTagName("point"); //on récupère toutes les coordonnées GPS
	for (j = 0; j < points.length; j++) {
		//on indique les points sur la map 
		var mpoint = new google.maps.LatLng(
				points.item(j).attributes['latitude'].value,
				points.item(j).attributes['longitude'].value);
		parcelleHeig.push(mpoint);
	}
	if (points.length != 0) {
		//on ajoute au tableau de point et on dessigne la zone 
		pol = new google.maps.Polygon({
			paths : parcelleHeig,/*sommets du polygone*/
			strokeColor : color,/*couleur des bords du polygone*/
			strokeOpacity : 0.8,/*opacité des bords du polygone*/
			strokeWeight : 2,/*épaisseur des bords du polygone */
			fillColor : color,/*couleur de remplissage du polygone*/
			fillOpacity : 0.35,/*opacité de remplissage du polygone */
			map : gmap
		});
		pol.objInfo = id;
	}
	return pol;
}
function paintBuilding(gmap, docXML) {
	var items = docXML.getElementsByTagName("building");
	var marker = Array();
	//on fait juste une boucle sur chaque element "zone"
	for (i = 0; i < items.length; i++) {
		var id = items.item(i).attributes['id'].value;
		//alert(id);
		//Récupération de l'état du bâtiment
		var ok = items.item(i).getElementsByTagName("ok")[0].firstChild.data;
		var warning = items.item(i).getElementsByTagName("warning")[0].firstChild.data;
		var critical = items.item(i).getElementsByTagName("critical")[0].firstChild.data;
		var unknown = items.item(i).getElementsByTagName("unknown")[0].firstChild.data;
		//définition de la couleur du marqueur de bâtiment
		var icon = '/plugin/map/img/marker.png';
		var color = '#0FF000';
		if (critical != 0) {
			icon = '/plugin/map/img/marker_red.png';
		} else if (warning != 0) {
			icon = '/plugin/map/img/marker_yellow.png';
		} else if (unknown != 0) {
			icon = '/plugin/map/img/marker_unknown.png';
		}
		//on dessine les contours
		var points = items.item(i).getElementsByTagName("point"); //on récupère les coordonnées GPS
		if (points.length != 0) {
			//on ajoute au tableau de point et on dessigne la zone 
			var myLatlng = new google.maps.LatLng(
					points.item(0).attributes['latitude'].value,
					points.item(0).attributes['longitude'].value);
			var pol = new google.maps.Marker(
					{
						position : myLatlng,
						map : gmap,
						title : items.item(i).getElementsByTagName("name")[0].firstChild.data,
						icon : icon
					});
			pol.objInfo = id;
			marker[id] = pol;
			getBuildingInfobulle(gmap, pol);
		}
	}
	return marker;
}
function getZoneInfobulle(map, marker) {
	google.maps.event.addListener(marker, 'click', function() {
		if (!infowindow) {
			infowindow = new google.maps.InfoWindow({maxWidth: 650});
		} else {
			infowindow.close();
		}
		var xhr = Utils.XHRequest();
		//alert('ici'+marker.objInfo);
		xhr.open("GET",
				"/plugin/map/map_refresh.php?type=zone&action=infobulle&id="
						+ marker.objInfo);
		xhr.onreadystatechange = function() {
			if (xhr.readyState == 4) {
				if (xhr.status == 200) {
					infowindow.setContent(xhr.responseText);
					infowindow.setPosition(marker.getPath().getAt(0));
					infowindow.open(map);
				}
			}
		}
		xhr.send(null);
	});
}
function getBuildingInfobulle(map, marker) {
	google.maps.event.addListener(marker, 'click', function() {
		if (!infowindow) {
			infowindow = new google.maps.InfoWindow({maxWidth: 650});
		} else {
			infowindow.close();
		}
		var xhr = Utils.XHRequest();
		//alert('ici'+marker.objInfo);
		xhr.open("GET",
				"/plugin/map/map_refresh.php?type=building&action=infobulle&id="
						+ marker.objInfo);
		xhr.onreadystatechange = function() {
			if (xhr.readyState == 4) {
				if (xhr.status == 200) {
					infowindow.setContent(xhr.responseText);
					infowindow.setPosition(marker.getPosition());
					infowindow.open(map);
				}
			}
		}
		xhr.send(null);
	});
}
function paintNodeOnFloorMap(map,id,name,srcimg,y,x,width,height,imgid,type) 
{
    img = document.createElement("img");
    img.setAttribute("src",srcimg);     
    img.setAttribute("title",name);
    img.setAttribute("type","image/svg+xml");
    img.setAttribute("id",imgid);
    img.style.position = "absolute";
    img.style.display ="inline";
    img.style.top=y+"px";
    img.style.left=x+"px";
    img.style.zIndex = 1;     
    img.style.width=width+"px";   
    img.style.height=height+"px"; 
    Events.addEvent(img,"click",function(e){getFloorInfobulle(e,id,type,imgid);},true);             
    map.appendChild(img); 	
}
function getFloorInfobulle(e,id,type,imgid)
{
	var xhr = Utils.XHRequest();
	//alert('ici'+marker.objInfo);
	xhr.open("GET","/plugin/map/map_refresh.php?type=floor&action=infobulle&id="+id+"&localtype="+type);
	xhr.onreadystatechange = function() 
	{
		if (xhr.readyState == 4) 
		{
			if (xhr.status == 200) 
			{
				
				  Infobulle.Display('infobulle',xhr.responseText,e,imgid); 
			}
		}
	}
	xhr.send(null);
}
function refresh(event) {
	//On sélectionne le premier et le deuxième fieldset
	//var liste = document.getElementById("liste_deroulante");
	var text_fieldset = document.getElementById("zone_text");

	//On récupère la position de notre champ texte
	var node_source = (document.all) ? event.srcElement : event.target;
	var position = node_source.previousSibling.getAttribute("id");

	//On récupère la valeur dans la champ texte
	var labels = text_fieldset.getElementsByTagName("label");
	var label = labels[position - 1];
	var input = label.getElementsByTagName("input")[0];
}

function del(event) {
	//on sélectionne le premier fieldset et on récupère tous les label qu'il y a à l'intérieur
	var text_fieldset = document.getElementById("zone_text");
	var labels = text_fieldset.getElementsByTagName("label");
	//On récupère le noeud qui émet l'évènement et sa position grâce au texte Valeur x
	var node_source = event.target || event.srcElement;
	var position = parseInt(node_source.parentNode.parentNode.getAttribute("id"));
	var new_labels = new Array();
	//(pour la modification de bâtiment, permet de ne pas supprimer les étages déjà insérer (ceux qui sont en edit disable)
	for ( var i = position; i < labels.length; i++) {
		if (labels[i].getAttribute("id")) {
			new_labels.push(labels[i]);
		}
	}
	//On décale d'un cran inférieur tous les éléments situés après l'élément à supprimer
	for ( var i = position; i < new_labels.length; i++) {
		var label = new_labels[i];
		label.setAttribute("id", i);
		var input = label.getElementsByTagName("input");
		input.item(0).setAttribute("name", "name" + i);
		input.item(1).setAttribute("name", "floor" + i);
	}
	//Suppression de la zone de texte, du lien et du saut de ligne
	var label = new_labels[position - 1];
	var br = label.nextSibling;
	text_fieldset.removeChild(label);
	text_fieldset.removeChild(br);
	//on modifie le compteur
	var count = document.getElementById("floor_number").value;
	count--;
	document.getElementById("floor_number").value = count;
}

function add_floormap(lname,lfile) {
	//On compte le nombre de label et on sélectionne le premier fieldset
	var count = document.getElementById("floor_number").value;
	var text_fieldset = document.getElementById("zone_text");
	count++;
	document.getElementById("floor_number").value = count;

	//création du label(2 input (text et File) +lien de suppression)  
	var input = document.createElement("input");
	input.setAttribute("type", "file");
	input.setAttribute("name", "floor" + count);
	var inputName = document.createElement("input");
	inputName.setAttribute("type", "text");
	inputName.setAttribute("name", "namemap" + count);
	var langname = document.createTextNode(lname);
	var langfile = document.createTextNode(lfile);
	var nom_label = document.createTextNode(count);
	var br = document.createElement("br");
	var label = document.createElement("label");
	label.setAttribute("id", count);
	label.appendChild(langname);
	label.appendChild(inputName);
	label.appendChild(br);
	label.appendChild(langfile);
	label.appendChild(input);

	//Création des élement br et a
	var br = document.createElement("br");
	var lien_del = document.createElement("a");
	lien_del.setAttribute("href", "#");

	if (document.all)
		lien_del.attachEvent("click", del);
	else
		lien_del.addEventListener("click", del, true);

	lien_del.innerHTML = "<img class=\"button\" src=\"/theme/default-image/esia_delete_button.png\" alt=\"Delete\" title=\"Delete\" style=\"vertical-align:middle;\" />";

	//On raccroche ici tous nos éléments virtuels à une balise de notre fichier XHTML. Ils sont alors affichés 
	label.appendChild(lien_del);
	text_fieldset.appendChild(label);
	text_fieldset.appendChild(br);
}




function selectImage(event) {
	event = event || window.event;
	var map = document.getElementById("plan");
	if (event.target.id) {
		if (img_selected) {
			img_selected.style.border = "none";
		}
		img_selected = document.getElementById(event.target.id);
		img_selected.style.border = "1px solid black";
		Events.addEvent(map, 'click', depose, false);
	} else {
		img_selected.style.border = "none";
		Events.removeEvent(map, 'click', depose, false);
	}
}
function selectGroup(event) {
	var nodegroup = document.getElementById('nodegroup');
	if (nodegroup.options[nodegroup.selectedIndex].value != "0") {
		var group = nodegroup.options[nodegroup.selectedIndex].value;
		//suppression des noeuds 'option'
		var selectnode = document.getElementById('node');
		var NodeListe = selectnode.getElementsByTagName('option');
		while (NodeListe.length > 0)
			selectnode.removeChild(NodeListe.item(0));
		//option vide
		var opt = document.createElement('option');
		opt.setAttribute('value', '0');
		var text = document.createTextNode('  ');
		opt.appendChild(text);
		selectnode.appendChild(opt);
		$("#node").trigger("chosen:updated");
		var xhr = Utils.XHRequest();
		//alert("/plugin/map/map_refresh.php?action=getNode&group="+group);
		xhr.open("GET", "/plugin/map/map_refresh.php?action=getNode&group="+ group, true);
		xhr.onreadystatechange = function() {
			if (xhr.readyState == 4) {
				if (xhr.status == 200) {
					var docXML = xhr.responseXML;
					var items = docXML.getElementsByTagName("node");
					for (i = 0; i < items.length; i++) {
						opt = document.createElement('option');
						opt.setAttribute('value',
								items.item(i).attributes['id'].value);
						text = document
								.createTextNode(items.item(i).attributes['name'].value);
						opt.appendChild(text);
						selectnode.appendChild(opt);
						$("#node").trigger("chosen:updated");
					}
				}
			}
		};
		xhr.send(null);
	}
}
function selectNode() {
    console.log("test");
	var selectnode = document.getElementById('node');
	if (selectnode.options[selectnode.selectedIndex].value != 0) {
		object_click = selectnode.options[selectnode.selectedIndex].value;
		type='node';
	}
}
function selectContainer() {
	var selectnode = document.getElementById('selectcontainer');
	if (selectnode.options[selectnode.selectedIndex].value != 0) {
		object_click = selectnode.options[selectnode.selectedIndex].value;
		type='container';
	}
}
function depose(e) {
	if (object_click != '') {
		e = e || window.event;
		//on crée l'image
		if (!e.offsetX) {
			x = e.layerX - e.target.style.left;
			y = e.layerY - e.target.style.top;
		} else {
			x = e.offsetX;
			y = e.offsetY;
		}
		var map = document.getElementById("plan");
		var node_id ="";
		if(type=='container')
		{
			var cont_select = document.getElementById('selectcontainer');
			node_id = cont_select.options[cont_select.selectedIndex];
		}
		else
		{
			var node_select = document.getElementById('node');
			node_id = node_select.options[node_select.selectedIndex];
		}
		var img = document.createElement("img");
		img.setAttribute("src", img_selected.getAttribute("src"));
		img.setAttribute("id", "img" + increment);
		img.setAttribute("title", node_id.text);
		img.setAttribute("alt", node_id.text);
		img.style.position = "absolute";
		img.style.display = "inline";
		x = x + document.getElementById("plan").style.left;
		y = y + document.getElementById("plan").style.top;
		img.style.top = y + "px";
		img.style.left = x + "px";
		img.style.zIndex = 10;
		//on ajoute l'event click
		Events.addEvent(img, "click", select, true);
		map.appendChild(img);
		object_click = '';
		img.style.height = "50px";
		img.style.width = "50px";
		var txt = node_id.value + ":" + node_id.text + ":"
				+ img_selected.getAttribute("id") + ":" + x + ":" + y + ":"
				+ 50 + ":" + 50+":"+type;
		var opt = document.createElement('option');
		opt.setAttribute('id', "opt" + increment);
		opt.setAttribute('value', txt);
		text = document.createTextNode(txt);
		opt.appendChild(text);
		Events.addEvent(opt, "click", select, true);
		document.getElementById("imgnode").appendChild(opt);
		increment++;
	}
}
function select(e) {
	e = e || window.event;
	var reg = new RegExp("([0-9]+)", "g");
	var id = parseInt(reg.exec(e.target.id));
	if(img_plan!=null) 
	{
		if (('img' + id) != img_plan.id) //si on un préselectionné 
		{
			unselected();
		}
	}
	img_plan = document.getElementById("img" + id);

	img_plan.style.border = "solid black 2px";
	document.getElementById('opt' + id).selected = true;
	var txt = document.getElementById('opt' + id).text;
	var tab = txt.split(":");
	if(tab[7]=='container')
	{
		document.getElementById('containerButton').style.display = "inline";
		document.getElementById('containerButton').value="modifier un container";
		document.getElementById('containerButton').onclick =function(){window.open('/plugin/map/map_adm_container.php?id='+tab[0],'Administration des containers','width=800,height=600');}                             
	}
	
	
	//Mise à jour des évenements
	//si on click quelques part sur le plan on déselectionne
	Events.addEvent(document.getElementById('plan'), "click", unselected,true);
	//on supprime l'event select de l'image
	Events.removeEvent(img_plan, "click", select, false);
	//on ajout l'évenement déplacer
	Events.addEvent(img_plan, 'mousedown', startmove, false);
	//mise à jour des boutons de l'interface
	document.getElementById('moveButton').disabled = true;
	document.getElementById('resizeButton').disabled = false;
	document.getElementById('DeleteButton').disabled=false;   
}
function unselected(e) 
{
	if (img_plan!=null)
	{
		var reg = new RegExp("([0-9]+)", "g");
		var id = parseInt(reg.exec(img_plan.id));
		Events.removeEvent(document.getElementById('plan'), "click",unselected, true);
		Events.removeEvent(img_plan, 'mousedown', startresize, false);
		Events.addEvent(img_plan, "click", select, false);
		img_plan.style.border = "solid white 0px";
		document.getElementById('opt' + id).selected = false;

		document.getElementById('resizeButton').disabled = true;
		document.getElementById('moveButton').disabled = true;
		document.getElementById('DeleteButton').disabled=true; 
		document.getElementById('containerButton').style.display = "none";
		document.getElementById('containerButton').value="créer un container";
		document.getElementById('containerButton').onclick =function(){window.open('/plugin/map/map_adm_container.php','Administration des containers','width=800,height=600');}                             
		img_plan =null;
		return false;
	}
}
var dX, dY;
function startmove(event) {
	event.returnValue = false;
	if (event.preventDefault)
		event.preventDefault();
	img_plan = document.getElementById(event.target.id);
	//on enlève la déselection
	Events.removeEvent(document.getElementById('plan'), "click", unselected,
			true);
	Events.addEvent(document, "mouseup", stopmove, false);
	Events.addEvent(document, "mousemove", move, false);
}
function move(event) {
	if (img_plan) {
		event = event || window.event;
		//on crée l'image
		if (!event.offsetX) {
			x = event.layerX - event.target.style.left;
			y = event.layerY - event.target.style.top;
		} else {
			x = event.offsetX;
			y = event.offsetY;
		}
		x = x + document.getElementById("plan").style.left;
		y = y + document.getElementById("plan").style.top;
		if (!isNaN(parseInt(x)) && !isNaN(parseInt(y))) {
			if (x > 0 && y > 0) //protège d'un bug sous opera
			{
				dX = x;
				dY = y;
				img_plan.style.position = 'absolute';
				img_plan.style.left = x + "px";
				img_plan.style.top = y + "px";
			}
		}
	}
}
function stopmove(event) {
	if (img_plan) {
		var reg = new RegExp("([0-9]+)", "g");
		var id = parseInt(reg.exec(img_plan.id));
		var txt = document.getElementById('opt' + id).text;
		var tab = txt.split(":");
		txt = tab[0] + ":" + tab[1] + ":" + tab[2] + ":" + dX + ":" + dY + ":"
				+ tab[5] + ":" + tab[6]+ ":" + tab[7];
		document.getElementById('opt' + id).text = txt;
		document.getElementById('opt' + id).value=txt;
		Events.removeEvent(document, "mouseup", stopmove, false);
		Events.removeEvent(document, "mousemove", move, false);
		//on remet la déselection
		Events.addEvent(document.getElementById('plan'), "click", unselected,
				true);
		//Events.removeEvent(img_selected,"mousedown",startmove,false);
		return false;
	}
}
function startresize(event) {
	event.returnValue = false;
	if (event.preventDefault)
		event.preventDefault();

	Events.removeEvent(document.getElementById('plan'), "click", unselected,
			true);
	Events.addEvent(document, "mouseup", stopresize, false);
	Events.addEvent(document, "mousemove", resize, false);
}
function resize(event) {
	if (img_plan) {
		event = event || window.event;
		//on crée l'image
		if (!event.offsetX) {
			x = event.layerX - event.target.style.left;
			y = event.layerY - event.target.style.top;
		} else {
			x = event.offsetX;
			y = event.offsetY;
		}
		if (!isNaN(parseInt(x)) && !isNaN(parseInt(y))) {
			if (x > 0 && y > 0) //protège d'un bug sous opera
			{
				//calcul de width
				img_plan.style.width = x + "px";
				//calcul de height
				img_plan.style.height = y + "px";
			}
		}
	}
}
function stopresize(event) {
	if (img_plan) {
		var reg = new RegExp("([0-9]+)", "g");
		var id = parseInt(reg.exec(img_plan.id));
		var txt = document.getElementById('opt' + id).text;
		var tab = txt.split(":");
		txt = tab[0] + ":" + tab[1] + ":" + tab[2] + ":" + tab[3] + ":"
				+ tab[4] + ":" + img_plan.width + ":" + img_plan.height+ ":" + tab[7];
		document.getElementById('opt' + id).text = txt;
		document.getElementById('opt' + id).value=txt;
		Events.removeEvent(document, "mouseup", stopresize, false);
		Events.removeEvent(document, "mousemove", resize, false);
		Events.addEvent(document.getElementById('plan'), "click", unselected,
				true);
		return false;
	}
}
function deleteLocalisationImg() 
{
	if(img_plan)
	{
		var reg = new RegExp("([0-9]+)", "g");
		var id = parseInt(reg.exec(img_plan.id));
		map = document.getElementById("plan");
		map.removeChild(img_plan);
		document.getElementById('imgnode').removeChild(document.getElementById('opt' + id));
		
		unselected();
	}
}
function show_infobulle_toggle(id)
{
         if(document.getElementById(id).style.display=="none")
         {
                 document.getElementById(id).style.display="table-row";
                 document.getElementById('bouton_'+id).src='/theme/default-image/esia_moins_button.png';
         }
         else
         {
                 document.getElementById(id).style.display="none";
                 document.getElementById('bouton_'+id).src='/theme/default-image/esia_plus_button.png';               
         }
         return true;
}
function XHRzone(tableid) 
{
	var xhr = Utils.XHRequest();
	xhr.open("GET", "/plugin/map/map_refresh.php?zoom=" + zoom_value + "&action=map",true);
	xhr.onreadystatechange = function() 
	{
		if (xhr.readyState == 4) 
		{
			if (xhr.status == 200) 
			{
					var docXML = xhr.responseXML;
					var items = docXML.getElementsByTagName("zone");
				    var table=document.getElementById(tableid);
				    table.innerHTML="";
					//on fait juste une boucle sur chaque element "zone"
					for (i = 0; i < items.length; i++) 
					{
						showzone(table,items.item(i));
					}
			}
		}
	};
	xhr.send(null);
}
function showzone(table,item)
{
	var id = item.attributes['id'].value;
	
	//Récupération de l'état de la zone
	var name = item.getElementsByTagName("name")[0].firstChild.data;
	var ok = item.getElementsByTagName("ok")[0].firstChild.data;
	var warning = item.getElementsByTagName("warning")[0].firstChild.data;
	var critical = item.getElementsByTagName("critical")[0].firstChild.data;
	var unknown = item.getElementsByTagName("unknown")[0].firstChild.data;
	
    l1 = document.createElement('tr');
    l1c1 = document.createElement('td');
    l1c2 = document.createElement('td');
    l1c3 = document.createElement('td');
    l1c4 = document.createElement('td');
    l1c5 = document.createElement('td');
    l2 = document.createElement('tr');
    
    l2.setAttribute('id','zone'+id);
    l2.setAttribute('class','sousZone');
    l2.style.display="none";
    l1c1.setAttribute('id','zoneButton'+id);
    Events.addEvent(l1c1,"click",function(e){ getZoneInformation(id,name); },true);
    aname = document.createElement('a');
    aname.setAttribute('href','#');
    aname.setAttribute('class','linkZone');
    aname.innerHTML = '<span class="imgTxtZone"><img src="/theme/default-image/esia_plus_button.png" class="btn_img" /></span><span class="imgTxtZone">'+name+'</span>';  
    l1c1.appendChild(aname);
    l1c2.className ="EventOK";     
    l1c2.innerHTML = ok;
    l1c3.innerHTML = warning;
    l1c4.innerHTML = critical;
    l1c5.innerHTML = unknown;	
	if (warning != 0) 
	{
	    l1c3.className ="EventWarning";     
	} 
	else
	{
	    l1c3.className ="EventNone";     
	}
	if (critical != 0) 
	{
	    l1c4.className ="EventCritical";     
	} 
	else
	{
	    l1c4.className ="EventNone";     
	   
	}
	if (unknown != 0) 
	{
	    l1c5.className ="EventUnknown";     
	} 
	else
	{
	    l1c5.className ="EventNone";     
	}
    l1.appendChild(l1c1); 
    l1.appendChild(l1c2);
    l1.appendChild(l1c3);
    l1.appendChild(l1c4);
    l1.appendChild(l1c5);
    table.appendChild(l1); 
    table.appendChild(l2);  
    if(zone_id==id)
    {
    	getZoneInformation(id,name);
    }
}
function getZoneInformation(id,name)
{
	var xhr = Utils.XHRequest();
	var zone=document.getElementById('zone'+id);
	if(zone.innerHTML=="")
	{
		zone.style.display='table-row';
		var button = document.getElementById('zoneButton'+id);
		button.innerHTML = '';
	    aname = document.createElement('a');
	    aname.setAttribute('href','#');
	    aname.innerHTML = '<span class="imgTxtZone"><img src="/theme/default-image/esia_moins_button.png" class="btn_img" /></span><span class="imgTxtZone">'+name+'</span>';  
	    button.appendChild(aname);
	    
		xhr.open("GET","/plugin/map/map_refresh.php?action=zone&id="+id+"&state=1");
		xhr.onreadystatechange = function() 
		{
			if (xhr.readyState == 4) 
			{
				if (xhr.status == 200) 
				{
					var docXML = xhr.responseXML;
					var items = docXML.getElementsByTagName("building");
					var Zonec1 = document.createElement('td');
					Zonec1.setAttribute("colspan","5");
					var table = document.createElement('table');
					table.setAttribute("class","tab");
					
					for (i = 0; i < items.length; i++) 
					{
						showBuilding(table,items.item(i));
					}
					Zonec1.appendChild(table);
					zone.appendChild(Zonec1);
					/*var reg=new RegExp("(<h2>[a-zA-Z0-9]+</h2>)", "i");
					var thtml = xhr.responseText;
					thtml = thtml.replace(reg,"");
					reg=new RegExp("(<table style.+>)", "g");
					thtml = thtml.replace(reg,'<table style="width:100%">');
					zone.innerHTML='<td colspan="5" style="padding-left:50px;">'+thtml+'</td>';*/
				}
			}
		}
		xhr.send(null);
	}
	else
	{
		zone.innerHTML="";
		zone.style.display='none';
		var button = document.getElementById('zoneButton'+id);
		button.innerHTML = '';
	    aname = document.createElement('a');
	    aname.setAttribute('href','#');
	    aname.innerHTML = '<span class="imgTxtZone"><img src="/theme/default-image/esia_plus_button.png" class="btn_img" /></span><span class="imgTxtZone">'+name+'</span>';  
	    button.appendChild(aname);
	}
}
function showBuilding(table,item)
{
	var idbuilding = item.attributes['id'].value;
	var namebuilding = item.attributes['name'].value;
	var ok=0;
	var warning=0;
	var critical=0;
	var unknown=0;
	if(item.getElementsByTagName("ok")[0].firstChild)
	{
		var ok = item.getElementsByTagName("ok")[0].firstChild.data;
		var warning = item.getElementsByTagName("warning")[0].firstChild.data;
		var critical = item.getElementsByTagName("critical")[0].firstChild.data;
		var unknown = item.getElementsByTagName("unknown")[0].firstChild.data;
	}

	// création de la ligne et des cellule
	var l1 = document.createElement('tr');
	var l1c1 = document.createElement('td');
	var l1c2 = document.createElement('td');
	var l1c3 = document.createElement('td');
	l1c4 = document.createElement('td');
	l1c5 = document.createElement('td');
	l2 = document.createElement('tr');
	l2.setAttribute('id', 'building' + idbuilding);
    l2.setAttribute('class','sousZone');
	l2.style.display = "none";
	l1c1.setAttribute('id', 'buildingButton' + idbuilding);
	Events.addEvent(l1c1, "click", function(e) {
		getBuildingInformation(idbuilding, namebuilding);
	}, true);
	var aname = document.createElement('a');
	aname.setAttribute('href', '#');
    aname.setAttribute('class','linkZone');
	aname.innerHTML = '<span class="imgTxtZone"><img src="/theme/default-image/esia_plus_button.png" class="btn_img" /></span><span class="imgTxtZone">'+ namebuilding+'</span>';
  


	l1c1.appendChild(aname);
	l1c2.className = "EventOK";
	l1c2.innerHTML = ok;
	l1c3.innerHTML = warning;
	l1c4.innerHTML = critical;
	l1c5.innerHTML = unknown;
	if (warning != 0) 
	{
		l1c3.className = "EventWarning";
	} 
	else 
	{
		l1c3.className = "EventNone";
	}
	if (critical != 0) 
	{
		l1c4.className = "EventCritical";
	} 
	else 
	{
		l1c4.className = "EventNone";

	}
	if (unknown != 0) 
	{
		l1c5.className = "EventUnknown";
	} 
	else 
	{
		l1c5.className = "EventNone";
	}
	l1.appendChild(l1c1);
	l1.appendChild(l1c2);
	l1.appendChild(l1c3);
	l1.appendChild(l1c4);
	l1.appendChild(l1c5);
	table.appendChild(l1);
	table.appendChild(l2); 

    
	/*
	 * var reg=new RegExp("(<h2>[a-zA-Z0-9]+</h2>)", "i"); var thtml =
	 * xhr.responseText; thtml = thtml.replace(reg,""); reg=new RegExp("(<table
	 * style.+>)", "g"); thtml = thtml.replace(reg,'<table
	 * style="width:100%">'); zone.innerHTML='<td colspan="5" style="padding-left:50px;">'+thtml+'</td>';
	 */
}
function getBuildingInformation(idbuilding, namebuilding) 
{
	var building=document.getElementById('building'+idbuilding);
	if(building.innerHTML=="")
	{	
		var xhr = Utils.XHRequest();
		xhr.open("GET","/plugin/map/map_refresh.php?type=building&action=infobulle&id="+idbuilding);
		xhr.onreadystatechange = function() {
			if (xhr.readyState == 4) {
				if (xhr.status == 200) {
					var building=document.getElementById('building'+idbuilding);
					building.style.display='table-row';
					var button = document.getElementById('buildingButton'+idbuilding);
					button.innerHTML = '';
				    aname = document.createElement('a');
				    aname.setAttribute('href','#');
				    aname.innerHTML = '<span class="imgTxtZone"><img src="/theme/default-image/esia_moins_button.png" class="btn_img" /></span><span class="imgTxtZone">'+namebuilding+'</span>';  
				    button.appendChild(aname);
					var thtml = xhr.responseText;
					var reg=new RegExp("(<h1>.+</h1>)", "i");
					thtml = thtml.replace(reg,"");
					var reg=new RegExp("(<h2>.+</h2>)", "i");
					thtml = thtml.replace(reg,"");
					reg=new RegExp("(<table style.+>)", "g");
					thtml = thtml.replace(reg,'<table style="width:100%">');
					building.innerHTML='<td colspan="5" style="padding-left:50px;">'+thtml+'</td>';
				}
			}
		}
		xhr.send(null);
	}
	else
	{
		building.innerHTML="";
		building.style.display='none';
		var button = document.getElementById('buildingButton'+idbuilding);
		button.innerHTML = '';
	    aname = document.createElement('a');
	    aname.setAttribute('href','#');
	    aname.innerHTML = '<span class="imgTxtZone"><img src="/theme/default-image/esia_plus_button.png" class="btn_img" /></span><span class="imgTxtZone">'+namebuilding+'</span>';  
	    button.appendChild(aname);
	}
}
