<?php
/**
 * @name srv_list2.php
 * @description scrip qui est exécuté lorsqu'on clic sur le bouton "+" dans la node_list
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 09/11/2012
 */
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
include_once DEVICE_CLASS;
$action=$_GET['action'];
$srv=$_GET['name'];
//chemin d'accès au repertoire du plugin contenant les templates
$arr = Model_esia::getWebPlugin($dbconnection,false,'Server');
$template_path= $path.$arr[0]['apache_path'].'template/';
//on vérifie que l'action demandée est bien 'list' et que le nom du serveur est passé en paramètre
if($action=='list'&&isset($srv)&&!empty($srv))
{
	//on vérifie les droits d'accès
	if($user->getDroits($dbconnection,"device_view",$srv) ==1)
	{
		//on instancie un simple noeud pour récupérer le sysDescription
		$dev = Model_esia::InstanceNode($dbconnection,$srv,'server');
		try
		{
			$device=array('state'=>1,'sysDescription'=>preg_replace('#\n#','<br />',$dev->getSysDescr()),
			);

		}
		catch(SnmpNoSuchOID $e)
		{
			$smarty->assign('l_sw_no_supported', $lang['SW_NO_SUPPORTED']);
			$device=array('state'=> 2);
		}
		catch(DeviceSNMPException $e)
		{
			$device=array('state'=> 0);
		}
		$smarty->assign('dev',$device);
	}
}
$smarty->assign('l_host_unreachable', $lang['ADM_ERR_SNMP_FAILED']);
$smarty->assign('l_sysdescription', $lang['SYSDESCRIPTION']);
$smarty->assign('l_sysuptime', $lang['SYSUPTIME']);
$smarty->assign('l_syslocation', $lang['SYSLOCATION']);
$smarty->assign('l_syscontact', $lang['SYSCONTACT']);
$smarty->display($template_path.'srv_list2.html');
?>
