<?php
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(		
		//wmi_control.html
		'WMI_HARDWARE'		=> 'Hardware',
		'WMI_PROGRAMS'		=> 'Programs',
		
		//wmi_show.html
		//see wmi_control.html for HARDWARE
		'WMI_MOTHERBOARD'	=> 'Motherboard',
		'WMI_CPU'			=> 'CPU',
		'WMI_RAM'			=> 'RAM',
		'WMI_NETWORK'		=> 'Network',
		'WMI_PARTITIONS'	=> 'Partitions',
		'WMI_SOFTWARE'		=> 'Software',
		'WMI_OS'			=> 'OS',
		'WMI_UPDATES'		=> 'Updates',
		'WMI_SECURITY'		=> 'Security',
		'WMI_DATE'			=> 'Date',
		
		//wmi_hardware.html
		'WMI_DISKDRIVES'	=> 'Diskdrives',
		'WMI_LOGICALDISKS'	=> 'Volumes',
		'WMI_DISKPARTITIONS'=> 'Partitions',
		//see wmi_show.html for NETWORK
		'WMI_PRINTERS'		=> 'Printers',
		
		//wmi_software.html
		//see wmi_show.html for OS
		'WMI_SERVICES'		=> 'Services',
		'WMI_FEATURES'		=> 'Features',
		//see wmi_control.html for PROGRAMS
		//see wmi_show.html for SECURITY
		//see wmi_show.html for UPDATES

		//wmi_widget.php
		'WMI_MONTHS'			=> 'months',
		'WMI_DAYS'				=> 'days',
		'WMI_SECONDES'			=> 'seconds',	
		'WMI_TIME_DIFF'			=> 'Difference',			
		'WMI_DATE_FORMAT'		=> 'd/m/Y',	
		'WMI_DATETIME_FORMAT'	=> 'H:i:s d/m/Y',
		'WMI_ESIA_SERVER'		=> 'Esia Server',
		'WMI_COMPUTER'		=> 'WMI Computer',
		
		'WMI_LAST_UPDATES_SENTENCE'		=> 'Last update the :',
		
		'WMI_USED_WORD'	=>	'Used',
		'WMI_FREE_WORD'	=>  'Free',
		'WMI_SIZE_WORD'	=>  'Size',
		'WMI_SUPPORT_WORD'	=>  'Support',
		
		'WMI_AV_WORD'	=> 'Antivirus',
		'WMI_FW_WORD'	=> 'Firewall',
		'WMI_SP_WORD'	=> 'Anti-spyware',
		
		'WMI_AV_FW_SP_ABV'	=> 'A.V., P.F., A.E.',
		
		'WMI_AV_NOT_INSTALLED_SENTENCE' => 'No antivirus installed',
		'WMI_AV_CONCURRENTS_SENTENCE'	=> 'Several antivirus installed',
		'WMI_AV_NOT_ENABLED_SENTENCE'	=> 'No antivirus activated',
		'WMI_AV_NOT_UPDATED_SENTENCE'	=> 'Antivirus not up to date',
		
		'WMI_FW_NOT_INSTALLED_SENTENCE' => 'No firewall installed',
		'WMI_FW_NOT_ENABLED_SENTENCE'	=> 'No firewall activated',
		'WMI_FW_NOT_UPDATED_SENTENCE'	=> 'Firewall not up to date',
		
		'WMI_SP_NOT_INSTALLED_SENTENCE' => 'No anti-spyware installed',
		'WMI_SP_NOT_ENABLED_SENTENCE'	=> 'No anti-spyware activated',
		'WMI_SP_NOT_UPDATED_SENTENCE'	=> 'Anti-spyware not up to date',
		
		'WMI_SECURITY_OK_SENTENCE'		=> 'Antivirus, firewall and anti-spyware activated and up to date',
		
		'WMI_SHOWING_WORD'			=> 'Display',
		'WMI_UNLIMITED_WORD'		=> 'Unlimited',
		'WMI_UNKNOWN_WORD'			=> 'Unknown',
		'WMI_GRAPHICALS_WORD'		=> 'Graphicals',
		
		'WMI_OS_MUILanguages'			=>	'Interface Language',
		'WMI_OS_SerialNumber'			=>	'Serial Number',
		'WMI_OS_NumberOfProcesses'		=>	'Number of processes',
		'WMI_OS_NumberOfLicensedUsers'	=>	'User licenses',
		'WMI_OS_NumberOfUsers'			=>	'Number of users',
		'WMI_OS_RegisteredUser'			=>	'Registred user',
		'WMI_OS_LocalDateTime'			=>	'Local',
		'WMI_OS_InstallDate'			=>	'Installation',
		'WMI_OS_LastBootUpTime'			=>	'Date of the last boot',
		
		'WMI_SERVICES_Name'				=>	'Name',	
		'WMI_SERVICES_Caption'			=>	'Description',
		'WMI_SERVICES_Started'			=>	'State',
		'WMI_SERVICES_StartMode'		=>	'Start type',
		'WMI_SERVICES_ServiceType'		=>	'Service type',
		'WMI_SERVICES_PathName'			=>	'Command',
		
		'WMI_SERVICES_True'				=> 	'Started',
		'WMI_SERVICES_False'			=> 	'Stopped',
		
		'WMI_SERVICES_Auto'				=> 	'Automatic',
		'WMI_SERVICES_Manual'			=> 	'Manual',
		'WMI_SERVICES_Disabled'			=> 	'Disabled',
		
		'WMI_SERVICES_Own Process'		=> 	'Proprietary',
		'WMI_SERVICES_Share Process'	=> 	'Shared',
		
		'WMI_FEATURES_Name'				=>	'Name',
		'WMI_FEATURES_Caption'			=>	'Description',
		'WMI_FEATURES_InstallState'		=>	'Installation status',
		
		'WMI_FEATURES_Enabled'			=>	'Activated',
		'WMI_FEATURES_Disabled'			=>	'Deactivated',
		'WMI_FEATURES_Absent'			=>	'Missing',
		'WMI_FEATURES_Unknown'			=>	'Unknown',
		
		'WMI_SOFTWARE_Name'				=>	'Name',
		'WMI_SOFTWARE_Vendor'			=>	'Editor',
		'WMI_SOFTWARE_InstallDate'		=>	'Installed on',
		'WMI_SOFTWARE_Version'			=>	'Version',
		'WMI_SOFTWARE_InstallLocation'	=>	'Location',
		'WMI_SOFTWARE_InstallSource'	=>	'Source',
		'WMI_SOFTWARE_PackageName'		=>	'Name of the original package',
		'WMI_SOFTWARE_InstallState'		=>	'Status',
		
		'WMI_SOFTWARE_Bad Configuration'=>	'Badly configured',
		'WMI_SOFTWARE_Invalid Argument'	=>	'Invalid argument',
		'WMI_SOFTWARE_Unknown Package'	=>	'Unknown package',
		'WMI_SOFTWARE_Advertised'		=>	'Advertised',
		'WMI_SOFTWARE_Absent'			=>	'Absent',
		'WMI_SOFTWARE_Installed'		=>	'Installed',
		
		'WMI_SECURITY_displayName'		=>	'Name',
		'WMI_SECURITY_Type'				=>	'Function',
		'WMI_SECURITY_Definitions'		=>	'Up to date',
		'WMI_SECURITY_Protection'		=>	'Activated',
		'WMI_SECURITY_pathToSignedProductExe'	=>	'Path to the software',
		'WMI_SECURITY_pathToSignedReportingExe'	=>	'Path to reporting',
		
		'WMI_SECURITY_antivirus'		=>	'Antivirus',
		'WMI_SECURITY_firewall'			=>	'Firewall',
		'WMI_SECURITY_spyware'			=>	'Anti spyware',
		
		'WMI_SECURITY_Outdated'			=>	'No',
		'WMI_SECURITY_Updated'			=>	'Yes',
		'WMI_SECURITY_Disabled'			=>	'No',
		'WMI_SECURITY_Enabled'			=>	'Yes',
		'WMI_SECURITY_Unknown'			=>	'Status Unknwon',
		
		
		'WMI_UPDATES_HotFixID'			=>	'Hotfix ID',
		'WMI_UPDATES_Description'		=>	'Type',
		'WMI_UPDATES_InstalledOn'		=>	'Installed on',
		'WMI_UPDATES_Caption'			=>	'Description',
		
		'WMI_UPDATES_HotFixID'			=>	'Hotfix ID',
		'WMI_UPDATES_Description'		=>	'Type',
		'WMI_UPDATES_InstalledOn'		=>	'Installed on',
		'WMI_UPDATES_Caption'			=>	'Description',
		
		'WMI_UPDATES_Hotfix'			=>	'Hotfix',
		'WMI_UPDATES_Security Update'	=>	'Security update',
		'WMI_UPDATES_Update'			=>	'Update',
		
		'WMI_DRIVE_Model'				=>	'Model',
		'WMI_DRIVE_Description'			=>	'Description',
		'WMI_DRIVE_MediaType'			=>	'Media type',
		'WMI_DRIVE_Size'				=>	'Capacity',
		'WMI_DRIVE_Partitions'			=>	'Number of Partitions',
		'WMI_DRIVE_SerialNumber'		=>	'Serial Number',
		'WMI_DRIVE_CapabilityDescriptions'	=>	'Fonctionnality',
		
		'WMI_DRIVE_Removable Media'		=>	'Removable disk',
		'WMI_DRIVE_Fixed hard disk media'=>	'Hard Disk',
		'WMI_DRIVE_Unknown'				=>	'Unknwon',
		
		'WMI_VOLUME_Nom'				=>	'Letter',
		'WMI_VOLUME_VolumeName'			=>	'Volume Name',
		'WMI_VOLUME_Description'		=>	'Description',
		'WMI_VOLUME_DriveType'			=>	'Drive Type',
		'WMI_VOLUME_Used'				=>	'Volume used',
		'WMI_VOLUME_FreeSpace'			=>	'Volume free space',
		'WMI_VOLUME_Size'				=>	'Capacity',
		'WMI_VOLUME_FreePercent'		=>	'Free volume percentage',
		'WMI_VOLUME_FileSystem'			=>	'File system',
		'WMI_VOLUME_VolumeSerialNumber'	=>	'Serial number',
		'WMI_VOLUME_PowerManagementSupported'	=>	'Power management supported',
		'WMI_VOLUME_VolumeDirty'		=>	'ChkDsk require',
		
		'WMI_VOLUME_Unknown'			=>	'Unknwon',
		'WMI_VOLUME_No Root Directory'	=>	'Cannot be determined',
		'WMI_VOLUME_Removable Disk'		=>	'Removable Disk',
		'WMI_VOLUME_Local Disk'			=>	'Local Disk',
		'WMI_VOLUME_Network Drive'		=>	'Network Drive',
		'WMI_VOLUME_Compact Disk'		=>	'Compact disk',
		'WMI_VOLUME_RAM Disk'			=>	'RAM disk',
		
		'WMI_VOLUME_False'				=>	'No',
		'WMI_VOLUME_True'				=>	'Yes',
		
		'WMI_PARTITION_DiskIndex'		=>	'Disk number',
		'WMI_PARTITION_Index'			=>	'Partition number',
		'WMI_PARTITION_Type'			=>	'Type',
		'WMI_PARTITION_Size'			=>	'Capacity',
		'WMI_PARTITION_Bootable'		=>	'Bootable',
		'WMI_PARTITION_BootPartition'	=>	'Active',
		'WMI_PARTITION_PrimaryPartition'=>	'Primary',
		'WMI_PARTITION_RewritePartition'=>	'Not applied modifications',
		'WMI_PARTITION_StartingOffset'	=>	'Starting Offset',
		'WMI_PARTITION_NumberOfBlocks'	=>	'Number of blocs',
		'WMI_PARTITION_PowerManagementSupported'=> 'Power management supported',
		
		'WMI_PARTITION_Unused'			=>	'Not used',
		'WMI_PARTITION_Extended Partition'=>	'Extended partition',
		'WMI_PARTITION_Installable File System'=>'Installable file system',
		'WMI_PARTITION_Logical Disk Manager'=>'Logical disk manager',
		'WMI_PARTITION_Unknown'			=>	'Unknwon',
		
		'WMI_PARTITION_True'			=>	'Yes',
		'WMI_PARTITION_False'			=>	'No',
		
		'WMI_NETWORK_NetConnectionID'	=>	'Name',
		'WMI_NETWORK_Description'		=>	'Description',
		'WMI_NETWORK_MACAddress'		=>	'Adresse MAC',
		'WMI_NETWORK_DHCPEnabled'		=>	'DHCP',
		'WMI_NETWORK_DHCPServer'		=>	'DHCP Server',
		'WMI_NETWORK_IPv4Address'		=>	'IPv4 address',
		'WMI_NETWORK_IPv6Address'		=>	'IPv6 address',
		'WMI_NETWORK_IPv4Subnet'		=>	'IPv4 subnet',
		'WMI_NETWORK_IPv6Subnet'		=>	'IPv6 subnet',
		'WMI_NETWORK_DefaultIPGateway'	=>	'Gateway',
		'WMI_NETWORK_DNSHostName'		=>	'Hostname',
		'WMI_NETWORK_DNSDomain'			=>	'Domain name',
		'WMI_NETWORK_ServiceName'		=>	'Service name',
		
		'WMI_NETWORK_True'				=>	'Yes',
		'WMI_NETWORK_False'				=>	'No',
		
		'WMI_PRINTER_DeviceID'			=>	'Name',
		'WMI_PRINTER_MarkingTechnology'	=>	'Printer marking technology',
		'WMI_PRINTER_Default'			=>	'Printer by default',
		
		'WMI_PRINTER_True'				=>	'Yes',
		'WMI_PRINTER_False'				=>	'No',
		
		'WMI_ERROR_Login to remote object.'   => "Permissions problems on this device.",
		'WMI_ERROR_Retrieve result data.'                       => "Impossible to retrieve result data.",
		'WMI_ERROR_No text in output response.' => "The output contains no text.",
		'WMI_ERROR_No data'                     => "No data",
		'WMI_ERROR_Execution'			=> "Unable to get result, check WMI configuration.",
));
?>