<?php
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(		
		//wmi_control.html
		'WMI_HARDWARE'		=> 'Matériel',
		'WMI_PROGRAMS'		=> 'Applications',
		
		//wmi_show.html
		//see wmi_control.html for HARDWARE
		'WMI_MOTHERBOARD'	=> 'Carte mère',
		'WMI_CPU'			=> 'CPU',
		'WMI_RAM'			=> 'RAM',
		'WMI_NETWORK'		=> 'Réseau',
		'WMI_PARTITIONS'	=> 'Partitions',
		'WMI_SOFTWARE'		=> 'Applicatif',
		'WMI_OS'			=> 'OS',
		'WMI_UPDATES'		=> 'Mises à jours',
		'WMI_SECURITY'		=> 'Sécurité',
		'WMI_DATE'			=> 'Date',
		
		//wmi_hardware.html
		'WMI_DISKDRIVES'	=> 'Lecteurs',
		'WMI_LOGICALDISKS'	=> 'Volumes',
		'WMI_DISKPARTITIONS'=> 'Partitions',
		//see wmi_show.html for NETWORK
		'WMI_PRINTERS'		=> 'Imprimantes',
		
		//wmi_software.html
		//see wmi_show.html for OS
		'WMI_SERVICES'		=> 'Services',
		'WMI_FEATURES'		=> 'Fonctionnalités',
		//see wmi_control.html for PROGRAMS
		//see wmi_show.html for SECURITY
		//see wmi_show.html for UPDATES

		//wmi_widget.php
		'WMI_MONTHS'			=> 'mois',
		'WMI_DAYS'				=> 'jours',
		'WMI_SECONDES'			=> 'secondes',	
		'WMI_TIME_DIFF'			=> 'Différence',			
		'WMI_DATE_FORMAT'		=> 'd/m/Y',	
		'WMI_DATETIME_FORMAT'	=> 'H:i:s d/m/Y',
		'WMI_ESIA_SERVER'		=> 'Serveur Esia',
		'WMI_COMPUTER'		=> 'Machine WMI',
		
		'WMI_LAST_UPDATES_SENTENCE'		=> 'Dernière mise à jour le :',
		
		'WMI_USED_WORD'	=>	'Utilisé',
		'WMI_FREE_WORD'	=>  'Libre',
		'WMI_SIZE_WORD'	=>  'Taille',
		'WMI_SUPPORT_WORD'	=>  'Support',
		
		'WMI_AV_WORD'	=> 'Antivirus',
		'WMI_FW_WORD'	=> 'Parefeu',
		'WMI_SP_WORD'	=> 'Anti-espions',
		
		'WMI_AV_FW_SP_ABV'	=> 'A.V., P.F., A.E.',
		
		'WMI_AV_NOT_INSTALLED_SENTENCE' => 'Aucun antivirus installé',
		'WMI_AV_CONCURRENTS_SENTENCE'	=> 'Plusieurs antivirus sont activés',
		'WMI_AV_NOT_ENABLED_SENTENCE'	=> 'Aucun antivirus activé',
		'WMI_AV_NOT_UPDATED_SENTENCE'	=> 'Antivirus non à jour',
		
		'WMI_FW_NOT_INSTALLED_SENTENCE' => 'Aucun parefeu installé',
		'WMI_FW_NOT_ENABLED_SENTENCE'	=> 'Aucun parefeu activé',
		'WMI_FW_NOT_UPDATED_SENTENCE'	=> 'Parefeu non à jour',
		
		'WMI_SP_NOT_INSTALLED_SENTENCE' => 'Aucun anti-espions installé',
		'WMI_SP_NOT_ENABLED_SENTENCE'	=> 'Aucun anti-espions activé',
		'WMI_SP_NOT_UPDATED_SENTENCE'	=> 'Anti-espions non à jour',
		
		'WMI_SECURITY_OK_SENTENCE'		=> 'Antivirus, parefeu et anti-espions activés et à jours',
		
		'WMI_SHOWING_WORD'			=> 'affiché',
		'WMI_UNLIMITED_WORD'		=> 'Illimité',
		'WMI_UNKNOWN_WORD'			=> 'Inconnu',
		'WMI_GRAPHICALS_WORD'		=> 'Graphiques',
		
		'WMI_OS_MUILanguages'			=>	'Langue de l\'interface',
		'WMI_OS_SerialNumber'			=>	'Numéro de série',
		'WMI_OS_NumberOfProcesses'		=>	'Nombre de processus',
		'WMI_OS_NumberOfLicensedUsers'	=>	'Licenses utilisateurs',
		'WMI_OS_NumberOfUsers'			=>	'Nombre d\'utilisateurs',
		'WMI_OS_RegisteredUser'			=>	'Utilisateur enregistré',
		'WMI_OS_LocalDateTime'			=>	'Locale',
		'WMI_OS_InstallDate'			=>	'Installation',
		'WMI_OS_LastBootUpTime'			=>	'Du dernier boot',
		
		'WMI_SERVICES_Name'				=>	'Nom',	
		'WMI_SERVICES_Caption'			=>	'Description',
		'WMI_SERVICES_Started'			=>	'État',
		'WMI_SERVICES_StartMode'		=>	'Type de démarrage',
		'WMI_SERVICES_ServiceType'		=>	'Type de service',
		'WMI_SERVICES_PathName'			=>	'Commande',
		
		'WMI_SERVICES_True'				=> 	'Démarré',
		'WMI_SERVICES_False'			=> 	'Stoppé',
		
		'WMI_SERVICES_Auto'				=> 	'Automatique',
		'WMI_SERVICES_Manual'			=> 	'Manuel',
		'WMI_SERVICES_Disabled'			=> 	'Désactivé',
		
		'WMI_SERVICES_Own Process'		=> 	'Propriétaire',
		'WMI_SERVICES_Share Process'	=> 	'Partagé',
		
		'WMI_FEATURES_Name'				=>	'Nom',
		'WMI_FEATURES_Caption'			=>	'Description',
		'WMI_FEATURES_InstallState'		=>	'Status de l\'installation',
		
		'WMI_FEATURES_Enabled'			=>	'Activé',
		'WMI_FEATURES_Disabled'			=>	'Désactivé',
		'WMI_FEATURES_Absent'			=>	'Absent',
		'WMI_FEATURES_Unknown'			=>	'Inconnu',
		
		'WMI_SOFTWARE_Name'				=>	'Nom',
		'WMI_SOFTWARE_Vendor'			=>	'Éditeur',
		'WMI_SOFTWARE_InstallDate'		=>	'Installé le',
		'WMI_SOFTWARE_Version'			=>	'Version',
		'WMI_SOFTWARE_InstallLocation'	=>	'Emplacement',
		'WMI_SOFTWARE_InstallSource'	=>	'Source',
		'WMI_SOFTWARE_PackageName'		=>	'Nom du package d\'origine',
		'WMI_SOFTWARE_InstallState'		=>	'Status',
		
		'WMI_SOFTWARE_Bad Configuration'=>	'Mal configuré',
		'WMI_SOFTWARE_Invalid Argument'	=>	'Argument invalide',
		'WMI_SOFTWARE_Unknown Package'	=>	'Package inconnu',
		'WMI_SOFTWARE_Advertised'		=>	'Annoncé',
		'WMI_SOFTWARE_Absent'			=>	'Absent',
		'WMI_SOFTWARE_Installed'		=>	'Installé',
		
		'WMI_SECURITY_displayName'		=>	'Nom',
		'WMI_SECURITY_Type'				=>	'Fonction',
		'WMI_SECURITY_Definitions'		=>	'À jour',
		'WMI_SECURITY_Protection'		=>	'Activé',
		'WMI_SECURITY_pathToSignedProductExe'	=>	'Chemin vers l\'application',
		'WMI_SECURITY_pathToSignedReportingExe'	=>	'Chemin vers le reporting',
		
		'WMI_SECURITY_antivirus'		=>	'Antivirus',
		'WMI_SECURITY_firewall'			=>	'Pare-feu',
		'WMI_SECURITY_spyware'			=>	'Anti spyware',
		
		'WMI_SECURITY_Outdated'			=>	'Non',
		'WMI_SECURITY_Updated'			=>	'Oui',
		'WMI_SECURITY_Disabled'			=>	'Non',
		'WMI_SECURITY_Enabled'			=>	'Oui',
		'WMI_SECURITY_Unknown'			=>	'État inconnu',
		
		
		'WMI_UPDATES_HotFixID'			=>	'ID du Correctif',
		'WMI_UPDATES_Description'		=>	'Type',
		'WMI_UPDATES_InstalledOn'		=>	'Installé le',
		'WMI_UPDATES_Caption'			=>	'Description',
		
		'WMI_UPDATES_HotFixID'			=>	'ID du Correctif',
		'WMI_UPDATES_Description'		=>	'Type',
		'WMI_UPDATES_InstalledOn'		=>	'Installé le',
		'WMI_UPDATES_Caption'			=>	'Description',
		
		'WMI_UPDATES_Hotfix'			=>	'Correctif',
		'WMI_UPDATES_Security Update'	=>	'Mise à jour de sécurité',
		'WMI_UPDATES_Update'			=>	'Mise à jour',
		
		'WMI_DRIVE_Model'				=>	'Modèle',
		'WMI_DRIVE_Description'			=>	'Description',
		'WMI_DRIVE_MediaType'			=>	'Type de média',
		'WMI_DRIVE_Size'				=>	'Capacité',
		'WMI_DRIVE_Partitions'			=>	'Nombre de Partitions',
		'WMI_DRIVE_SerialNumber'		=>	'Numéro de série',
		'WMI_DRIVE_CapabilityDescriptions'	=>	'Fonctionnalités',
		
		'WMI_DRIVE_Removable Media'		=>	'Disque amovible',
		'WMI_DRIVE_Fixed hard disk media'=>	'Disque fixe',
		'WMI_DRIVE_Unknown'				=>	'Inconnu',
		
		'WMI_VOLUME_Nom'				=>	'Lettre',
		'WMI_VOLUME_VolumeName'			=>	'Nom du volume',
		'WMI_VOLUME_Description'		=>	'Description',
		'WMI_VOLUME_DriveType'			=>	'Type de lecteur',
		'WMI_VOLUME_Used'				=>	'Espace utilisé',
		'WMI_VOLUME_FreeSpace'			=>	'Espace libre',
		'WMI_VOLUME_Size'				=>	'Capacité',
		'WMI_VOLUME_FreePercent'		=>	'Pourcentage de libre',
		'WMI_VOLUME_FileSystem'			=>	'Système de fichiers',
		'WMI_VOLUME_VolumeSerialNumber'	=>	'Numéro de série',
		'WMI_VOLUME_PowerManagementSupported'	=>	'Possibilités de mise en veille',
		'WMI_VOLUME_VolumeDirty'		=>	'ChkDsk requis',
		
		'WMI_VOLUME_Unknown'			=>	'Inconnu',
		'WMI_VOLUME_No Root Directory'	=>	'Ne peut être déterminé',
		'WMI_VOLUME_Removable Disk'		=>	'Disque amovible',
		'WMI_VOLUME_Local Disk'			=>	'Disque local',
		'WMI_VOLUME_Network Drive'		=>	'Lecteur réseau',
		'WMI_VOLUME_Compact Disk'		=>	'Disque optique',
		'WMI_VOLUME_RAM Disk'			=>	'RAM disque',
		
		'WMI_VOLUME_False'				=>	'Non',
		'WMI_VOLUME_True'				=>	'Oui',
		
		'WMI_PARTITION_DiskIndex'		=>	'Numéro du disque',
		'WMI_PARTITION_Index'			=>	'Numéro de partition',
		'WMI_PARTITION_Type'			=>	'Type',
		'WMI_PARTITION_Size'			=>	'Capacité',
		'WMI_PARTITION_Bootable'		=>	'Bootable',
		'WMI_PARTITION_BootPartition'	=>	'Active',
		'WMI_PARTITION_PrimaryPartition'=>	'Primaire',
		'WMI_PARTITION_RewritePartition'=>	'Modifications non appliquées',
		'WMI_PARTITION_StartingOffset'	=>	'Offset de début',
		'WMI_PARTITION_NumberOfBlocks'	=>	'Nombre de blocs',
		'WMI_PARTITION_PowerManagementSupported'=> 'Possibilité de mise en veille',
		
		'WMI_PARTITION_Unused'			=>	'Non utilisé',
		'WMI_PARTITION_Extended Partition'=>	'Partition étendue',
		'WMI_PARTITION_Installable File System'=>'Système de fichier installable',
		'WMI_PARTITION_Logical Disk Manager'=>'Gestionnaire de disque logique',
		'WMI_PARTITION_Unknown'			=>	'Inconnu',
		
		'WMI_PARTITION_True'			=>	'Oui',
		'WMI_PARTITION_False'			=>	'Non',
		
		'WMI_NETWORK_NetConnectionID'	=>	'Nom',
		'WMI_NETWORK_Description'		=>	'Description',
		'WMI_NETWORK_MACAddress'		=>	'Adresse MAC',
		'WMI_NETWORK_DHCPEnabled'		=>	'DHCP',
		'WMI_NETWORK_DHCPServer'		=>	'Serveur DHCP',
		'WMI_NETWORK_IPv4Address'		=>	'Adresse IPv4',
		'WMI_NETWORK_IPv6Address'		=>	'Adresse IPv6',
		'WMI_NETWORK_IPv4Subnet'		=>	'Masque IPv4',
		'WMI_NETWORK_IPv6Subnet'		=>	'Masque IPv6',
		'WMI_NETWORK_DefaultIPGateway'	=>	'Passerelle',
		'WMI_NETWORK_DNSHostName'		=>	'Nom d\'hôte',
		'WMI_NETWORK_DNSDomain'			=>	'Nom de domaine',
		'WMI_NETWORK_ServiceName'		=>	'Nom du service',
		
		'WMI_NETWORK_True'				=>	'Oui',
		'WMI_NETWORK_False'				=>	'Non',
		
		'WMI_PRINTER_DeviceID'			=>	'Nom',
		'WMI_PRINTER_MarkingTechnology'	=>	'Technologie d\'impression',
		'WMI_PRINTER_Default'			=>	'Imprimante par défaut',
		
		'WMI_PRINTER_True'				=>	'Oui',
		'WMI_PRINTER_False'				=>	'Non',
		
		'WMI_ERROR_Login to remote object.'   => "Problèmes de permissions sur cet objet.",
		'WMI_ERROR_Retrieve result data.'                       => "Impossible de récupérer le résultat.",
		'WMI_ERROR_No text in output response.' => "La réponse ne contient aucun texte.",
		'WMI_ERROR_No data'                     => "Aucune donnée",
		'WMI_ERROR_Execution'			=> "Impossible d'obtenir le résultat, vérifier la configuration du WMI.",
));
?>