<?php
/**
 * @name index.php
 * @description page d'accueil de l'application ESIA
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 9/02/2015
 */
include_once 'common.php';
//Libchart
require_once "./libs/libchart/classes/libchart.php";


	header("Content-type: image/png");

	$chart = new PieChart();
	$chart->getPlot()->getPalette()->setPieColor(array(
		new Color(0, 255,0),new Color(255,255,0),new Color(255, 0, 0),new Color(100,100, 100) ));
	$chart->getPlot()->getPalette()->setBackgroundColor(array( new Color(255,255,255),new Color(255,255,255),new Color(255,255,255),new Color(255,255,255),new Color(255,255,255),new Color(255,255,255)));

	$dataSet = new XYDataSet();
	foreach($arr_error as $cle => $element)
	{
		if($arr_error[$cle]['pourcent']==0)
		{
			$arr_error[$cle]['pourcent']=0.01;	
		}
	}
	$dataSet->addPoint(new Point("OK", $arr_error['OK']['pourcent']));
	$dataSet->addPoint(new Point("Alerte", $arr_error['warning']['pourcent']));
	$dataSet->addPoint(new Point("Critique", $arr_error['critical']['pourcent']));
	$dataSet->addPoint(new Point("Inconnu", $arr_error['unknown']['pourcent']));
	$chart->setDataSet($dataSet);
	$chart->getPlot()->setOuterPadding(0);
	$chart->getPlot()->setTitleHeight(0);
	$chart->getPlot()->setTitlePadding(0);
	$chart->getPlot()->setGraphPadding(0);
	$chart->getConfig()->setSortDataPoint(false);
	$chart->render();
?>
